* Sat May 6 19:38:35 2017 +0200

    Cache plugin: fix the way items are moved from recent to frequent lists
    
    In addition to making the cache work as expected, this prevents
    `CacheEntry` items from becoming orphans.

* Fri May 5 09:59:10 2017 +0200

    Sign

* Fri May 5 09:54:22 2017 +0200

    Adding Babylon Network resolvers (#647)

* Sat Apr 29 20:13:13 2017 +0200

    Add support for adding the vendor name to the version string

* Thu Apr 27 11:36:40 2017 +0200

    Remove dead resolvers, sign

* Thu Apr 27 11:36:32 2017 +0200

    Reduce the margin even more in resolvers-check

* Thu Apr 27 11:12:40 2017 +0200

    Revert "Hopefully temporary: adguard-dns-ns2, d0wn-random-ns1 down"
    

* Thu Apr 27 11:12:15 2017 +0200

    sign

* Thu Apr 27 11:11:08 2017 +0200

    Replacing port 443 with 5353 due to incompatibility with HTTPS services (#639)

* Wed Apr 19 10:03:03 2017 +0200

    Revert "Temporarily remove dnscrypt.org-fr"
    

* Tue Apr 18 23:32:11 2017 +0200

    Temporarily remove dnscrypt.org-fr

* Tue Apr 18 22:43:19 2017 +0200

    Hopefully temporary: adguard-dns-ns2, d0wn-random-ns1 down

* Sun Apr 9 21:43:20 2017 +0200

    sign

* Mon Apr 10 02:40:04 2017 +0700

    d0wn servers update (#625)
    
    Update some d0wn servers.
    
    Up : ns1.au , ns1.hk
    IPv4 only (IPv6 unreachable), no port 443 : ns1.fr
    No port 443 : ns2.nl
    Add IPv6, IPv4 already listed : ns1.ro
    Add all the rest with no special treatment : ns1.cr, ns1.dk, ns3.hk, ns2.is, ns1.mx, ns4.nl, ns2.se, ns2.sg, ns4.us, ns1.za
    
    All added servers tested via IPv4. For IPv6, only tested for open port via online web check.

* Sun Apr 9 21:20:15 2017 +0200

    Add a couple domains to the whitelist

* Wed Apr 5 21:44:59 2017 -0700

    Remove down d0wn servers

* Thu Apr 6 14:39:50 2017 +1000

    Add second d0wn AU server (#622)

* Thu Mar 30 14:42:53 2017 +0200

    Revert "Add the DNS Spy public resolver (#619)"
    

* Thu Mar 30 14:40:29 2017 +0200

    Add the DNS Spy public resolver (#619)

* Tue Mar 28 10:53:28 2017 +0200

    Doc: mention that timestamps are encoded in big-endian

* Mon Mar 27 22:01:32 2017 +0200

    Invert

* Mon Mar 27 22:00:55 2017 +0200

    Try the flat style

* Mon Mar 27 21:58:17 2017 +0200

    + donate button

* Sat Mar 25 12:46:53 2017 +0100

    Sign

* Sat Mar 25 04:46:03 2017 -0700

    adding nxd.ist resolver (#618)
    
    * adding nxd.ist
    
    * changing description of nxd.ist

* Mon Mar 20 22:28:37 2017 +0100

    cs-ch2 is unresponsive

* Mon Mar 20 22:27:49 2017 +0100

    contrib/resolvers-check.sh: allow a lower margin for the certificate

* Mon Mar 6 22:53:44 2017 +0100

    Sign

* Mon Mar 6 22:52:43 2017 +0100

    Update dnscrypt-resolvers.csv (#612)
    
    Previously mistakenly added the wrong IPv6 address. Added the correct one for dnscrypt.nl-ns0-ipv6

* Mon Mar 6 20:04:58 2017 +0100

    Sign

* Mon Mar 6 20:04:45 2017 +0100

    Amsterdan -> Amsterdam

* Mon Mar 6 20:04:07 2017 +0100

    Temporarily remove dnscrypt.nl-ns0-ipv6

* Mon Mar 6 20:01:35 2017 +0100

    Update dnscrypt-resolvers.csv (#611)
    
    Added dnscrypt.nl

* Mon Mar 6 08:38:28 2017 +0100

    Use unified headers on Android

* Sat Mar 4 19:37:35 2017 +0100

    Keep variables sorted by size

* Sat Mar 4 13:36:04 2017 -0500

    Reset the reachability of nameservers if all are unreachable (#609)
    
    If all nameservers have been marked unreachable, they will not be queried
    again until dnscrypt-proxy is restarted. This fix allows for queries to be
    retried without restarting dnscrypt-proxy.
    
    Fixes jedisct1/dnscrypt-proxy#608
    
    Signed-off-by: Mitchel Haan <mitchel@mhstud.io>

* Wed Feb 22 13:45:54 2017 +0100

    Doc error: client-pk is the client' public key.
    
    Spotted by @willnix
    
    Fixes #603

* Sat Feb 18 18:54:52 2017 +0100

    - d0wn-lt-ns1

* Sat Feb 18 10:45:16 2017 +0100

    Whitelist some TLDs typically used on local networks

* Thu Feb 16 09:58:12 2017 +0100

    whitelist << "j.mp"

* Tue Feb 14 08:33:53 2017 +0100

    Whitelist a-msedge.net and l-msedge.net
    
    Fixes #596

* Mon Feb 13 19:42:45 2017 +0100

    soltysiak-ipv6 is back

* Sun Feb 12 22:42:48 2017 +0100

    Compile for macOS >= 10.10

* Sat Feb 11 20:50:20 2017 +0100

    cs-es is temporarily down

* Thu Feb 9 22:25:39 2017 +0100

    Avoid clock_gettime() usage on MacOS
    
    The function is present in Sierra, but not on previous OS versions,
    although the linker doesn't complain when `-mmacosx-version-min=`
    mentions that we want to support OSX < 10.12.
    
    So, just pretend it doesn't exist, and remember to remove that
    hack the day everyone is running OSX >= 10.12.
    
    Via an issue from @Thireus

* Thu Feb 9 17:35:57 2017 +0100

    Looks like this is being renamed

* Thu Feb 9 13:56:11 2017 +0100

    Sign

* Thu Feb 9 16:25:51 2017 +0330

    Remove iFreeNet (#591)

* Thu Feb 9 12:58:48 2017 +0100

    domains -> zones

* Tue Feb 7 14:25:26 2017 +0100

    libevent test/dns: run async resolving after sync one (to avoid timeouts)

* Tue Feb 7 12:33:55 2017 +0100

    Normalize the dnscrypt-resolvers.csv format
    
    Also remove the namecoin tag from servers that don't support it any more.

* Tue Feb 7 12:03:43 2017 +0100

    Remove unresponsive resolvers

* Sun Jan 29 00:46:04 2017 +0100

    Travis is too slow :(

* Sat Jan 28 16:38:43 2017 +0100

    ldns-blocking: fix another corner case with suffix matching
    
    Ruleset:
    ```
    *.example.com
    ru.example.com
    ```
    
    A query for `xru.example.com` would find `ru.example.com` as the longest
    suffix. The expression didn't match since this is neither an exact match
    nor a match that stops at a label.
    
    However, this was ignoring the fact that there a different, shorter rule
    could match.
    
    This is pretty annoying, as keeping our promise to log the longest match
    means that we need at least yet another lookup in that specific case.
    Alternatively, the fpst lookup function could be specialized to stop at
    labels, but that would defeat the point of this example plugin. So,
    perform an extra lookup after striping the first (last, once the name is
    reversed) label.

* Fri Jan 27 00:37:21 2017 +0100

    Sort, re-add resolvers that were temporarily down

* Fri Jan 27 00:26:14 2017 +0100


* Sun Jan 22 16:54:03 2017 +0100

    Use the PID file to kill the service on Android

* Sun Jan 22 16:51:41 2017 +0100

    Update 99dnscrypt (#580)
    
    Added pidfile

* Sun Jan 22 13:00:28 2017 +0100

    Android 99dnscrypt: do not sleep before trying the next resolver

* Sun Jan 22 12:55:11 2017 +0100

    Android 99dnscrypt: reduce the margin to 700

* Sun Jan 22 12:48:59 2017 +0100

    Android's 99dnscrypt: use a random resolver

* Sat Jan 21 11:52:49 2017 +0100


* Sat Jan 21 11:51:05 2017 +0100

    Quotes

* Sat Jan 21 11:48:28 2017 +0100

    Update ChangeLog

* Sat Jan 21 11:10:33 2017 +0100

    Ignore *.exe

* Sat Jan 21 11:08:14 2017 +0100

    Update permissions on dnscrypt-update-resolvers.sh

* Sat Jan 21 10:15:48 2017 +0100

    Remove cd.. leftover

* Sat Jan 21 10:10:37 2017 +0100

    Reduce the number of CI builds

* Sat Jan 21 09:18:11 2017 +0100

    Check that everything builds with minimal libsodium builds

* Sat Jan 21 09:13:09 2017 +0100

    Update NEWS/ChangeLog

* Sat Jan 21 09:09:07 2017 +0100

    "make clean" is not super interesting to log

* Sat Jan 21 08:55:34 2017 +0100

    Revert "New resolver in Tokyo, Japan: LifeTyper"
    

* Sat Jan 21 08:55:16 2017 +0100

    Trusty is old

* Sat Jan 21 08:49:23 2017 +0100

    Travis doesn't support IPv6 yet

* Sat Jan 21 08:48:56 2017 +0100

    Travis: attempt install/uninstall + ./contrib/resolvers-check.sh

* Sat Jan 21 08:45:58 2017 +0100

    resolvers-check.sh: IPV4_ONLY can be set to probe only IPv4 resolvers

* Sat Jan 21 08:12:53 2017 +0100

    Move dnscrypt-update-resolvers.sh.in and resolvers-check.sh to contrib/

* Sat Jan 21 08:11:41 2017 +0100

    Update .gitignore

* Sat Jan 21 08:05:08 2017 +0100

    Use printunl/archlinux for the Windows builds

* Sat Jan 21 02:59:46 2017 +0100

    New resolver in Tokyo, Japan: LifeTyper

* Sat Jan 21 02:54:08 2017 +0100

    Use a random resolver in the tests

* Sat Jan 21 02:48:59 2017 +0100

    Indent

* Sat Jan 21 02:45:03 2017 +0100

    win32-win64-xcompile.sh: always compile from the script's directory

* Sat Jan 21 01:52:27 2017 +0100

    In the Windows dist, remove the sample conf, add WINDOWS doc

* Sat Jan 21 00:00:55 2017 +0100

    Update NEWS

* Sat Jan 21 00:00:10 2017 +0100

    Update ChangeLog

* Fri Jan 20 23:58:24 2017 +0100

    Fix libsodium warning

* Fri Jan 20 23:45:33 2017 +0100

    CLEANFILES += dnscrypt-update-resolvers.sh

* Fri Jan 20 23:43:58 2017 +0100

    Do not install the systemd files
    
    Package maintainers will do a way better job with these

* Fri Jan 20 23:40:21 2017 +0100

    Generate org.dnscrypt.osx.DNSCryptProxy.plist from a template

* Fri Jan 20 23:29:26 2017 +0100

    Reduce the difference between Android and iOS builds

* Fri Jan 20 23:13:18 2017 +0100

    Always include stdlib.h in evutil_rand.c

* Fri Jan 20 23:09:26 2017 +0100

    Make the builds a little bit more silent

* Fri Jan 20 22:57:16 2017 +0100

    Split

* Fri Jan 20 22:40:54 2017 +0100

    Regen the man page

* Fri Jan 20 22:39:50 2017 +0100

    Update ChangeLog

* Fri Jan 20 22:37:01 2017 +0100

    Support "random" as a resolver name to pick a random resolver

* Fri Jan 20 21:32:03 2017 +0100

    Install examples in @docdir@, create systemd files from templates

* Fri Jan 20 21:31:42 2017 +0100

    Pay attention to @datarootdir@ in dnscrypt-update-resolvers.sh.in

* Fri Jan 20 13:58:37 2017 +0100

    Print when the configuration file did not change

* Fri Jan 20 13:30:42 2017 +0100

    1.9.4

* Fri Jan 20 13:30:57 2017 +0100

    soltysiak down :( cs-lt up, cs-ua down.

* Fri Jan 20 13:08:02 2017 +0100

    Overwrite conf if the installed one is the vanilla example

* Fri Jan 20 12:52:21 2017 +0100

    Fix inverted logic in the installation of the example config file

* Wed Jan 18 10:52:53 2017 +0100

    cs-lt and d0wn-us-ns3 are temporarily unresponsive

* Wed Jan 18 08:59:36 2017 +0100

    Update ChangeLog

* Wed Jan 18 08:46:40 2017 +0100

    On Linux, warn when we are running low on entropy

* Wed Jan 18 08:18:57 2017 +0100

    Print even more details in test mode

* Wed Jan 18 08:15:48 2017 +0100

    Improve the test mode output and print the validity period

* Wed Jan 18 03:15:58 2017 +0100

    Travis: increase the margin for the certificate check

* Wed Jan 18 03:15:46 2017 +0100

    Recommend installing pkg-config and libsystemd-dev for systemd

* Wed Jan 18 01:59:11 2017 +0100

    Mention that NO_REUSEPORT is not required any more

* Tue Jan 17 22:48:18 2017 +0100

    build-base should be enough to build the package

* Tue Jan 17 22:40:38 2017 +0100

    d0wn-us-ns3 and soltysiak-ipv6 are temporarily down

* Tue Jan 17 22:37:45 2017 +0100

    1.9.3

* Tue Jan 17 22:34:53 2017 +0100

    Update ChangeLog

* Tue Jan 17 21:50:02 2017 +0100

    Travis: actually try to install the proxy

* Tue Jan 17 21:41:29 2017 +0100

    Fix the Plugin directive in config files; add a CI test for it as well

* Tue Jan 17 20:00:22 2017 +0100

    Ignore ldconfig errors

* Tue Jan 17 19:52:50 2017 +0100

    Restore -e, ignore make install errors

* Tue Jan 17 15:33:24 2017 +0100

    Switch Travis builds to multiarch/alpine

* Tue Jan 17 15:30:38 2017 +0100

    Update NEWS

* Tue Jan 17 15:27:01 2017 +0100

    apt is not present on Travis

* Tue Jan 17 15:22:04 2017 +0100

    Travis: try to compile for multiple Linux architectures

* Tue Jan 17 12:34:37 2017 +0100

    If binding a TCP socket with SO_REUSEPORT fails, retry without it
    
    This is required at least on alpine/armhf

* Tue Jan 17 12:09:45 2017 +0100

    Check for linux/filter.h presence -- Allows compilation on musl libc

* Tue Jan 17 01:37:11 2017 +0100

    Mention that the Include path does not require quotes

* Tue Jan 17 01:18:10 2017 +0100

    --with-ttl was renamed --min-ttl

* Tue Jan 17 00:38:42 2017 +0100

    Fix casing

* Mon Jan 16 23:52:20 2017 +0100

    Do not print the plugins root directory on Windows

* Mon Jan 16 20:01:34 2017 +0100

    It's called "tracker.debian.org", but it's not a tracker

* Mon Jan 16 14:10:30 2017 +0100

    Do not install dnscrypt-proxy.conf.example if no dnscrypt-proxy.conf file exists

* Sun Jan 15 18:56:07 2017 +0100

    Update ChangeLog

* Sun Jan 15 18:55:28 2017 +0100

    Do not include <sys/socket.h> on WIN32

* Sun Jan 15 18:23:42 2017 +0100

    --version now reports useful information about how the server was compiled

* Sun Jan 15 18:11:08 2017 +0100

    Update ChangeLog

* Sun Jan 15 17:51:10 2017 +0100

    Remove the fpm package
    
    fpm is awesome, but apparently, nobody's using this script.

* Sun Jan 15 17:42:07 2017 +0100

    Prepare for version 1.9.2

* Sun Jan 15 17:19:09 2017 +0100

    Fix KX when using xchacha20poly1305 and non-ephemeral keys

* Sun Jan 15 16:27:38 2017 +0100

    Warn when an obsolete libsodium version is found

* Sun Jan 15 15:45:02 2017 +0100

    Log the system error message when the TCP listener cannot be created

* Sun Jan 15 15:12:19 2017 +0100

    Update simpleconf

* Sun Jan 15 10:03:17 2017 +0100

    Indent

* Sun Jan 15 09:58:32 2017 +0100

    Move the !Include definition down

* Sun Jan 15 01:56:38 2017 +0100

    Document that recursive configuration files are now supported

* Sun Jan 15 01:48:58 2017 +0100

    Comment marktron's list in the sample domains-blacklist configuration

* Sun Jan 15 01:40:56 2017 +0100

    Shorten

* Sun Jan 15 01:37:13 2017 +0100

    simpleconf: support a handler for "special" keywords

* Sun Jan 15 00:11:39 2017 +0100

    Preliminary support for recursive configuration files

* Sat Jan 14 23:59:25 2017 +0100

    Improve the domains-blacklist.conf header

* Sat Jan 14 23:55:22 2017 +0100

    simpleconf: detach the code responsible for loading a config file

* Fri Jan 13 22:13:54 2017 +0100

    Improve the ProviderName example

* Fri Jan 13 02:54:07 2017 +0100

    Nits

* Thu Jan 12 20:38:35 2017 +0100

    Remove Quidsup Notrack by default -- too many FPs such as pusher

* Thu Jan 12 20:31:15 2017 +0100

    Do not block elasticbeanstalk.com

* Wed Jan 11 10:04:25 2017 -0800

    Add Dan Pollock's list

* Wed Jan 11 00:48:36 2017 -0800

    Use bounce buffers for crypto_box_detached_afternm emulation
    
    Required for ancient libsodium versions (stock Debian Jessie, Raspbian)

* Tue Jan 10 13:26:52 2017 -0800

    Include \0 in the key equality test

* Tue Jan 10 10:48:50 2017 -0800

    Iterate over the \0 terminator when inserting a new key

* Tue Jan 10 00:28:34 2017 -0800

    Mention how to run the python script

* Sat Jan 7 15:24:35 2017 +0100

    Unfortunately, blocking *.spotify.com breaks the app :/

* Sat Jan 7 10:53:44 2017 +0100

    Nits

* Sat Jan 7 10:37:56 2017 +0100

    IgnoreTimeStamps weakens security -- do not enable blindly

* Sat Jan 7 16:33:28 2017 +0700

    Add Windows service properties IgnoreTimestamps and LogLevel
    
    Add "IgnoreTimestamps (--ignore-timestamps)" and "LogLevel (--loglevel)" for windows service parameter registry.
    So windows service parameter registry had the same option with the main program option.

* Sat Jan 7 16:32:45 2017 +0700

    Update README-WINDOWS.markdown (#548)
    
    * Update README-WINDOWS.markdown
    
    Fixed.
    Documentation for `windows_service.c` change.
    
    * Update README-WINDOWS.markdown

* Sat Jan 7 10:30:14 2017 +0100

    Redirect log messages whose level is < LOG_NOTICE to stderr

* Fri Jan 6 18:14:18 2017 +0100

    Attach a BPF filter to the client-side UDP socket

* Fri Jan 6 16:02:10 2017 +0100

    Typo

* Fri Jan 6 15:18:09 2017 +0100

    Do not enable SO_REUSEPORT is NO_REUSEPORT is defined
    
    `SO_REUSEPORT` is apparently buggy on older linux-sunxi kernels

* Thu Jan 5 23:46:37 2017 +0100

    Avoid the redefinition of the FPST type
    
    This fixes compilation on Debian 6

* Tue Jan 3 15:29:04 2017 +0100

    Blocking tagcommander.com causes popular mobile apps to freeze :(

* Tue Jan 3 15:17:40 2017 +0100

    Whitelist some entries

* Tue Jan 3 15:11:17 2017 +0100

    Print the number of entries ignored because of the whitelist

* Tue Jan 3 15:08:13 2017 +0100

    Support a whitelist

* Tue Jan 3 14:09:23 2017 +0100

    Add TXT records

* Tue Jan 3 07:21:08 2017 +0100

    Don't assume that ## or #@ is an inline comment

* Mon Jan 2 22:39:03 2017 +0100

    Read the domains-blacklist.conf file from the command line if supplied

* Mon Jan 2 22:10:10 2017 +0100

    Refine the inline-comments macro

* Mon Jan 2 21:56:17 2017 +0100

    Add a few optional categories to domains-blacklist.conf

* Mon Jan 2 21:35:02 2017 +0100

    Add more spam/fraud/ads sources

* Mon Jan 2 21:23:27 2017 +0100

    Remove inline comments from blacklist entries

* Mon Jan 2 13:41:00 2017 +0100

    Keep daemonize uncommented

* Mon Jan 2 13:40:17 2017 +0100

    Mention that Daemonize is not for Windows

* Mon Jan 2 12:35:30 2017 +0100

    Re-remove resolvers that are still down:
    
    - cs-uswest - Failed
    - d0wn-dk-ns1 - Failed
    - d0wn-dk-ns1 - Failed
    - d0wn-fr-ns1 - Failed
    - d0wn-fr-ns1-ipv6 - Failed
    - d0wn-nl-ns2 - Failed

* Mon Jan 2 06:29:50 2017 -0500

    Update dnscrypt-resolvers.csv (#540)
    
    Removed original listing of Cryptostorm's DNS resolvers and added Cryptostorm's updated DNS resolvers from their github
    https://github.com/cryptostorm/cstorm_deepDNS/blob/master/dnscrypt-resolvers.csv
    
    Updated D0wn's list of DNS resolvers
    - According to https://dns.d0wn.biz/ "All servers are supporting DNSSEC." Updated d0wn's DNS resolvers to yes under DNSSEC column.
    - Added Austria, Bulgaria, Canada, Czech Republic, Denmark, France, Germany, Greece, Hong Kong, Lithuania, Moldova, Netherlands, Romania, Singapore, South Korea, Switzerland, Tanzania, United States of America
    - Rearranged Germany, Moldova, Spain, Sweden to coincide better Alphabetically
    
    Added Tumabox IPv6 DNS Resolver

* Sun Jan 1 17:49:10 2017 +0100

    Remove some d0wn resolver that are temporarily down

* Sun Jan 1 17:31:55 2017 +0100

    Update ChangeLog

* Sun Jan 1 17:30:16 2017 +0100

    generate-domains-blacklist.py: remove overlapping names

* Sun Jan 1 15:23:42 2017 +0100

    Include netinet/ip.h

* Sun Jan 1 15:17:53 2017 +0100

    Set the DSCP to AF32

* Sun Jan 1 08:00:55 2017 +0100

    Fix stupid pasto in util_ntohl()

* Sun Jan 1 07:26:53 2017 +0100

    Block eth0.me

* Sun Jan 1 00:22:01 2017 +0100

    Regen man pages

* Sat Dec 31 23:35:10 2016 +0100

    Fix string comparison after a previous iteration

* Sat Dec 31 23:08:35 2016 +0100

    Keep the frame pointers to get nicer backtraces on Windows

* Sat Dec 31 23:07:04 2016 +0100

    Actually run pkg-config and autoreconf

* Sat Dec 31 22:27:05 2016 +0100

    A short update to the NEWS file

* Sat Dec 31 22:24:02 2016 +0100

    Update ChangeLog

* Sat Dec 31 22:23:42 2016 +0100

    Add the ability to specify the minimum TTL a record has to be cached

* Sat Dec 31 21:58:44 2016 +0100

    Remove an useless assertion

* Sat Dec 31 20:48:11 2016 +0100

    inline

* Sat Dec 31 20:45:18 2016 +0100

    Reduce the value to 32 bits

* Sat Dec 31 20:37:28 2016 +0100

    The max length of a key is 32767 bytes

* Sat Dec 31 20:29:33 2016 +0100

    2017

* Sat Dec 31 20:29:29 2016 +0100

    C++ compat

* Sat Dec 31 20:20:35 2016 +0100

    Resume string comparison where we left after the previous iteration

* Sat Dec 31 18:34:52 2016 +0100

    Version bump

* Sat Dec 31 18:32:40 2016 +0100

    Rewrite the prefix matching algorithm for the blocking plugin

* Thu Dec 29 21:06:38 2016 +0100

    Add quotes around paths to blacklists in the example file
    
    Unnecessary for paths that don't include spaces, but paths with
    spaces are common on Windows, so make the example more universal.

* Thu Dec 29 16:12:28 2016 +0100

    Dragonfly BSD doesn't have any problems with -fstack-protector-strong

* Thu Dec 29 13:55:32 2016 +0100

    `--install-service-with-config-file` -> `--install-with-config-file`

* Thu Dec 29 13:52:43 2016 +0100

    Do not print references to man pages on Windows

* Thu Dec 29 11:21:29 2016 +0100

    Properly include the contrib dir in the dist tarball

* Thu Dec 29 10:28:52 2016 +0100

    Document what plugins can do

* Thu Dec 29 09:15:19 2016 +0100

    Update ChangeLog

* Thu Dec 29 09:14:49 2016 +0100

    Do not use --high-entropy-va on i686

* Thu Dec 29 09:03:22 2016 +0100

    Typo

* Thu Dec 29 08:42:29 2016 +0100

    Update ChangeLog

* Thu Dec 29 08:41:30 2016 +0100

    Temporarily remove cs-uswest
    
    Since a new release is being tagged, this resolver cannot be included
    in the default list.

* Thu Dec 29 08:32:43 2016 +0100

    Update ChangeLog

* Thu Dec 29 08:32:35 2016 +0100

    + TCP for hostip

* Thu Dec 29 08:31:04 2016 +0100

    hostip: retry using TCP on truncated responses, dont change qname case

* Thu Dec 29 08:16:32 2016 +0100

    Update some m4 scripts

* Thu Dec 29 07:48:18 2016 +0100

    win[32|64]-xcompile: Force some link options even for dependencies

* Thu Dec 29 07:38:55 2016 +0100

    Tweak AX_CHECK_COMPILE_FLAG to also try to link the test program
    
    This simplifies the main configure script.
    
    Also try to use -fstack-protector-strong if available instead of
    -fstack-protector-all

* Thu Dec 29 07:13:36 2016 +0100

    The libsodium copy doesn't require POSIX threads on Windows

* Thu Dec 29 00:33:08 2016 +0100

    Add oas.* and oascentral.* (ads)

* Thu Dec 29 00:12:29 2016 +0100

    Don't assume that the proxy is in /usr/local for the systemd service
    
    People compiling the proxy themselves won't use systemd right away,
    and people using dnscrypt-proxy via systemd are likely to use system
    packages.

* Thu Dec 29 00:07:51 2016 +0100

    Update ChangeLog

* Thu Dec 29 00:07:09 2016 +0100

    Remove man pages, and .la files from the Windows distribution files

* Wed Dec 28 23:56:51 2016 +0100

    msys*: add the CSV + pub file to the root directory

* Wed Dec 28 23:44:31 2016 +0100

    Avoid ntohl() in example-ldns-blocking

* Wed Dec 28 23:26:23 2016 +0100

    Add *.workgroup

* Wed Dec 28 23:25:12 2016 +0100

    Block *.localdomain in the local-additions.txt example

* Wed Dec 28 23:24:28 2016 +0100

    Add SRV records

* Wed Dec 28 23:11:13 2016 +0100

    Try to enable TFO even after the listen() call

* Wed Dec 28 22:32:37 2016 +0100

    Update the ChangeLog

* Wed Dec 28 22:28:58 2016 +0100

    Use 1 fastopen queue on MacOS, 5 on Linux

* Wed Dec 28 22:18:41 2016 +0100

    Cache entries according to the minimum TTL, not the first one observed

* Wed Dec 28 22:09:47 2016 +0100

    Sync msys-* build scripts with the xcompile build script

* Wed Dec 28 21:49:54 2016 +0100

    Use sodium_memzero() to zero structures before a call to free()

* Wed Dec 28 21:44:11 2016 +0100

    Why I love Rust

* Wed Dec 28 21:09:07 2016 +0100

    Udpate ChangeLog

* Wed Dec 28 21:08:51 2016 +0100

    Mention plugins that require the ldns library

* Wed Dec 28 17:32:11 2016 +0100

    Improve plugin documentation

* Wed Dec 28 17:09:56 2016 +0100

    4 extra bytes after the qname are fine in a question RR

* Wed Dec 28 16:55:01 2016 +0100

    free() allocated command-line arguments when using the config parser

* Wed Dec 28 16:51:01 2016 +0100

    Allow options_parse() to alter argc/argv

* Wed Dec 28 16:27:12 2016 +0100

    Plug a memory leak when deleting the cache

* Wed Dec 28 15:48:34 2016 +0100

    options_read_file(): ensure that the output buffer is zero-terminated

* Wed Dec 28 14:14:42 2016 +0100

    Update ChangeLog

* Wed Dec 28 14:14:29 2016 +0100

    /etc/dnscrypt-proxy.conf is probably required in the apparmor profile

* Wed Dec 28 13:48:10 2016 +0100

    crypto_box_*_afternm() computes the hash, so it can't be shared

* Wed Dec 28 13:21:22 2016 +0100

    Print favored versions, not serials

* Wed Dec 28 11:59:27 2016 +0100

    Downgrade "Unsupported certificate version" to LOG_INFO

* Wed Dec 28 11:45:00 2016 +0100

    Do not assume that ntohl() is available without extra libraries

* Wed Dec 28 11:13:54 2016 +0100

    libgcc_s* is required after all :/

* Wed Dec 28 10:44:19 2016 +0100

    Revert "Add -static-libgcc to mingw builds"
    

* Wed Dec 28 10:43:55 2016 +0100

    Revert "libgcc_s_*.dll should not be required any more"
    

* Wed Dec 28 09:05:06 2016 +0100

    Doc update

* Wed Dec 28 08:45:24 2016 +0100

    Block *.local and *.lan in domains-blacklist-local-additions.txt

* Wed Dec 28 08:26:03 2016 +0100

    Mention that LocalAddress doesn't work if systemd interferes

* Wed Dec 28 00:48:48 2016 +0100

    When using systemd, daemonization should apparently be disabled

* Tue Dec 27 23:35:21 2016 +0100

    Add domains-blacklist-local-additions.txt for... local additions

* Tue Dec 27 22:22:12 2016 +0100

    Fix more memory leaks on error path

* Tue Dec 27 21:45:34 2016 +0100

    Update the NEWS file for version 1.9.0

* Tue Dec 27 21:21:25 2016 +0100

    Update ChangeLog

* Tue Dec 27 21:10:29 2016 +0100

    Sign

* Tue Dec 27 21:10:14 2016 +0100

    d0wn-ua-ns1 is down

* Tue Dec 27 21:07:39 2016 +0100

    Change ifreenet location to unicast

* Wed Dec 28 03:04:32 2016 +0700

    Added d0wn Indonesia resolver (#522)
    
    Added d0wn Indonesia resolver from https://dns.d0wn.biz

* Tue Dec 27 20:54:04 2016 +0100

    Plug leak on error path

* Tue Dec 27 20:33:20 2016 +0100

    Add Forward domains:(<any>) to:(<any>)

* Tue Dec 27 20:08:11 2016 +0100

    Mention that `--service-name` only makes sense with `--[un]install`

* Tue Dec 27 20:05:21 2016 +0100

    Typo

* Tue Dec 27 20:02:15 2016 +0100

    Remove `ServiceName` from the config file

* Tue Dec 27 19:38:03 2016 +0100

    Add a plugin to forward queries to specific resolvers

* Tue Dec 27 12:26:04 2016 +0100

    Plug some memory leaks on error path

* Tue Dec 27 10:20:19 2016 +0100

    line->str for consistency

* Tue Dec 27 09:31:38 2016 +0100

    Mention that ServiceName is only used when installing the service.

* Tue Dec 27 09:25:43 2016 +0100

    Also leverage `LT_LIBPREFIX`

* Tue Dec 27 09:16:36 2016 +0100

    Use `LT_MODULE_EXT` to retrieve the module extension
    
    This renders the presence of .la files optional.

* Mon Dec 26 22:05:58 2016 +0100

    Correct the synopsis

* Mon Dec 26 22:04:15 2016 +0100

    Update the man page

* Mon Dec 26 18:56:00 2016 +0100

    Clarify

* Mon Dec 26 18:52:20 2016 +0100

    Add a port number in the ResolverAddress example

* Mon Dec 26 18:47:37 2016 +0100

    -Z should not imply -S

* Mon Dec 26 18:45:40 2016 +0100

    Allow ResolverAddress to override the CSV-provided address

* Mon Dec 26 18:34:49 2016 +0100

    Update the help message when no command-line options have been given

* Mon Dec 26 10:40:16 2016 +0100

    Move the blacklist generation script to a contrib folder

* Mon Dec 26 10:38:52 2016 +0100

    Toy might be misinterpreted

* Sun Dec 25 23:22:34 2016 +0100

    Add a sample script to generate lists of blacklisted domains

* Sun Dec 25 11:42:51 2016 +0100

    Shorten

* Sun Dec 25 11:41:22 2016 +0100

    Rephrase, remove double space

* Sat Dec 24 19:11:30 2016 +0100

    Final stop

* Sat Dec 24 01:38:33 2016 +0100

    Use the config file in the systemd service

* Sat Dec 24 01:33:55 2016 +0100

    Shorten even more

* Sat Dec 24 01:32:05 2016 +0100

    The disclaimer can be moved to the wiki, too

* Sat Dec 24 01:30:44 2016 +0100

    Remove a lot of the documentation. The Wiki is a better tool.

* Sat Dec 24 00:27:31 2016 +0100

    web sites -> websites

* Fri Dec 23 23:17:28 2016 +0100

    doc update

* Fri Dec 23 23:15:43 2016 +0100

    Doc update

* Fri Dec 23 22:50:07 2016 +0100

    Doc update

* Fri Dec 23 22:41:05 2016 +0100

    Use the config file in the .plist example

* Fri Dec 23 22:26:31 2016 +0100

    Typo

* Fri Dec 23 21:49:20 2016 +0100

    Update the minisign check example

* Fri Dec 23 19:21:47 2016 +0300

    Correct spelling (#521)

* Fri Dec 23 11:50:37 2016 +0100

    Update ChangeLog

* Fri Dec 23 11:38:08 2016 +0100

    SIGHUP now reloads the plugins
    
    Useful to rotate logs, and to update blacklists

* Fri Dec 23 11:15:03 2016 +0100

    Make plugin_support.h more readable

* Thu Dec 22 16:47:16 2016 +0100

    Fix `--ignore-timestamps`
    
    Reported by Toni Uhlig - Thanks!

* Thu Dec 22 11:18:53 2016 +0100

    Recommend checking the Daemonize option

* Thu Dec 22 11:16:34 2016 +0100

    Do not overwrite an existing dnscrypt-proxy.conf file

* Thu Dec 22 11:09:14 2016 +0100

    OSX -> MacOS and other minor changes to the documentation

* Thu Dec 22 10:51:09 2016 +0100

    Next will be 1.9.0 due to the major changes to the plugins

* Thu Dec 22 10:48:06 2016 +0100

    Just define some constants for clarity

* Thu Dec 22 10:43:45 2016 +0100

    empty -> is_empty

* Thu Dec 22 10:38:45 2016 +0100

    Lookup the frequent cache before the recent one

* Thu Dec 22 10:28:27 2016 +0100

    Add a second queue to the cache

* Thu Dec 22 09:52:56 2016 +0100

    up

* Thu Dec 22 09:22:52 2016 +0100

    Keep things together

* Thu Dec 22 09:21:32 2016 +0100

    Move code updating the cache to its own set of functions for clarity

* Thu Dec 22 08:55:09 2016 +0100

    Move the code that deallocates cache entries to its own function

* Thu Dec 22 07:51:22 2016 +0100

    Move a few definitions to example-cache.h

* Thu Dec 22 07:44:11 2016 +0100

    space->tab in Makefile.am

* Thu Dec 22 03:02:00 2016 +0100

    Do not change the TTL of OPT records
    
    Also properly copy the casing of the original client query

* Thu Dec 22 02:36:12 2016 +0100

    Ignore the TTL of OPT records
    
    And use the minimum TTL for empty zones.
    
    Probably not as great as looking at the SOA, very likely better than
    assuming the maximum TTL.

* Wed Dec 21 18:14:12 2016 +0100

    Only recommend one verification procedure

* Wed Dec 21 18:12:37 2016 +0100

    Bump the example version number

* Thu Dec 22 01:58:33 2016 +0100

    Add a simple DNS cache

* Thu Dec 22 01:45:30 2016 +0100

    Do not forget the file extension in plugins descriptions

* Tue Dec 20 20:59:11 2016 +0100

    Correct format string

* Tue Dec 20 16:46:09 2016 +0100

    Use lowercase hex digits

* Tue Dec 20 16:45:03 2016 +0100

    logging: add some common query types

* Tue Dec 20 14:09:29 2016 +0100

    libgcc_s_*.dll should not be required any more

* Tue Dec 20 13:55:39 2016 +0100

    Add -static-libgcc to mingw builds

* Tue Dec 20 13:43:17 2016 +0100

    Include <netinet/in.h> for sockaddr_* definitions

* Tue Dec 20 13:41:18 2016 +0100

    Add /usr/${TARGET}/bin/libgcc_s_* to the distributed file

* Tue Dec 20 13:08:25 2016 +0100

    Keep only one port per service
    
    A way to list the set of ports every service can be reached at
    would be great, and we really need to find a clean way to
    support this in the future.

* Tue Dec 20 11:33:51 2016 +0100

    Add the ability to log queries using LTSV, too

* Tue Dec 20 11:18:57 2016 +0100

    Version bump even if we're not there yet

* Tue Dec 20 11:15:15 2016 +0100

    example-ldns-blocking: support the LTSV logging format

* Tue Dec 20 10:34:18 2016 +0100

    untab input

* Tue Dec 20 10:29:09 2016 +0100

    Major additions to the way [blocked] queries are logged

* Tue Dec 20 09:25:11 2016 +0100

    Print IPv6 addresses

* Tue Dec 20 01:26:22 2016 +0100

    Add the client IP address

* Tue Dec 20 00:57:56 2016 +0100

    `*.example.com` now matches example.com and x.example.com, not xexample.com

* Mon Dec 19 11:54:25 2016 +0100

    Complete rewrite of the blocking plugin to make it really fast
    
    This was intended to be nothing but a simple example of a plugin.
    
    However, this example turned out to be useful. And actually used.
    
    So, let's get serious about it and do better than a linear scan
    in order to match names and IPs.
    
    A critbit-like data structure is a perfect fit for that kind of list.
    
    So, split blacklists into 4 tries (5-bit variant of qp-tries):
    - ips
    - name prefixes
    - name suffixes
    - patterns that can be found anywhere
    
    Linear scans could have been kept for case #4, but this is not a
    common use case, and having a single data structure for everything
    reduces bloat.
    
    Suffix matching currently works the same way as prefix matching, with
    keys and strings being reversed first. However, from a user perspective,
    it makes sense to have `*.example.com` match `example.com` and
    `www.example.com` but not `abcexample.com`. This will be addressed next.
    
    Meanwhile, the plugin can now seamlessly handle very large blacklists.

* Mon Dec 19 12:06:37 2016 +0100

    Update ChangeLog for 1.8.1

* Mon Dec 19 11:31:08 2016 +0100

    host_only() -> trim_comments()

* Mon Dec 19 10:25:50 2016 +0100

    Version bump

* Mon Dec 19 10:10:49 2016 +0100

    Android: downgrade the NDK to 19 when building for platform 16
    
    May fix the `signal()` (inlined prior to version 21) symbol being undefined.

* Mon Dec 19 08:51:29 2016 +0100

    Fix off-by-one in the registry key
    
    Spotted by Christian Hermann

* Sun Dec 18 15:17:27 2016 +0100

    Document Control-C

* Sat Dec 17 22:54:09 2016 +0100

    Revert "dnscrypt.eu-nl-ipv6 has been down for a while"
    

* Sat Dec 17 22:35:57 2016 +0100

    sysconf -> dist_sysconf

* Sat Dec 17 19:44:10 2016 +0100

    Update ChangeLog

* Sat Dec 17 19:43:43 2016 +0100

    Do not require wine

* Sat Dec 17 19:40:21 2016 +0100

    Documentation improvements

* Sat Dec 17 19:32:57 2016 +0100

    Mention that the config file requires dnscrypt-proxy 1.8.0

* Sat Dec 17 19:32:24 2016 +0100

    Improve the Windows documentation

* Sat Dec 17 19:13:48 2016 +0100

    Wndows doc/news update

* Sat Dec 17 19:13:35 2016 +0100

    Fix the vendor-specific include path

* Sat Dec 17 19:06:37 2016 +0100

    Update ChangeLog

* Sat Dec 17 19:05:12 2016 +0100

    Sync the Android build scripts with libsodium

* Sat Dec 17 18:43:36 2016 +0100

    Require iOS6

* Sat Dec 17 18:42:58 2016 +0100

    Compat with minimal builds of libsodium

* Sat Dec 17 18:41:45 2016 +0100

    The CoreServices framework is probably not required any more

* Sat Dec 17 18:41:14 2016 +0100

    Do not recommend minimal libsodium builds any more, for xchacha20

* Sat Dec 17 18:21:34 2016 +0100

    Sign

* Sat Dec 17 18:20:48 2016 +0100

    Added d0wn Italy's resolver (#511)
    
    Added d0wn Italy's resolver - from https://dns.d0wn.biz

* Sat Dec 17 18:19:15 2016 +0100

    Only keep vendor-neutral options in the configuration file

* Sat Dec 17 18:15:59 2016 +0100

    Update NEWS

* Sat Dec 17 17:32:58 2016 +0100

    The query logs is usually what people want, not the server log

* Sat Dec 17 17:29:00 2016 +0100

    More explicit default resolver

* Sat Dec 17 17:25:27 2016 +0100

    Inverted logic

* Sat Dec 17 17:19:38 2016 +0100

    lto still doesn't work reliably on mingw

* Sat Dec 17 16:18:17 2016 +0100

    Add a cross-compilation script for win32/win64 from Arch Linux

* Sat Dec 17 13:46:01 2016 +0100

    Bump example version

* Sat Dec 17 13:49:19 2016 +0100

    Deconstify

* Sat Dec 17 12:46:30 2016 +0100

    Windows: add a --install-with-config-file= command-line option

* Sat Dec 17 11:39:01 2016 +0100

    Avoid snprintf() in plugins

* Sat Dec 17 00:08:45 2016 +0100

    Update ChangeLog

* Sat Dec 17 00:02:42 2016 +0100

    The OpenDNS password can finally be loaded from a file
    
    The environment variable remains supported for backwards compatibility,
    but it is not documented any more.

* Sat Dec 17 00:02:15 2016 +0100

    Do not use two identification methods simultaneously

* Fri Dec 16 23:41:16 2016 +0100

    Looks like the password is just called "device"

* Fri Dec 16 23:16:43 2016 +0100

    Keep IgnoreTimeStamps commented in order to discourage its use

* Fri Dec 16 23:01:28 2016 +0100

    Remove down d0wn resolvers

* Fri Dec 16 22:23:40 2016 +0100

    Sort

* Fri Dec 16 22:18:59 2016 +0100

    Add a sample configuration file

* Fri Dec 16 22:18:09 2016 +0100

    Typo in the man page

* Fri Dec 16 11:34:39 2016 +0100

    Reuse the pure-ftpd config file parser

* Fri Dec 16 11:31:46 2016 +0100

    Configuration file (#454)
    
    * Add option -c to load configuration from a file.
    Add option -C to print the current configuration to stdout.
    Properly nul-terminate file_buf in options_read_file.
    
    * Document -c, -C and the configuration file.
    
    * Regenerate dnscrypt-proxy.8 from dnscrypt-proxy.8.markdown with ronn.

* Wed Dec 14 12:02:57 2016 +0100

    Update ChangeLog

* Tue Dec 13 12:00:14 2016 +0100

    New option `--service-name` to set the Windows service name

* Sun Dec 11 20:56:23 2016 +0100

    Version bump, update ChangeLog/NEWS

* Sun Dec 11 20:33:26 2016 +0100

    Use strdup() for resolver parameters supplied manually

* Sun Dec 11 20:19:52 2016 +0100

    Properly print the minor protocol version

* Sun Dec 11 19:28:14 2016 +0100

    Favor newer versions of the protocol

* Sun Dec 11 01:31:45 2016 +0100

    Keep a copy of the non-signed certificate data in bincerts

* Sun Dec 11 01:02:41 2016 +0100

    Add preliminary support for xchacha20poly1305

* Sun Dec 11 00:09:12 2016 +0100

    Add polyfills for ancient libsodium versions

* Sat Dec 10 23:10:58 2016 +0100

    Update ChangeLog

* Sat Dec 10 22:26:20 2016 +0100

    More hacks for Debian

* Sat Dec 10 21:32:22 2016 +0100

    Stop checking for 6jack

* Sat Dec 10 21:28:09 2016 +0100

    Work around Debian shipping an antiquated version of libsodium

* Sat Dec 10 21:13:00 2016 +0100

    Do not use the confusing box API any more.
    
    This requires libsodium >= 1.0.2

* Sat Dec 10 19:57:14 2016 +0100

    Add timestamps to syslogless logs

* Sat Dec 10 19:52:17 2016 +0100

    Add timestamps to log files

* Sat Dec 10 19:27:26 2016 +0100

    Document --logfile

* Sat Dec 10 17:13:14 2016 +0100

    Make the plugin descriptions more consistent

* Sat Dec 10 14:50:47 2016 +0100

    Add a --logfile option to the ldns-blocking plugin

* Sat Dec 10 10:31:49 2016 +0100

    Add ifreenet.online DNS record for its public key

* Sat Dec 10 01:35:17 2016 +0100

    sign

* Sat Dec 10 04:04:22 2016 +0330

    Update dnscrypt-resolvers.csv (#506)
    
    Added new public dnscrypt by ifreenet.online

* Fri Dec 9 21:12:11 2016 +0100

    cloudns is experiencing issues

* Sun Dec 4 10:39:25 2016 +0100

    Add DNSCryptClient

* Mon Nov 28 23:35:28 2016 +0100

    Temporarily remove d0wn-dk-ns1

* Wed Nov 23 22:11:05 2016 +0100

    Remove dead resolvers

* Sat Nov 19 09:39:49 2016 +0100

    free() more things on exit

* Sat Nov 19 09:21:48 2016 +0100

    Install SIGINT & SIGTERM handlers

* Sat Nov 19 09:20:37 2016 +0100

    Regression from last commit

* Sat Nov 19 09:18:38 2016 +0100

    Fix inverted logic when shutting down listeners

* Mon Nov 14 23:31:01 2016 +0100

    Revert ipredator key change
    

* Mon Nov 14 15:56:56 2016 +0100

    Mention when servers use a long key rotation period

* Mon Nov 14 15:20:00 2016 +0100

    Sign

Merge: d5c0ea8 cb19477
* Mon Nov 14 15:19:40 2016 +0100

    Update dnscrypt-resolvers.csv (#497)
    
    update Ipredator.se Provider public key

* Mon Nov 14 14:27:16 2016 +0100

    Update dnscrypt-resolvers.csv
    
    update Ipredator.se Provider public key

* Sun Nov 13 22:40:02 2016 +0100

    d0wn and OpenNIC divorced

* Sat Nov 12 23:52:34 2016 +0100

    dnscrypt.eu-nl-ipv6 has been down for a while

* Sat Nov 12 23:48:29 2016 +0100

    New key for d0wn-lv-ns1

* Sat Nov 5 22:14:21 2016 +0100

    Yet another key change, for d0wn-tz-ns1

* Sat Nov 5 21:37:15 2016 +0100

    Sign

* Sat Nov 5 21:36:05 2016 +0100

    New key for d0wn-gr-ns1

* Tue Nov 1 23:08:18 2016 +0100

    New resolver in New York: dyne.org

* Tue Nov 1 23:04:10 2016 +0100

    New key for d0wn-random-ns2

* Mon Oct 31 13:46:39 2016 +0100

    New key for d0wn-de-ns1

* Thu Oct 27 15:09:57 2016 +0200

    iPredator supports DNSSEC

* Wed Oct 26 22:59:28 2016 +0200

    Sign

* Wed Oct 26 22:58:57 2016 +0200

    Updated file with new D0wn's DNS server in Spain (#488)

* Tue Oct 25 22:56:01 2016 +0200

    0x00 0x02 is reserved for X25519-XChacha20Poly1305

* Mon Oct 24 10:13:11 2016 +0200

    Update the list of resolvers

* Tue Oct 25 10:04:08 2016 +0200

    Check that the resolvers list doesn't contain duplicates

* Sat Oct 22 02:49:12 2016 +0200

    Remove temporarily d0wn resolvers

* Mon Oct 17 18:06:13 2016 +0200

    Add dnscrypt.org-fr URL

* Thu Oct 13 22:57:27 2016 +0200

    Try to use LibreSSL before OpenSSL

* Thu Oct 13 22:43:11 2016 +0200

    Add explit paths to OpenSSL for Homebrew

* Thu Oct 13 21:35:24 2016 +0200

    Make the example-ldns-blocking.c changes consistent with the rest of the code

* Thu Oct 13 22:35:12 2016 +0300

    Move apply_block_domains to the pre_filter event group (#485)

* Tue Oct 11 15:24:08 2016 +0200

    Welcome back, dnscrypt.eu-dk

* Mon Oct 10 23:49:31 2016 +0200

    Temporarily remove unresponsive resolvers

* Mon Oct 10 23:41:40 2016 +0200

    Sign

* Mon Oct 10 23:35:45 2016 +0200

    Avoid duplicate descriptions

* Tue Oct 11 00:32:41 2016 +0300

    update Adguard`s server list (#483)

* Mon Oct 10 14:29:58 2016 +0200

    Re-add update-binary to the git repository

* Sun Oct 9 11:26:02 2016 +0200

    Remove quite a few resolvers that are currently down

* Fri Oct 7 23:23:13 2016 +0200

    Sign

* Fri Oct 7 22:22:31 2016 +0100

    Remove 4ARMED server due to decommissioning (#482)

* Mon Oct 3 07:25:31 2016 +0200

    Remove ventricle.us cjdns & IPv6 addresses

* Sun Oct 2 22:43:31 2016 +0200

    adguard-family doesn't seem to work any more

* Sun Oct 2 19:00:13 2016 +0200

    Shorten the name of the ventricle servers

* Sun Oct 2 12:27:26 2016 -0400

    Added dnscrypt.ventricle.us (#478)

* Sun Oct 2 09:54:24 2016 +0200

    fvz-rec-gb-lon-03 is down

* Sun Oct 2 09:52:52 2016 +0200

    Sign

* Sun Oct 2 02:39:18 2016 -0500

    added dns-freedom (#476)

* Tue Sep 27 01:07:12 2016 +0200

    d0wn-lv-ns2 and d0wn-se-ns1 are down

* Tue Sep 27 01:05:25 2016 +0200

    Nits

* Fri Sep 23 16:44:18 2016 +0200

    Add Adguard

* Fri Sep 23 16:26:21 2016 +0200

    In the CSV files, ignore entries with an excessively large number of columns

* Sat Sep 10 10:49:11 2016 +0200

    Remove dead fvz resolvers

* Mon Sep 5 12:30:48 2016 +0200

    Revert dnscrypt.nu addition - The resolver itself doesn't seem to resolve

* Mon Sep 5 12:22:10 2016 +0200

    Sign

* Mon Sep 5 12:21:50 2016 +0200

    Add dnscrypt.nu

* Tue Aug 30 09:06:08 2016 +0200

    sign

* Tue Aug 30 09:05:53 2016 +0200

    Remove offline resolvers

* Tue Aug 30 07:42:08 2016 +0100

    update dnscrypt servers: dns.d0wn.biz (#455)

* Thu Aug 25 15:24:22 2016 +0200

    ldns-blocking: don't consider empty files as an error

* Sat Aug 13 12:52:24 2016 +0200

    fvz-rec-de-fra-01 and fvz-rec-ie-du-01 are not responsive

* Sat Aug 13 12:48:51 2016 +0200

    Android: distribute the update-binary signature, not binary
    Also distribute updater-script

* Wed Aug 10 15:18:45 2016 +0200

    libevent: Check for Mac OS X 10.4 kqueue bug properly

* Mon Aug 1 00:52:13 2016 +0200

    ./autogen.sh is not required with libsodium-stable

* Sun Jul 31 12:47:19 2016 +0200

    Do not create `libevent-modified/sample/Makefile`

* Sun Jul 31 12:42:01 2016 +0200

    Update ChangeLog

* Sun Jul 31 12:19:15 2016 +0200

    Builds for Win64 are now available

* Sun Jul 31 11:04:32 2016 +0200

    Remove LTO on Win32
    
    Starting to think that the only platform where LTO works is MacOS

* Sun Jul 31 10:07:02 2016 +0200

    Silence the libeay grep

* Sun Jul 31 09:25:08 2016 +0200

    Add msys2-win64.sh to the package

* Sun Jul 31 09:24:08 2016 +0200

    Add a warning when using system libsodium

* Sun Jul 31 09:19:14 2016 +0200

    On win64: libgcc_s_dw2-1.dll -> libgcc_s_seh-1.dll

* Sun Jul 31 01:57:59 2016 +0200

    No LTO for the win64 version

* Sun Jul 31 01:17:59 2016 +0200

    Add a win64 build script

* Sat Jul 30 23:10:30 2016 +0200

    Check for grp.h - No struct passwd on win32

* Sat Jul 30 19:24:45 2016 +0200

    Don't compile levent samples

* Sat Jul 30 19:03:23 2016 +0200

    Get ready for version 1.7.0

* Sat Jul 30 18:59:57 2016 +0200

    Remove DNSCrypt tools for Linux. Unmaintained, not on Github.

* Sat Jul 30 18:59:48 2016 +0200

    Remove DNSCrypt Windows Service Manager

* Sat Jul 30 18:48:52 2016 +0200

    --enable-plugins is not required any more

* Sat Jul 30 18:41:12 2016 +0200

    Enable plugins by default

* Sat Jul 30 18:11:45 2016 +0200

    Add a Windows registry key for the log file

* Sat Jul 30 18:03:22 2016 +0200

    Add a `--ignore-timestamps` switch

* Sat Jul 30 16:59:27 2016 +0200

    Do not use the default resolvers any more to retrieve the certs
    
    Besides Cisco, nobody's manually creating the certificates any more.

* Sat Jul 30 16:57:26 2016 +0200

    Fix off-by-one when printing the day

* Sat Jul 30 15:45:00 2016 +0200

    Certs retrieval: use TCP if a response over UDP has the TC bit

* Sat Jul 30 01:13:25 2016 +0200

    Sign

* Sat Jul 30 01:12:44 2016 +0200

    Remove d0wn-de-ns1-ipv6 (unreachable)

* Sat Jul 30 01:07:21 2016 +0200

    More Resolvers Online checked certificate received (#445)
    
    * More Resolvers Online checked certificate received
    
    ./dnscrypt-proxy.exe --test=1 -R $1
    
    
    
    
    [INFO] - [fvz-rec-hk-ztw-01] does not support DNS Security Extensions
    [INFO] + Namecoin domains can be resolved
    [INFO] + Provider supposedly doesn't keep logs
    [NOTICE] Starting dnscrypt-proxy 1.6.1
    [INFO] Generating a new session key pair
    [INFO] Done
    [INFO] Server certificate #808464433 received
    [INFO] This certificate is valid
    [INFO] Server key fingerprint is 9E71:4780:7FEE:D8FF:CDEC:A1F2:948F:DC04:1ACB:0FF3:7432:11DC:B0EB:4785:B19E:0161
    
    [INFO] - [fvz-rec-nl-ams-01] does not support DNS Security Extensions
    [INFO] + Namecoin domains can be resolved
    [INFO] + Provider supposedly doesn't keep logs
    [NOTICE] Starting dnscrypt-proxy 1.6.1
    [INFO] Generating a new session key pair
    [INFO] Done
    [INFO] Server certificate #808464433 received
    [INFO] This certificate is valid
    [INFO] Server key fingerprint is 8F15:3E6F:22FE:0779:8442:2EA1:A7C6:D499:30DE:8322:1EC6:4691:691B:BD1B:9BD2:F749
    
    [INFO] - [fvz-rec-no-osl-01] does not support DNS Security Extensions
    [INFO] + Namecoin domains can be resolved
    [INFO] + Provider supposedly doesn't keep logs
    [NOTICE] Starting dnscrypt-proxy 1.6.1
    [INFO] Generating a new session key pair
    [INFO] Done
    [INFO] Server certificate #808464433 received
    [INFO] This certificate is valid
    [INFO] Server key fingerprint is 84CA:096E:6658:1578:2AA8:89AD:6882:4EFB:CC9D:B07D:4A68:0DE3:15A7:C3C8:0DCB:0E00
    
    [INFO] - [fvz-rec-ro-buh-01] does not support DNS Security Extensions
    [INFO] + Namecoin domains can be resolved
    [INFO] + Provider supposedly doesn't keep logs
    [NOTICE] Starting dnscrypt-proxy 1.6.1
    [INFO] Generating a new session key pair
    [INFO] Done
    [INFO] Server certificate #808464433 received
    [INFO] This certificate is valid
    [INFO] Server key fingerprint is E6C2:2A53:2DC3:E604:16CF:0AD0:5583:2BCE:6704:617E:7643:3A15:7D40:A2CA:2CDD:0B38
    
    * opennic-fvz-rec-de-dus-01
    
    ./dnscrypt-proxy.exe --test=1  -R       fvz-rec-de-dus-01
    [INFO] - [fvz-rec-de-dus-01] does not support DNS Security Extensions
    [INFO] + Namecoin domains can be resolved
    [INFO] + Provider supposedly doesn't keep logs
    [NOTICE] Starting dnscrypt-proxy 1.6.1
    [INFO] Generating a new session key pair
    [INFO] Done
    [INFO] Server certificate #808464433 received
    [INFO] This certificate is valid
    [INFO] Server key fingerprint is 9EF2:3C23:5418:2F42:7760:60F1:5243:7A19:42E7:EAFB:D03C:7C4D:A1E3:9F17:6207:D65E
    
    * add d0wn-de-ns1-ipv6
    
    the IPv6 one does work! (for now!)
    
    > ./dnscrypt-proxy.exe --test=1 --provider-name=2.dnscrypt-cert.de.d0wn.biz -r [2001:1608:10:195:3:dead:beef:cafe]:443 --provider-key=D4A8:6FB5:AA0C:2B6B:8C13:8C29:7F69:F9C8:29C8:E157:F279:6FC7:7366:290F:2A80:0AD2
    
    `[NOTICE] Starting dnscrypt-proxy 1.6.1
    [INFO] Generating a new session key pair
    [INFO] Done
    [ERROR] Unable to retrieve server certificates
    [INFO] Refetching server certificates
    [INFO] Server certificate #808464433 received
    [INFO] This certificate is valid
    [INFO] Server key fingerprint is 5B8C:68CA:BE7B:8BB6:5D5F:ED0F:2210:A729:0CB0:C9BB:2AF1:78C7:0C1F:0F88:2CC9:5678`
    
    * Update dnscrypt-resolvers.csv
    
    *  [fvz-rec-fr-sxb-01]
    
    [INFO] - [fvz-rec-fr-sxb-01] does not support DNS Security Extensions
    [INFO] + Namecoin domains can be resolved
    [INFO] + Provider supposedly doesn't keep logs
    [NOTICE] Starting dnscrypt-proxy 1.6.1
    [INFO] Generating a new session key pair
    [INFO] Done
    [INFO] Server certificate #808464433 received
    [INFO] This certificate is valid
    [INFO] Server key fingerprint is 9560:97AF:9B71:2596:CDDB:7246:4722:076F:4097:CDA8:5F41:8664:338E:8646:DD3D:7738

* Thu Jul 28 19:56:05 2016 +0200

    Sign

* Thu Jul 28 19:55:38 2016 +0200

    Remove d0wn-de-ns1-*
    
    The one on port 80 is a duplicate, the IPv6 one doesn't work.

Merge: c7947fd a5c1756
* Thu Jul 28 19:51:56 2016 +0200

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      https://dns.d0wn.biz/

Merge: ae693fb 7ef27e0
* Thu Jul 28 19:51:52 2016 +0200

    Merge pull request #443 from Opensourcecommunitydevelopment/patch-1
    
    https://dns.d0wn.biz/

* Thu Jul 28 19:50:51 2016 +0200

    IPv6 addresses require a port

Merge: 51dff5e 3c203bb
* Thu Jul 28 19:49:20 2016 +0200

    Merge pull request #444 from Opensourcecommunitydevelopment/patch-2
    
    new fvz-rec-de-muc-01 IPv4&IPv6 Entrys corrected

* Thu Jul 28 16:37:02 2016 +0200

    new fvz-rec-de-muc-01 IPv4&IPv6 Entrys
    
    http://dnsrec.meo.ws/#fvz-rec-de-muc-01
    
    fvz-rec-de-muc-01 in Munich, Germany
    
    DNSCrypt-Name:  2.dnscrypt-cert.fvz-rec-de-muc-01.dnsrec.meo.ws
    DNSCrypt-Key:   C392:2B83:8EB3:884B:B99B:70BD:B90A:C204:37A4:797A:35F4:3600:7641:94E3:F995:444A
    IPv4:   185.90.62.45
    IPv6:   2a05:dfc0:1ee3:dee:ba::1

* Thu Jul 28 16:16:36 2016 +0200

    https://dns.d0wn.biz/
    
    DNS-Server:             ns1.de.dns.d0wn.biz
    IPv6:                   2001:1608:10:195:3:dead:beef:cafe
    Location:               Germany
    Provider-Key:           D4A8:6FB5:AA0C:2B6B:8C13:8C29:7F69:F9C8:29C8:E157:F279:6FC7:7366:290F:2A80:0AD2
    Provider-Name:          2.dnscrypt-cert.de.d0wn.biz
    Ports:                  54 80 443 1053 5353 27015
    Key valid until:        2016-10-31
    Pubkey TXT Record:      pubkey.de.dnscrypt.d0wn.biz

* Wed Jul 27 21:45:25 2016 +0200

    Valid certs with the highest serial# should always be preferred

* Mon Jul 25 11:19:57 2016 +0200

    Temporarily remove fvz-rec-nz-akl-01

* Sun Jul 17 18:08:30 2016 +0200

    libevent version bump

* Sun Jul 17 18:03:22 2016 +0200

    libevent: fix overflow check in expand_singlechain()

* Sun Jul 17 18:01:23 2016 +0200

    Add an assertion to remove confusion

* Fri Jul 15 22:38:21 2016 +0200

    resolv-{east,west} have been down for too long

* Thu Jul 7 18:54:59 2016 +0200

    sign

Merge: 4588404 68c0444
* Thu Jul 7 18:54:43 2016 +0200

    Merge pull request #433 from xxdesmus/master
    
    removing SpdySync

* Thu Jul 7 09:50:45 2016 -0700

    removing SpdySync

* Mon Jun 27 10:35:39 2016 +0200

    Provide a systemd service that doesn't work by default :)

* Mon Jun 27 10:14:14 2016 +0200

    Regen man page

* Mon Jun 27 10:13:13 2016 +0200

    Clarify why ephemeral keys are not enabled by default

* Thu Jun 23 17:20:30 2016 +0200

    Don't even try to quote a path with a quote

* Wed Jun 22 12:07:14 2016 +0200

    d0wn-ro-ns1 and ovpnto-se are down

Merge: 3673840 fcbd7e6
* Mon Jun 20 08:52:54 2016 +0200

    Merge pull request #426 from taozhijiang/master
    
    add the gitignore for additional m4 and libevent

* Mon Jun 20 08:49:36 2016 +0800

    add the gitignore for additional m4 and libevent
    
    The following entries should be added to .gitignore file:
    
    m4/ltargz.m4
    src/libevent-modified/libevent_core.pc
    src/libevent-modified/libevent_extra.pc

* Tue Jun 14 15:10:50 2016 +0200

    Include <grp.h> for initgroups()

* Thu Jun 9 10:38:15 2016 +0200

    Print certificates serial number as a string if applicable

* Mon Jun 6 19:00:06 2016 +0200

    Call initgroups(3) if available

* Sun Jun 5 19:16:21 2016 +0200

    Sign

* Sun Jun 5 19:16:09 2016 +0200

    Revert "fvz anycast addresses are down"
    

* Fri Jun 3 21:00:20 2016 +0200

    Sign

* Fri Jun 3 21:00:06 2016 +0200

    ovpnto-ro is down

* Fri Jun 3 20:59:25 2016 +0200

    fvz-rec-no-osl-01 and fvz-rec-us-mia-01 are down

* Fri Jun 3 20:59:03 2016 +0200

    fvz anycast addresses are down

* Fri Jun 3 20:55:48 2016 +0200

    cloudns-can is down

* Fri Jun 3 20:55:17 2016 +0200

    OpenNIC Resolver Singapore 01 is in Singapore, not in Germany

* Fri Jun 3 20:54:41 2016 +0200

    Add explicit port number to IPv6 addresses

* Sat May 28 19:44:17 2016 -0700

    Sign

Merge: 187a480 04ca5b5
* Sat May 28 19:31:23 2016 -0700

    Merge pull request #419 from Fusl/patch-1
    
    Adding fault-tolerant OpenNIC anycast resolver addresses

* Sun May 29 02:59:03 2016 +0200

    Adding fault-tolerant OpenNIC anycast resolver addresses
    
    Since anycast networks tend to not have any central location, I put "Earth" in the location field. Feel free to change it to anything else if required.

* Wed May 25 23:24:06 2016 -0700

    Imoprt libevent_{core,extra}.pc.in

* Wed May 25 22:55:13 2016 -0700

    libevent2: add tests for evbuffer_add() breakage on empty last chain

* Wed May 25 22:53:51 2016 -0700

    libevent: add tests for evbuffer_add() breakage on empty last chain

* Tue May 24 12:44:59 2016 -0700

    Update d0wn resolvers, remove redundant port numbers

* Mon May 23 09:11:39 2016 -0700

    Reorder options and ensure that order is the same in man and --help

* Sun May 22 19:09:39 2016 -0700

    Correctly handle the syslog prefix
    
    The context may not be available when the log function is called.

* Sun May 22 19:02:12 2016 -0700

    Revert "Revert "Add --syslog-prefix (-Z) option""
    

* Sun May 22 16:23:12 2016 -0700

    Revert "Add --syslog-prefix (-Z) option"
    

* Sun May 22 16:14:19 2016 -0700

    evdns_set_option() -> evdns_base_set_option()

* Fri May 20 18:22:49 2016 -0700

    Keep var declarations of the same type together

* Fri May 20 18:22:19 2016 -0700

    Proper quotes

Merge: 324a75f 5b14bb1
* Fri May 20 18:21:29 2016 -0700

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Update dnscrypt-resolvers.csv
      update origin for Spdysync
      Add --syslog-prefix (-Z) option

Merge: 7211a59 92d0ef3
* Fri May 20 18:21:09 2016 -0700

    Merge pull request #409 from konsolebox/add_syslog_prefix_option
    
    Add --syslog-prefix (-Z) option

* Fri May 20 18:20:51 2016 -0700

    Sign

Merge: d9b530d 43075f3
* Fri May 20 18:20:17 2016 -0700

    Merge pull request #411 from xxdesmus/master
    
    updating origin IP for spdysync

* Fri May 20 17:22:20 2016 -0700

    Update dnscrypt-resolvers.csv

* Fri May 20 17:19:47 2016 -0700

    update origin for Spdysync

* Fri May 20 15:39:35 2016 -0700

    Revert "canhazip[.]com -> canihazip[.]com"
    

* Thu May 19 16:47:34 2016 -0700

    Sign

* Thu May 19 16:47:05 2016 -0700

    canhazip[.]com -> canihazip[.]com

* Thu May 19 16:26:18 2016 -0700

    Re-add spdysync with a few tweaks

* Thu May 19 13:09:56 2016 +0200

    Revert "Revert Spdysync addition"
    

* Thu May 19 06:45:12 2016 +0200

    Revert Spdysync addition

Merge: a9294cb bd004ef
* Thu May 19 06:44:20 2016 +0200

    Merge pull request #410 from xxdesmus/master
    
    adding spdysync.com as a resolver

Merge: a9294cb d4d71ae
* Wed May 18 21:35:55 2016 -0700

    Merge pull request #1 from xxdesmus/xxdesmus-addresolver
    
    Update dnscrypt-resolvers.csv

* Wed May 18 21:33:38 2016 -0700

    Update dnscrypt-resolvers.csv
    
    adding SpdySync resolver.

* Wed May 18 18:06:06 2016 +0800

    Add --syslog-prefix (-Z) option

* Wed May 18 00:25:53 2016 +0200

    Sign

* Wed May 18 00:25:35 2016 +0200

    - CRLF

* Wed May 18 00:24:53 2016 +0200

    Revert "Remove resolv-west for now"
    

* Tue May 17 23:55:10 2016 +0200

    Sign

* Tue May 17 23:54:36 2016 +0200

    Remove resolv-west for now

Merge: 14f0aa7 bfa4381
* Tue May 17 23:50:32 2016 +0200

    Merge pull request #407 from neilwillgettoit/master
    
    Additional resolvers

* Tue May 17 18:38:45 2016 +0200

    Sign

Merge: db9c05b 4ecd1a2
* Tue May 17 18:37:09 2016 +0200

    Merge pull request #408 from intchloe/patch-1
    
    Added OVPN public server

* Tue May 17 16:41:57 2016 +0200

    Added OVPN public server

* Mon May 16 12:58:54 2016 -0500

    correction to dnssec flag
    
    dnssec is not on right now.

* Mon May 16 11:46:03 2016 -0500

    adding resolv.site east and west to list of resolvers

* Mon May 16 11:41:40 2016 -0500

    adding resolv.site east and west to list of resolvers

* Tue May 10 23:36:28 2016 +0200

    Recommend a short cert TTL when clients use static key pairs

* Tue May 10 23:33:47 2016 +0200

    Format

* Tue May 10 16:40:24 2016 +0200

    Reformat

* Tue May 3 14:04:59 2016 +0200

    Remove offline resolvers

* Mon May 2 06:05:42 2016 +0200

    Script for Android should add to iptable tables when enabling the proxy

* Thu Apr 21 11:36:39 2016 +0200

    Don't advertise namecoin support. It's not the case any more.

* Thu Apr 21 00:26:43 2016 +0200

    Verified list of resolvers actually supporting .bit domains

* Wed Apr 20 19:53:56 2016 +0200

    d0wn-hk-ns1 has been down for a while

* Sun Apr 17 10:18:21 2016 +0200

    Mention dnsdist

* Fri Apr 15 09:17:10 2016 +0200

    d0wn-de-ns1 is down

* Wed Apr 13 09:07:29 2016 +0200

    msys2 supports LTO

* Mon Apr 11 23:45:15 2016 +0200

    Allow for SSE instructions

* Wed Apr 6 09:11:22 2016 +0200

    libevent: unlock lev on error in listener_read_cb()

* Mon Apr 4 09:59:25 2016 +0200

    Add d0wn-hk-ns1

* Sun Apr 3 20:17:30 2016 +0200

    Remove offline resolvers

* Tue Mar 29 22:48:33 2016 +0200

    Missing \n

* Tue Mar 29 18:01:14 2016 +0200

    + Yandex

Merge: 7dc203f c764e66
* Sat Mar 26 21:19:17 2016 +0100

    Merge pull request #390 from TheDoctorsLife/patch-1
    
    Fix Broken Link in README

* Sat Mar 26 16:18:28 2016 -0400

    Fix Broken Link
    
    The DNSCrypt Windows Service Manager GUI link is broken, relink to github project.

* Fri Mar 25 10:30:45 2016 +0100

    evdns: fix searching empty hostnames
    
    Bug report by Guido Vranken via the Tor bug bounty program

* Thu Mar 24 12:46:49 2016 +0100

    evdns: avoid double-free in evdns_base_free() for probing requests

* Thu Mar 24 12:44:25 2016 +0100

    Confusing indentation

* Fri Mar 18 07:35:56 2016 +0100

    Typo

* Thu Mar 17 22:19:38 2016 +0100

    cd-md is down

* Tue Mar 15 19:40:26 2016 +0100

    sign

Merge: 3df3e76 0e9af27
* Tue Mar 15 19:39:39 2016 +0100

    Merge pull request #382 from tealcavalon/patch-3
    
    Updating all cryptostorm.is

* Tue Mar 15 19:39:02 2016 +0100

    Updating all cryptostorm.is

* Sat Mar 12 16:20:13 2016 +0100

    sign

Merge: 1eb3837 d70ae2a
* Sat Mar 12 16:19:56 2016 +0100

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Update dnscrypt-resolvers.csv
      Update dnscrypt-resolvers.csv
      Update dnscrypt-resolvers.csv
      Update dnscrypt-resolvers.csv
      Update dnscrypt-resolvers.csv
      Update dnscrypt-resolvers.csv
      Update dnscrypt-resolvers.csv

* Sat Mar 12 16:19:43 2016 +0100

    Remove d0wn-cr-ns1 and sign

Merge: 58b08ed c42148d
* Sat Mar 12 16:17:53 2016 +0100

    Merge pull request #377 from brian5hea/master
    
    Update details for shea-us-noads[-ipv6]

* Fri Mar 11 01:46:27 2016 +0100

    When using TCP, try the default resolvers as a last resort
    Also increase the number of retries in that case

* Thu Mar 10 08:41:38 2016 +0100

    Remove offline resolvers

* Tue Mar 8 22:55:47 2016 -0500

    Update dnscrypt-resolvers.csv
    

* Tue Mar 8 09:40:33 2016 -0500

    Update dnscrypt-resolvers.csv

* Tue Mar 8 09:36:23 2016 -0500

    Update dnscrypt-resolvers.csv

* Tue Mar 8 09:23:42 2016 -0500

    Update dnscrypt-resolvers.csv

* Mon Mar 7 21:15:28 2016 -0500

    Update dnscrypt-resolvers.csv

* Mon Mar 7 21:08:25 2016 -0500

    Update dnscrypt-resolvers.csv

* Mon Mar 7 21:02:18 2016 -0500

    Update dnscrypt-resolvers.csv

Merge: 7f295a2 b780d0b
* Mon Mar 7 20:13:11 2016 -0500

    Merge pull request #1 from jedisct1/master
    
    Sync

* Fri Mar 4 12:18:59 2016 +0100

    $

* Fri Mar 4 11:49:48 2016 +0100

    Mention that releases are signed with the same key as CSVs

* Wed Mar 2 19:50:58 2016 +0100

    d0wn-al-ns1 is down

* Tue Mar 1 21:33:40 2016 +0100

    Remove temporarily down servers

* Tue Mar 1 21:26:55 2016 +0100

    Recommend drill -aD

* Tue Mar 1 21:26:08 2016 +0100

    while true -> while :

Merge: a4a8280 17d2e4f
* Tue Mar 1 21:23:47 2016 +0100

    Merge pull request #375 from licaon-kter/patch-1
    
    Retry getting a cert if no connection is available

* Tue Mar 1 21:56:00 2016 +0200

    Retry getting a cert if no connection is available

* Thu Feb 25 11:15:58 2016 +0100

    LAX FVZ resolvers are unresponsive

* Wed Feb 24 08:39:36 2016 +0100

    quotes

* Wed Feb 24 08:34:50 2016 +0100

    Mention that dnscrypt-proxy is only a client

* Wed Feb 24 08:31:52 2016 +0100

    gcc producing broken code is an old issue from the pre-libsodium days

* Wed Feb 24 08:31:13 2016 +0100

    Link Simple DNSCrypt

* Wed Feb 24 08:14:32 2016 +0100

    Windows: quote `self_path` when installing the Windows service
    Prodded by @bitbeans

* Mon Feb 22 15:54:17 2016 +0100

    name_component => label

* Mon Feb 22 15:53:23 2016 +0100

    Correctly parse compressed names

* Sun Feb 21 08:47:14 2016 +0100

    Sign

Merge: 7d540ca 7f295a2
* Sun Feb 21 08:46:18 2016 +0100

    Merge pull request #369 from brian5hea/master
    
    Add shea-us-noads-ip6

* Sat Feb 20 21:06:42 2016 -0500

    Add shea-us-noads-ip6

* Sat Feb 20 19:48:56 2016 +0100

    Two d0wn servers that appear to be d0wn

* Sat Feb 20 13:54:04 2016 +0100

    Add a sample script to update the resolvers list

* Sat Feb 20 12:28:55 2016 +0100

    Pasto

* Fri Feb 19 07:29:50 2016 +0100

    sign

* Wed Feb 17 21:45:07 2016 +0100

    Sign

Merge: 52f112e 3862b07
* Wed Feb 17 21:33:00 2016 +0100

    Merge pull request #367 from tealcavalon/patch-2
    
    Updating all https://dns.d0wn.biz/

* Wed Feb 17 17:05:54 2016 +0100

    Updating all https://dns.d0wn.biz/
    
    + Added new servers
    + Removed old servers
    + Changed providers keys and names
    + Full list of d0wn servers now updated!

* Wed Feb 17 16:31:07 2016 +0100

    Updating all https://dns.d0wn.biz/
    
    + Several changes in provider key/name
    + Added new random server

* Wed Feb 17 10:26:05 2016 +0100

    V2

* Tue Feb 16 16:57:25 2016 +0100

    sign

* Tue Feb 16 16:57:14 2016 +0100

    Sort

Merge: aa98a4f 2cf490c
* Tue Feb 16 16:56:32 2016 +0100

    Merge pull request #365 from mausspb/patch-1
    
    Update dnscrypt-resolvers.csv

* Tue Feb 16 18:44:09 2016 +0300

    Update dnscrypt-resolvers.csv
    
    Update keys for the last news from here https://dns.d0wn.biz/
    
    > News:
    - ns1.za.dns.d0wn.biz will be removed on 03-01-2016
    - ns1.mx.dns.d0wn.biz will be removed on 03-01-2016
    - ns1.es.dns.d0wn.biz will be removed on 03-01-2016
    
    >- There are many servers with old keys which expired at 02-12-2016. This will be fixed today.
      Please take a look here for the new keys.
      Each server with the key "9970:E22D:7F6C:967F:8AED:CEEB:FBC1:94B9:AF54:376E:2BF7:39F1:F466:CBC9:AFDB:2A62" won't work anymore!
    
    >- ns2.fr.dns.d0wn.biz got a new Provider-Key and Provider-Name!
    - ns1.sg.dns.d0wn.biz got a new Provider-Key and Provider-Name!
    - ns1.nl.dns.d0wn.biz got a new Provider-Key and Provider-Name!
    - ns2.nl.dns.d0wn.biz got a new Provider-Key and Provider-Name!
    - ns1.ru.dns.d0wn.biz got a new Provider-Key and Provider-Name!
    - ns1.ua.dns.d0wn.biz got a new Provider-Key and Provider-Name!
    - ns1.bg.dns.d0wn.biz got a new Provider-Key and Provider-Name!
    - ns1.random.dns.d0wn.biz got a new Provider-Key and Provider-Name!

* Mon Feb 15 10:59:00 2016 +0100

    Make the Android update binary executable

* Mon Feb 15 10:57:43 2016 +0100

    Remove updater-script from the tarball

* Mon Feb 15 10:53:24 2016 +0100

    Load update-binary from Github, check its signature

* Fri Feb 12 08:29:08 2016 +0100

    sign

Merge: a44a4c7 4a4c4c9
* Fri Feb 12 08:28:16 2016 +0100

    Merge pull request #361 from dacarrs/patch-1
    
    Added OpenNIC Resolver Spain 01

* Fri Feb 12 06:45:28 2016 +0100

    Added OpenNIC Resolver Spain 01
    
    Added by d0wn-es-ns1 provided by Martin 'd0wn' Albus.

Merge: 41c6d8b c7eb66b
* Wed Feb 10 20:23:54 2016 +0100

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Update README.markdown

* Wed Feb 10 20:23:41 2016 +0100

    Remove offline resolvers

Merge: bdb26cf 46df5e7
* Tue Feb 9 23:28:35 2016 +0100

    Merge pull request #359 from jakezeal/master
    
    Update README.markdown

* Tue Feb 9 17:11:22 2016 -0500

    Update README.markdown

* Sun Feb 7 09:39:15 2016 +0100

    Sign after shea-us-noads addition

Merge: a193c6f 297ced2
* Sun Feb 7 09:35:06 2016 +0100

    Merge pull request #358 from brian5hea/master
    
    Add new resolver

* Sun Feb 7 02:03:29 2016 -0500

    Add new resolver

* Wed Feb 3 23:23:59 2016 +0100

    Repair edns0 support

* Wed Feb 3 14:22:15 2016 +0100

    Link libsodium-18.dll on msys2

* Wed Feb 3 12:13:56 2016 +0100

    Update ChangeLog

* Wed Feb 3 12:13:42 2016 +0100

    Regen man pages

* Wed Feb 3 12:03:21 2016 +0100

    https everywhere

* Wed Feb 3 11:57:07 2016 +0100

    Update libevent ChangeLog, especially for CVE-2014-6272

* Wed Feb 3 11:50:42 2016 +0100

    Version bump (not released yet)

* Wed Feb 3 11:46:38 2016 +0100

    (bad) NEWS

* Wed Feb 3 00:51:01 2016 +0100

    Set packet pointer to NULL before calling ldns_wire2pkt()
    Not necessary, but if the return code is not properly checked, at least
    all we will dereference later is a NULL pointer.

* Wed Feb 3 00:47:16 2016 +0100

    The max query size for filters should be at last the original size

* Tue Feb 2 17:17:00 2016 +0100

    Fix long-standing vulnerability in the opendns plugins

* Tue Feb 2 17:16:30 2016 +0100

    Check for wire2pkt return code instead of the parsed packet pointer

* Tue Feb 2 16:42:44 2016 +0100

    Don't count the last byte of a name twice

* Tue Feb 2 15:26:19 2016 +0100

    Stop parsing labels after 255 bytes

* Sun Jan 31 14:11:58 2016 +0100

    dnscrypt.me is down :(

* Sat Jan 30 01:11:38 2016 +0100

    "looks valid" -> "is valid" to remove confusion.
    This message is displayed only when the signature is correct for the
    given certificate.

* Fri Jan 29 14:21:48 2016 +0100

    Change Curve25519 references to X25519.
    Provision for Chacha20Poly1305 support as replacement for Salsa20Poly1305.

* Wed Jan 20 09:51:44 2016 +0100

    Remove old servers reintroduced by mistake

* Wed Jan 20 09:30:36 2016 +0100

    Sign

Merge: 795c02e c68cd82
* Wed Jan 20 09:30:10 2016 +0100

    Merge pull request #351 from fechterjm/patch-1
    
    Update dnscrypt-resolvers.csv

* Tue Jan 19 23:39:24 2016 -0500

    Update dnscrypt-resolvers.csv
    
    Updated full name to be a bit more descriptive.

* Tue Jan 19 02:27:39 2016 +0100

    Use cvslint if present

* Tue Jan 19 02:24:27 2016 +0100

    (re)add missing resolvers + some fixes by @gavinjs

* Tue Jan 19 01:09:31 2016 +0100

    Sort

* Mon Jan 18 22:38:06 2016 +0100

    Absence of Namecoin support doesn't really matter much in practice.
    Namecoin was a great idea, but adoption was really poor.

* Mon Jan 18 22:34:38 2016 +0100

    Sign

Merge: c7742cd 153bc45
* Mon Jan 18 22:28:49 2016 +0100

    Merge pull request #349 from fechterjm/patch-1
    
    Update dnscrypt-resolvers.csv

* Mon Jan 18 16:24:01 2016 -0500

    Update dnscrypt-resolvers.csv
    
    Added my server (DNSCrypt.is)

* Fri Jan 15 09:39:34 2016 +0100

    Temporarily remove offline resolvers

* Wed Jan 6 14:18:44 2016 +0100

    Change the message and priority when receiving invalid packets
    People tend to freak out when they see "corrupted"

* Tue Jan 5 22:49:11 2016 +0100

    Add a few things to the systemd service

* Sat Jan 2 09:04:32 2016 +0100

    2016

* Thu Dec 31 19:32:48 2015 +0100

    Sign

Merge: 3ca1006 91dfdf1
* Thu Dec 31 19:27:22 2015 +0100

    Merge pull request #341 from dnscryptme/master
    
    Added coordinates of dnscrypt.me

* Thu Dec 31 18:29:39 2015 +0100

    Added coordinates of dnscrypt.me

Merge: 5873a85 3ca1006
* Thu Dec 31 18:24:19 2015 +0100

    Merge remote-tracking branch 'jedisct1/master'

* Thu Dec 31 10:20:34 2015 +0100

    Remove offline resolvers

Merge: 86363a3 3cfe943
* Tue Dec 29 18:55:53 2015 +0100

    Merge pull request #340 from rgacogne/fix-signature-size
    
    Fix the certificate signature size and clarify cert records size

* Tue Dec 29 18:53:15 2015 +0100

    Fix the certificate signature size and clarify cert records size
    
    The size of an Ed25519 signature, as used by the current DNSCrypt
    version, is 64 bytes, not 32 bits.
    It was not clear to me after the first reading that the 116 bytes
    size referred to the size of the signature plus the signed part,
    therefore excluding the cert-magic, es-version and
    protocol-minor-version. Of course it makes sense, but I think it
    can't hurt to write it down.

* Sun Dec 27 21:02:27 2015 +0100

    Try --high-entropy-va on MinGW

Merge: be6fe91 f6ad3d4
* Sun Dec 27 11:50:37 2015 +0100

    Merge pull request #7 from jedisct1/master
    
    Update

* Tue Dec 22 14:09:37 2015 +0100

    Mention dnsdist

* Thu Dec 17 01:06:05 2015 +0100

    Fix DNSCRYPT_RESOLVER_MAGIC in the specification
    Spotted by @rgacogne during its implementation for dnsdist.

* Wed Dec 16 00:57:44 2015 +0100

    Only include the location in the location field, not the ISP

* Sun Dec 13 17:35:53 2015 +0100

    Remove resolvers that are temporarily off
    At least dnsmachine.net will hopefully come back soon

* Sat Dec 12 13:43:51 2015 +0100

    Fix dnscrypt.me provider name

* Sat Dec 12 13:18:18 2015 +0100

    Sign

Merge: 98749ea be6fe91
* Sat Dec 12 13:17:56 2015 +0100

    Merge pull request #329 from dnscryptme/master
    
    de-ns1.de renamed to dnscrypt.me

* Sat Dec 12 13:11:46 2015 +0100

    de-ns1.de renamed to dnscrypt.me

Merge: 1404bd6 98749ea
* Sat Dec 12 13:10:27 2015 +0100

    Merge pull request #6 from jedisct1/master
    
    Update

* Thu Dec 10 18:07:53 2015 +0100

    Don't try to stop listening to events that weren't set

* Thu Dec 10 10:28:24 2015 +0100

    sign

Merge: 7a3cf43 1404bd6
* Thu Dec 10 10:28:02 2015 +0100

    Merge pull request #328 from Makedu/master
    
    Added pubkey TXT record for de-ns1.de

* Thu Dec 10 10:25:10 2015 +0100

    Added pubkey TXT record for de-ns1.de

Merge: dd0bff8 7a3cf43
* Thu Dec 10 10:22:48 2015 +0100

    Merge pull request #5 from jedisct1/master
    
    Update

* Wed Dec 9 16:24:31 2015 +0100

    Sign

Merge: d7d13f3 fd95e0a
* Wed Dec 9 16:24:21 2015 +0100

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      New PublicKey for: dnsmachine.net-de

* Wed Dec 9 16:24:11 2015 +0100

    sign

Merge: b86c5b5 86f6059
* Wed Dec 9 16:23:09 2015 +0100

    Merge pull request #326 from bitbeans/master
    
    New PublicKey for: dnsmachine.net-de

* Wed Dec 9 16:13:01 2015 +0100

    New PublicKey for: dnsmachine.net-de
    
    - Sorry!!

* Wed Dec 9 12:07:53 2015 +0100

    Oh, Travis, Y U NO LIKE libldns?

* Wed Dec 9 11:55:56 2015 +0100

    Travis doesn't seem to have libldns-dev any more

* Wed Dec 9 11:42:04 2015 +0100

    Sign

Merge: 08b4938 dd0bff8
* Wed Dec 9 11:41:41 2015 +0100

    Merge pull request #325 from Makedu/master
    
    Updated URL of de-ns1.de

* Wed Dec 9 10:50:57 2015 +0100

    Updated URL of de-ns1.de

Merge: 8ceeb2c 08b4938
* Wed Dec 9 10:48:47 2015 +0100

    Merge pull request #4 from jedisct1/master
    
    Update

* Sat Dec 5 18:24:52 2015 +0100

    Revert "Use pledge(2) if available"
    

* Thu Dec 3 10:20:34 2015 +0100

    sign

Merge: 435364c 41173ba
* Thu Dec 3 10:20:21 2015 +0100

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Server germandnscrypt-01.de removed

* Thu Dec 3 10:20:16 2015 +0100

    sign

Merge: 3d27b10 8ceeb2c
* Thu Dec 3 10:19:42 2015 +0100

    Merge pull request #323 from Makedu/master
    
    Server germandnscrypt-01.de removed

* Thu Dec 3 08:53:40 2015 +0100

    Server germandnscrypt-01.de removed
    
    The server germandnscrypt-01.de is replaced by de-ns1.de
    
    de-ns1.de has less RAM (4GB instead of 6), but more cores (4x Xeon E5-2620v2 instead of 2x Xeon E5-2620v3) - Unbound is running with 3 threads now.
    
    Please note: even if germandnscrypt-01.de is removed from the list, it is still accessible for some days.

Merge: fc5958f 3d27b10
* Thu Dec 3 08:44:06 2015 +0100

    Merge pull request #3 from jedisct1/master
    
    Update

* Thu Dec 3 07:48:35 2015 +0100

    sign

Merge: 9e99855 fc5958f
* Thu Dec 3 07:47:33 2015 +0100

    Merge pull request #322 from Makedu/master
    
    Added new server de-ns1.de

* Wed Dec 2 22:11:35 2015 +0100

    Added new server de-ns1.de

Merge: 27c2e1b 9e99855
* Wed Dec 2 22:09:55 2015 +0100

    Merge pull request #2 from jedisct1/master
    
    Update

* Wed Dec 2 00:41:34 2015 +0100

    4armed is back!

* Sat Nov 28 11:42:38 2015 +0100

    Remove temporarily unavailable servers

* Sat Nov 28 11:40:59 2015 +0100

    Update the configuration settings for d0wn's randomizer

* Tue Nov 24 19:47:47 2015 +0100

    Sign

Merge: ae0bd91 27c2e1b
* Tue Nov 24 19:47:01 2015 +0100

    Merge pull request #318 from Makedu/master
    
    added URL for germandnscrypt-01.de

* Tue Nov 24 18:53:07 2015 +0100

    added URL for germandnscrypt-01.de

Merge: 0011718 ae0bd91
* Tue Nov 24 14:18:26 2015 +0100

    Merge pull request #1 from jedisct1/master
    
    Update

* Mon Nov 23 23:31:12 2015 +0100

    Sign

Merge: 961b22d 0011718
* Mon Nov 23 22:50:49 2015 +0100

    Merge pull request #317 from Makedu/master
    
    Update dnscrypt-resolvers.csv

* Mon Nov 23 22:29:39 2015 +0100

    Update dnscrypt-resolvers.csv
    
    added germandnscrypt-01.de

* Sun Nov 22 10:35:29 2015 +0100

    Use TCP_QUICKACK instead of TCP_NODELAY if available

* Sun Nov 22 10:35:23 2015 +0100

    safe_rw size checks

* Thu Nov 19 12:01:10 2015 +0100

    Add Cryptostorm servers

* Wed Nov 18 23:39:06 2015 +0100

    Add d0wn-gr-ns1

* Tue Nov 17 01:25:41 2015 +0100

    Check crypto_box_beforenm() return code

* Sun Nov 15 17:36:39 2015 +0100

    Temporarily remove offline resolvers

* Mon Nov 9 02:33:22 2015 +0100

    Test with libsodium-stable

* Sat Oct 31 19:05:51 2015 +0100

    Update the resolvers list

Merge: 7eaa9e9 62a09ee
* Sat Oct 31 18:56:53 2015 +0100

    Merge pull request #302 from Fusl/patch-01
    
    Fixing servers that can be fixed (by changing port) and removing serv…

* Mon Oct 19 12:48:23 2015 +0200

    Fixing servers that can be fixed (by changing port) and removing servers that are temporarily down

* Mon Oct 19 12:03:47 2015 +0200

    Sign

Merge: 57b21e3 3876234
* Mon Oct 19 11:58:31 2015 +0200

    Merge pull request #301 from Fusl/patch-01
    
    Patch 01

* Mon Oct 19 11:51:34 2015 +0200

    Add provider/sponsor name to fvz servers description; try #2

* Mon Oct 19 11:43:18 2015 +0200

    Add provider/sponsor name to fvz servers description

* Mon Oct 19 11:40:47 2015 +0200

    Sign

Merge: 153f91f 2ecb6a1
* Mon Oct 19 11:40:24 2015 +0200

    Merge pull request #299 from Fusl/patch-01
    
    Updating fvz servers to represent an updated list from dnsrec.meo.ws

* Mon Oct 19 11:36:22 2015 +0200

    Updating fvz servers to represent an updated list from dnsrec.meo.ws

* Sun Oct 18 17:39:36 2015 +0200

    Correctly handle -X as an alternative to --plugin

* Sun Oct 18 00:02:22 2015 +0200

    libevent updates for http

* Sun Oct 18 00:00:55 2015 +0200

    libevent: fix potential fd leak in listener_read_cb()

* Sat Oct 17 18:43:38 2015 +0200

    Use pledge(2) if available

* Thu Oct 15 11:06:13 2015 +0200

    Add back Soltysiak + add Soltysiak over IPv6

* Thu Oct 15 10:16:10 2015 +0200

    Bring back the Fusl servers that have been kept alive

* Thu Oct 15 01:20:52 2015 +0200

    Mention the Linux kernel implementation of dnscrypt by Fusl

* Thu Oct 15 01:18:17 2015 +0200

    Grammar

* Thu Oct 15 01:14:22 2015 +0200

    Grammar

* Mon Oct 5 20:41:03 2015 +0200

    Sign

Merge: e2730c5 9e2e455
* Mon Oct 5 20:40:42 2015 +0200

    Merge pull request #294 from Fusl/patch-01
    
    Removing fvz servers

* Mon Oct 5 20:38:49 2015 +0200

    Removing fvz servers

* Mon Oct 5 17:52:16 2015 +0200

    Sign

* Sat Oct 3 17:47:34 2015 +0200

    Update website and DNS for DNSCrypt Poland

* Sun Oct 4 18:40:17 2015 +0200

    Revert "Update website and DNS for DNSCrypt Poland"
    

Merge: 9ce9f6c 4760314
* Sun Oct 4 18:29:19 2015 +0200

    Merge pull request #293 from pysiak/master
    
    Update website and DNS for DNSCrypt Poland

* Sat Oct 3 17:47:34 2015 +0200

    Update website and DNS for DNSCrypt Poland

* Thu Oct 1 08:33:23 2015 +0200

    Sign

Merge: 4adf7f8 aa32348
* Thu Oct 1 08:32:32 2015 +0200

    Merge pull request #292 from Fusl/patch-01
    
    Adding more fvz servers

* Thu Oct 1 02:30:15 2015 +0200

    Adding more fvz servers

* Thu Sep 24 08:15:21 2015 +0200

    Adamas and Nawala seem to be down

* Thu Sep 24 08:13:41 2015 +0200

    Sign

Merge: b2d158b 538e982
* Thu Sep 24 08:12:54 2015 +0200

    Merge pull request #290 from Fusl/patch-01
    
    Adding new fvz server in Oslo, Norway

* Thu Sep 24 00:34:06 2015 +0200

    Adding new fvz server in Oslo, Norway

* Wed Sep 23 22:33:12 2015 +0200

    Sign

Merge: 9b843f9 ede0129
* Wed Sep 23 22:32:44 2015 +0200

    Merge pull request #289 from Fusl/patch-01
    
    Fix location name for resolver that has been migrated to another location

* Wed Sep 23 22:24:54 2015 +0200

    Fix location name for resolver that has been migrated to another location

* Wed Sep 23 22:05:00 2015 +0200

    Make sure full names are unique, and remove extra spaces in the new IPv6 resolvers

Merge: 2cef523 aa73b07
* Wed Sep 23 21:53:44 2015 +0200

    Many new resolvers accesible over IPv6. Thanks Fusl!

* Wed Sep 23 21:52:57 2015 +0200

    Many new servers accessible over IPv6. Thanks Fusl!

Merge: 7652a08 6c3a283
* Wed Sep 23 21:16:49 2015 +0200

    Merge pull request #288 from jedisct1/revert-287-patch-01
    
    Revert "Adding IPv6 version of fvz resolvers"

* Wed Sep 23 21:12:21 2015 +0200

    Revert "Adding IPv6 version of fvz resolvers"

Merge: 05d5d65 ccea147
* Wed Sep 23 21:04:38 2015 +0200

    Merge pull request #287 from Fusl/patch-01
    
    Adding IPv6 version of fvz resolvers

* Wed Sep 23 13:21:52 2015 +0200

    Adding IPv6 version of fvz resolvers

* Tue Sep 22 18:16:58 2015 +0200

    Sign

Merge: 708d7da 9a56576
* Tue Sep 22 18:16:37 2015 +0200

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Removing deprecated server, adding one replacement and one new server

* Tue Sep 22 18:16:25 2015 +0200

    Sign

Merge: fb630cf 03928db
* Tue Sep 22 18:16:02 2015 +0200

    Merge pull request #285 from Fusl/patch-01
    
    Removing deprecated server, adding one replacement and one new server

* Tue Sep 22 18:08:45 2015 +0200

    Removing deprecated server, adding one replacement and one new server

* Mon Sep 21 13:11:56 2015 +0200

    Lower the severity of local recvfrom() errors

* Sat Sep 19 20:09:58 2015 +0200

    dnscrypt.eu-dk-port5353 seems to be having some troubles

* Fri Sep 18 19:14:29 2015 +0200

    Do not reference arc4random_addrandom() if it is not defined.
    It can either be defined by the C library, or via arc4random.c.
    Either way, it's useless for dnscrypt-proxy.

* Thu Sep 10 23:04:09 2015 +0200

    resolvers-check: reduce the required margin to 12 hours

* Thu Sep 10 22:58:52 2015 +0200

    Sign

Merge: 85f4fd6 16b1a62
* Thu Sep 10 22:55:37 2015 +0200

    Merge pull request #279 from 4ARMED/add_4A_server
    
    Add 4ARMED's server

* Thu Sep 10 20:38:38 2015 +0100

    Add 4ARMED's server

* Thu Sep 10 14:49:21 2015 +0200

    Sign

Merge: 7c44f52 63af1ff
* Thu Sep 10 14:48:56 2015 +0200

    Merge pull request #278 from bitbeans/master
    
    Added new resolver

* Thu Sep 10 14:46:18 2015 +0200

    Added new resolver

* Wed Sep 9 23:05:37 2015 +0200

    sign

Merge: 20e7ff8 5060a4a
* Wed Sep 9 23:02:02 2015 +0200

    Merge pull request #277 from Fusl/patch-01
    
    Replacing deprecated fvz servers with new servers

* Wed Sep 9 22:23:56 2015 +0200

    Replacing deprecated fvz servers with new servers

* Mon Sep 7 15:17:41 2015 +0200

    dnscrypt.bit is no more

* Sat Sep 5 23:36:14 2015 +0200

    Sign

Merge: ff57440 880951d
* Sat Sep 5 23:32:50 2015 +0200

    Merge pull request #276 from Fusl/patch-01
    
    Adding new fvz server in Luxembourg, and ...

* Sat Sep 5 23:32:27 2015 +0200

    No apt-get on OSX

* Sat Sep 5 23:17:50 2015 +0200

    Adding new fvz server in Luxembourg, and ...
    
    ... I have now ensured that the dnscrypt module is automatically loaded when servers (re)start and in addition to this I also implemented a crash reporter that notifies me with stack traces and restarts the module if it crashes.
    This means that there shouldn't be any problems anymore with crashed modules or modules that haven't been loaded (yet) after a server reboot.

* Sun Aug 30 21:27:53 2015 +0200

    Sign

Merge: 906a4b4 d13e2bc
* Sun Aug 30 21:25:00 2015 +0200

    Merge pull request #274 from Fusl/patch-01
    
    Adding fvz servers

* Sat Aug 29 05:23:57 2015 +0200

    Adding fvz servers

* Thu Aug 27 04:49:23 2015 +0200

    iptables NAT: the destination port doesn't have to be explicitly given. Really.

* Thu Aug 27 04:47:48 2015 +0200

    Add missing /system/xbin/dnscrypt for Android

* Tue Aug 25 17:15:01 2015 +0200

    - d0wn-al-ns1

* Mon Aug 24 05:53:42 2015 +0200

    Add error path for CSVs without a "Name" column, and with empty names.

* Mon Aug 24 05:43:48 2015 +0200

    strcasecmp()/strncasecmp() are not available in Visual Studio

* Mon Aug 24 02:24:50 2015 +0200

    Warn if the header is missing in the CSV file

* Mon Aug 24 02:15:39 2015 +0200

    exit() immediately if the resolver name was not found

* Sun Aug 23 12:29:39 2015 +0200

    Add /run/systemd/notify to the apparmor rules

* Sat Aug 22 09:54:21 2015 +0200

    Sign

Merge: 71ab93a 30fe04c
* Sat Aug 22 09:53:45 2015 +0200

    Merge pull request #269 from Fusl/patch-4392
    
    Adding new fvz server in Finland

* Sat Aug 22 04:44:16 2015 +0200

    Adding new fvz server in Finland

* Thu Aug 20 20:15:45 2015 +0200

    Revert "iPredator is down" - It's back.
    

* Wed Aug 19 22:50:15 2015 +0200

    Remove d0wn-md-ns1

* Tue Aug 18 08:14:21 2015 +0200

    Sign

Merge: f20d71f 5ca1c14
* Tue Aug 18 08:13:33 2015 +0200

    Merge pull request #264 from Fusl/patch-03
    
    Add fvz server in france, add poland server with different port

* Tue Aug 18 02:29:29 2015 +0200

    Add fvz server in france, add poland server with different port

* Mon Aug 17 22:41:24 2015 +0200

    Remove network.target dependency from dnscrypt-proxy.socket
    If this is not correct, I'd love some input from omebody who knows systemd
    more than I do (i.e. virtually anyone).

* Mon Aug 17 21:17:46 2015 +0200

    Sign

Merge: a89000b 96121bd
* Mon Aug 17 21:13:53 2015 +0200

    Merge pull request #263 from Fusl/patch-02
    
    Fix fvz-rec-de-dus-01, remove soon-to-be-shutdown server & add server…

* Mon Aug 17 20:43:10 2015 +0200

    Fix fvz-rec-de-dus-01, remove soon-to-be-shutdown server & add server that was down temporarily

* Mon Aug 17 20:05:56 2015 +0200

    A simple test for blocked IP fragments

* Mon Aug 17 09:28:34 2015 +0200

    iPredator is down

* Mon Aug 17 09:27:49 2015 +0200

    Remove down FVZ servers

Merge: aa715c5 7559dda
* Mon Aug 17 09:20:13 2015 +0200

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Fixing deployment info for server fvz-rec-il-ta-01
      Again adding some more of my servers

Merge: b900b52 2b94889
* Mon Aug 17 09:20:03 2015 +0200

    Merge pull request #261 from Fusl/patch-01
    
    Again adding some more of my servers

* Mon Aug 17 05:23:34 2015 +0200

    Fixing deployment info for server fvz-rec-il-ta-01

* Mon Aug 17 05:19:05 2015 +0200

    Again adding some more of my servers

Merge: ba5d11c b900b52
* Mon Aug 17 02:21:11 2015 +0200

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Check for SO_REUSEPORT availability
      Enable SO_REUSEPORT, allowing round-robining to multiple dnscrypt-proxy daemons on a single port
      Backport LEV_OPT_REUSEABLE_PORT from upstream libevent

* Mon Aug 17 02:20:57 2015 +0200

    Remove d0wn down servers

* Sun Aug 16 05:45:11 2015 +0200

    Check for SO_REUSEPORT availability

Merge: f96d958 72dfa31
* Sun Aug 16 05:36:02 2015 +0200

    Merge pull request #259 from hmoore-r7/feature/reusable-port
    
    Enable SO_REUSEPORT

* Sat Aug 15 22:31:05 2015 -0500

    Enable SO_REUSEPORT, allowing round-robining to multiple dnscrypt-proxy daemons on a single port

* Sat Aug 15 22:30:49 2015 -0500

    Backport LEV_OPT_REUSEABLE_PORT from upstream libevent

* Tue Aug 11 08:03:11 2015 +0200

    Sadly compile Android builds using platform version 16 (Android 4.1)

* Tue Aug 11 05:16:30 2015 +0200

    Missing extra space

* Tue Aug 11 05:15:18 2015 +0200

    Clarify

* Mon Aug 10 18:32:14 2015 +0200

    Android iptables rules: explicitly add the port #

* Mon Aug 10 18:31:59 2015 +0200

    Typo

* Wed Aug 5 22:13:28 2015 +0200

    Improve the Android build script

* Wed Aug 5 22:08:13 2015 +0200

    Better Android install script

* Wed Aug 5 20:44:29 2015 +0200

    Improve Android package

* Wed Aug 5 20:43:13 2015 +0200

    Add missing tests to dist-files

* Wed Aug 5 19:50:14 2015 +0200

    Add extra Android build targets, change Android install paths

* Wed Aug 5 19:27:16 2015 +0200

    USE_ONLY_PORTABLE_IMPLEMENTATIONS is obsolete

* Wed Aug 5 02:36:42 2015 +0200

    Correct confusing indentation made by jed

* Tue Aug 4 22:45:40 2015 +0200

    Add high resolution version of the dnscrypt logo

* Tue Aug 4 19:32:43 2015 +0200

    Add a logo

* Tue Aug 4 18:34:17 2015 +0200

    Yet another d0wn server

Merge: 5059534 79fc8a0
* Tue Aug 4 18:32:45 2015 +0200

    Merge pull request #249 from Fusl/patch-1
    
    fvz-rec-za-wc-01 is having issues with DNSCrypt

* Tue Aug 4 18:27:47 2015 +0200

    fvz-rec-za-wc-01 is having issues with DNSCrypt
    
    I'm still fixing this and will update the .csv once the server is running and stable again. Sorry for the inconveniences!

* Mon Aug 3 15:28:03 2015 +0200

    The location was missing in opennic-fvz-rec-de-fra-01

* Sun Aug 2 22:22:32 2015 +0200

    Add new d0wn resolvers

* Sun Aug 2 14:26:32 2015 +0200

    Bring back the FVZ resolvers with a new key

* Sun Aug 2 12:52:58 2015 +0200

    Add d0wn-de back

* Sun Aug 2 11:23:22 2015 +0200

    Have resolvers-check.sh load the local CSV file

* Sun Aug 2 11:22:54 2015 +0200

    Temporarily remove d0wn-al-ns1

* Sun Aug 2 11:19:16 2015 +0200

    Sign

* Sun Aug 2 11:18:58 2015 +0200

    Remove down d0wn servers

* Sun Aug 2 11:15:45 2015 +0200

    Sort

Merge: e0d0aae 01c16f5
* Sun Aug 2 11:11:45 2015 +0200

    Merge pull request #246 from d0wnblog/master
    
    dns.d0wn.biz Server update

* Sun Aug 2 11:04:43 2015 +0200

    All FUSL resolvers do not serve certificates any more

* Sat Aug 1 23:43:47 2015 +0200

    Update dnscrypt-resolvers.csv
    
    Fixed Name's

* Sat Aug 1 22:52:36 2015 +0200

    Fix

* Sat Aug 1 22:51:04 2015 +0200

    Added DNSCrypt resolver from dns.d0wn.biz

* Sat Aug 1 17:33:14 2015 +0200

    Unlist unreliable FVZ servers

* Wed Jul 29 20:33:22 2015 +0200

    Protocol decription edits

* Tue Jul 28 16:28:25 2015 +0200

    grammar

* Sun Jul 26 15:14:13 2015 +0200

    Recommend TFO

* Sun Jul 26 15:05:14 2015 +0200

    v2

* Sun Jul 26 15:04:35 2015 +0200

    Add some known implementations

* Sun Jul 26 14:55:58 2015 +0200

    DNSCrypt v2 protocol specification

* Sat Jul 25 14:15:08 2015 +0200

    Double check

* Sat Jul 25 14:12:42 2015 +0200

    Let example-ldns-blocking parse /etc/hosts-like files, ignoring the first component

* Thu Jul 23 10:10:07 2015 +0200

    Remove unreliable FUZE resolvers

* Sun Jul 19 11:53:31 2015 +0200

    Add -S/--syslog
    via @zedinosaur

* Sun Jul 19 02:26:34 2015 +0200

    Instructions for IPv6 on Windows

* Sun Jul 19 01:48:55 2015 +0200

    Windows people prefer \ to /

* Sun Jul 19 01:48:07 2015 +0200

    Remove .exe

* Sun Jul 19 01:47:37 2015 +0200

    Use HTTPS

* Sun Jul 19 01:46:33 2015 +0200

    More Windows documentation

* Sun Jul 19 01:30:20 2015 +0200

    Improve the Windows documentation

* Sat Jul 18 20:14:52 2015 +0200

    Format

* Sat Jul 18 19:29:19 2015 +0200

    Bump example version

* Sat Jul 18 18:56:26 2015 +0200

    On Windows, $bindir should be the same as $sbindir now.

* Sat Jul 18 18:48:44 2015 +0200

    Add a README for iOS

* Sat Jul 18 18:48:20 2015 +0200

    Same procedure to get an elevated Windows prompt on Windows 10

* Sat Jul 18 18:24:40 2015 +0200

    Update ChangeLog

* Sat Jul 18 18:22:56 2015 +0200

    Install a sample .plist file on iOS

* Sat Jul 18 18:11:35 2015 +0200

    Obviously in the plist file, the path to the app has o be first.

* Sat Jul 18 17:29:58 2015 +0200

    fpm package version bump

* Sat Jul 18 17:29:04 2015 +0200

    Remove local gentoo ebuilds; not maintained any more.

* Sat Jul 18 17:28:29 2015 +0200

    Remove Debian package. Doesn't seem to be maintained any more.

* Sat Jul 18 17:26:44 2015 +0200

    + minisign.pub

* Sat Jul 18 17:12:39 2015 +0200

    New OpenNIC server: Tumabox, courtesy of TumaBox.org

* Sat Jul 18 16:52:06 2015 +0200

    Test that plugins are at least loadable

* Sat Jul 18 16:27:05 2015 +0200

    Update signature comment

* Sat Jul 18 16:25:35 2015 +0200

    Update ChangeLog

* Sat Jul 18 16:15:40 2015 +0200

    Remove unreliable FUZE servers again.

* Sat Jul 18 16:05:35 2015 +0200

    Add a test for static keys

* Sat Jul 18 15:48:05 2015 +0200

    Update tests
    Testing on servers not running recent server proxy code is not useful

* Sat Jul 18 15:12:03 2015 +0200

    Factorize the change log

* Sat Jul 18 14:58:25 2015 +0200

    1.6.0 is almost ready

* Sat Jul 18 14:53:19 2015 +0200

    Add support for client authentication.

* Sat Jul 18 14:15:15 2015 +0200

    Require at least Sodium 0.7.0

* Sat Jul 18 14:13:20 2015 +0200

    Do not check for sodium_mlock() presence any more.
    This has been available in libsodium for a long time.

* Sat Jul 18 13:21:12 2015 +0200

    Update tests

* Sat Jul 18 12:33:38 2015 +0200

    Make it less confusing that ephemeral keys have been enabled (or not)

* Sat Jul 18 12:30:52 2015 +0200

    Avoid a pointless memcpy()

* Sat Jul 18 01:57:20 2015 +0200

    A few examples

* Sat Jul 18 01:41:39 2015 +0200

    Keep making Windows users happy

* Sat Jul 18 01:39:15 2015 +0200

    Move pretty much everything in the same directory on Windows
    This is a breaking change, so bump major version.

* Sat Jul 18 01:34:11 2015 +0200

    Remove redundant check on Windows

* Sat Jul 18 01:28:51 2015 +0200

    Rebase the plugin path onto the application directory on Windows

* Sat Jul 18 01:24:43 2015 +0200

    No more "plugins" folder - Put everything at the same place on Windows.

* Sat Jul 18 00:26:36 2015 +0200

    Next will be 1.5.1

Merge: 6fb2dd9 b676f8f
* Sat Jul 18 00:17:21 2015 +0200

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      clarify
      Bail out in autogen.sh if pkg-config is not available. Printing the error is not enough; people don't read error messages.
      Update aclocal
      Correct URL for libevent
      It's dnscrypt-proxy. dnscrypt-wrapper wasn't written by me.
      A copy of NaCl is not bundled any more.

* Sat Jul 18 00:15:39 2015 +0200

    Windows users, rejoice!
    (plugins do not benefit from this yet, though)

* Sat Jul 18 00:09:13 2015 +0200

    On Windows, rebase the path to the list of resolvers to the application directory

* Sat Jul 18 00:02:14 2015 +0200

    Return NULL on OOM

* Fri Jul 17 23:58:22 2015 +0200

    Export path_from_app_folder() even on !WIN32

* Fri Jul 17 23:00:49 2015 +0200

    On Windows, add a helper to rebase a path to the application directory

* Fri Jul 17 09:22:02 2015 +0200

    clarify

* Tue Jul 14 11:50:23 2015 +0200

    Bail out in autogen.sh if pkg-config is not available.
    Printing the error is not enough; people don't read error messages.

* Sun Jul 12 02:12:31 2015 +0200

    Update aclocal

* Sun Jul 12 02:00:44 2015 +0200

    Correct URL for libevent

* Sun Jul 12 01:59:48 2015 +0200

    It's dnscrypt-proxy. dnscrypt-wrapper wasn't written by me.

* Sun Jul 12 01:58:27 2015 +0200

    A copy of NaCl is not bundled any more.

* Sat Jul 11 12:04:38 2015 +0200

    Remove unreliable OpenNIC Fuze servers

* Thu Jul 9 20:59:29 2015 +0200

    Link the tarballs

* Thu Jul 9 20:53:10 2015 +0200

    dnscrypt -> dnscrypt-proxy

* Tue Jul 7 10:33:26 2015 +0200

    Point to LATEST-win32-full.zip for the Windows package

* Mon Jul 6 16:25:10 2015 +0200

    update signatures

* Mon Jul 6 16:21:28 2015 +0200

    + nawala

* Mon Jul 6 02:07:00 2015 +0200

    Add a link to the server Docker image

* Sat Jul 4 21:28:20 2015 +0200

    The server MAGIC can be derived from public keys

* Wed Jul 1 13:07:17 2015 +0200

    sign

* Wed Jul 1 13:06:15 2015 +0200

    ovpn.to is part of OpenNIC

* Wed Jul 1 13:04:18 2015 +0200

    + ovpn.to Sweden and Romania

* Tue Jun 30 16:52:53 2015 +0200

    Update signatures

* Tue Jun 30 16:52:36 2015 +0200

    Reorder

* Tue Jun 30 16:07:41 2015 +0200

    OpenDNS company has been acquired by Cisco

* Tue Jun 30 10:39:47 2015 +0200

    Remove unresponsive fvz resolvers

* Tue Jun 30 10:17:56 2015 +0200

    Revert "dnscrypt.eu servers were renamed"
    

* Mon Jun 29 15:04:55 2015 +0200

    dnscrypt.eu servers were renamed

* Tue Jun 23 22:19:28 2015 +0200

    Restore dnscrypt.eu-nl-port5353

* Mon Jun 22 16:42:40 2015 +0200

    + ovpnto-lat

Merge: d459d12 f0d097c
* Sun Jun 21 11:30:13 2015 +0200

    Merge pull request #226 from lhoBas/patch-1
    
    Fix markdown link syntax for minisign + minisig

* Sun Jun 21 10:22:29 2015 +0200

    Fix markdown link syntax for minisign + minisig

* Fri Jun 19 16:56:23 2015 +0200

    Remove spaces

* Fri Jun 19 16:53:24 2015 +0200

    dnscrypt.eu-nl-port5353 and d0wn-nl-ns2 are currently down

* Fri Jun 19 16:52:37 2015 +0200

    Obviously .bit requires namecoin

* Thu Jun 18 17:43:40 2015 +0200

    Unfortunately, the Docker images are not maintained any more

* Tue Jun 16 18:28:37 2015 +0200

    Not relevant any more with msys2

Merge: a66823e d49c7da
* Thu Jun 11 09:41:46 2015 +0200

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      New link to Minisign

* Thu Jun 11 09:25:27 2015 +0200

    New link to Minisign

* Thu Jun 11 07:44:02 2015 +0200

    Pasto

* Wed Jun 10 21:49:19 2015 +0200

    The shared key is apparently called "device" now.

* Wed Jun 10 18:17:44 2015 +0200

    1.5.0

* Wed Jun 10 16:55:28 2015 +0200

    Update ChangeLog

* Wed Jun 10 16:54:56 2015 +0200

    Add a new Windows registry key: EphemeralKeys

* Wed Jun 10 15:38:16 2015 +0200

    Rephrase

* Wed Jun 10 13:12:02 2015 +0200

    Enable TFO on Linux

* Wed Jun 10 11:23:11 2015 +0200

    Useless update to test the dnscrypt.org mirror

* Tue Jun 9 18:15:12 2015 +0200

    dnscrypt.org-fr now supports Namecoin domains

* Tue Jun 9 14:05:40 2015 +0200

    Easier

* Tue Jun 9 01:47:16 2015 +0200

    Not relevant any more since the switch to port 443.

* Mon Jun 8 18:59:48 2015 +0200

    Regen sig

* Mon Jun 8 18:58:58 2015 +0200

    Revert "CloudNS Canberra is down"
    

* Mon Jun 8 18:56:26 2015 +0200

    Add a link to the signature

* Mon Jun 8 16:57:05 2015 +0200

    + dnscrypt-resolvers.csv.minisig

* Mon Jun 8 16:50:06 2015 +0200

    The minisign public key

* Mon Jun 8 16:39:25 2015 +0200

    Update signature

* Mon Jun 8 16:37:48 2015 +0200

    CloudNS Canberra is down

* Thu Jun 4 19:29:40 2015 +0200

    Sorry, I haven't tried Solaris for a while

* Wed Jun 3 13:05:05 2015 +0200

    If compiled with --enable-plugins-root, allow absolute paths starting with
    the root, and always prepends the root if another absolute path is given.

* Wed Jun 3 12:30:37 2015 +0200

    "Mobility" doesn't seem to be called like that any more.

* Wed Jun 3 12:16:57 2015 +0200

    Remove WARNING

* Wed Jun 3 12:16:37 2015 +0200

    The IP address doesn't have to be in hexadecimal any more

* Wed Jun 3 12:11:34 2015 +0200

    Reduce the allowed burst of identical log messages and increase the time window

* Wed Jun 3 12:07:12 2015 +0200

    Document log levels

* Tue Jun 2 21:44:28 2015 +0200

    Bump

* Tue Jun 2 21:44:05 2015 +0200

    Update ChangeLog

* Tue Jun 2 21:39:04 2015 +0200

    Use buffered writes for logging. For Windows compat.

* Tue Jun 2 21:14:56 2015 +0200

    Align

* Tue Jun 2 21:00:02 2015 +0200

    Next version will be 1.5.0

* Tue Jun 2 20:53:29 2015 +0200

    Stop pretending it provides confidentiality.

* Tue Jun 2 20:50:56 2015 +0200

    Done in 1.4.4

* Tue Jun 2 20:42:49 2015 +0200

    Nits

Merge: 875004f 950ca2b
* Tue Jun 2 20:41:39 2015 +0200

    Merge pull request #194 from zedinosaur/logger-notify
    
    Add systemd_notify wrapper on sd_notify.

* Tue Jun 2 20:29:42 2015 +0200

    -E

* Tue Jun 2 20:25:21 2015 +0200

    dnscrypt-proxy can now use ephemeral keys

* Tue Jun 2 18:12:39 2015 +0200

    Display provider features

* Tue Jun 2 15:00:07 2015 +0200

    Disclaimer

* Wed May 27 00:23:43 2015 +0200

    Add a script to check providers health

* Wed May 27 00:19:03 2015 +0200

    Remove dead resolvers
    Udpate signature

* Wed May 27 00:06:03 2015 +0200

    Reduce the number of retries to fetch the cert in test mode

Merge: de235dd 16f4880
* Fri May 22 18:09:01 2015 +0200

    Merge pull request #214 from Shnatsel/master
    
    Add systemd unit to debian package

* Fri May 22 18:25:38 2015 +0300

    fscking systemd requires custom scripting on top of .service file, as if dh doesn't automatically know .service files go to systemd. bollocks

* Fri May 22 17:34:38 2015 +0300

    Documentation lied to me!

* Fri May 22 17:26:08 2015 +0300

    add missing 'automake' build dependency. Apparently 'autotools-dev' is not sufficient on Ubuntu 15.04

* Fri May 22 16:33:29 2015 +0300

    Add a systemd service file for use in Ubuntu 15.04 and Debian Jessie. Not tested yet.

* Fri May 22 15:45:10 2015 +0300

    Drop duplicated resolvconf code from sysvinit script, use shared init system wrappers instead

* Fri May 22 15:35:36 2015 +0300

    Fix fallout from IPv6 enablement in sysvinit script

* Fri May 22 15:34:24 2015 +0300

    add respawn stanza to upstart script so that dnscrypt-proxy will be respawned on crashes, but no more than 3 crashes in 60 seconds are allowed

* Fri May 22 15:33:18 2015 +0300

    Split all scripting out of Upstart config so it can be reused for systemd config and potentially sysvinit

Merge: e1a8073 cb74a72
* Fri May 22 08:53:02 2015 +0200

    Merge pull request #209 from Shnatsel/master
    
    Add resolvconf support on Ubuntu + minor packaging fixes

* Fri May 22 02:35:19 2015 +0300

    add another item to changelog

* Fri May 22 02:29:25 2015 +0300

    Upstart's resolvconf auto-configuration now works with ports explicitly specified in the config

* Fri May 22 02:27:41 2015 +0300

    Fixed sysvinit script to work with IPv6 local addresses and made it default to 127.0.0.1 for resolvconf if no address is specified explicitly in the config file

* Fri May 22 02:02:15 2015 +0300

    replace [] with test in upstart-embedded shell scripts; doesn't work otherwise

* Fri May 22 01:26:13 2015 +0300

    update Debian copyright file

* Fri May 22 01:24:30 2015 +0300

    update Debian packaging changelog

* Fri May 22 01:21:12 2015 +0300

    Add support for specifying a custom location for .csv file in dnscrypt-proxy.default and reorganize the .default for readability

* Fri May 22 01:19:07 2015 +0300

    Add support for resolvconf to Upstart script

* Fri May 22 00:18:05 2015 +0300

    More useful error reporting in case of missing config file

* Sat May 9 17:20:30 2015 +0200

    libevent resync

* Sat May 9 16:36:29 2015 +0200

    Relibtoolize libevent-modified

* Sat May 9 16:30:54 2015 +0200

    Have dcplugin_get_client_address_len access the right struct member name

* Sat May 9 16:16:06 2015 +0200

    Use libsodium 1.0.3

* Mon Apr 20 22:18:45 2015 +0200

    Don't compile with Clang on Travis

* Sat Apr 18 19:10:54 2015 +0200

    Test on OSX

* Thu Feb 19 14:49:16 2015 +0200

    .travis.yml: multiple fixes
    
    * test with clang too
    * move to correct tag when cloning
    * use as many jobs as CPUs available when running make
    * notify if job fails immediately without waiting for a long time

* Sat Apr 11 11:12:21 2015 +0200

    Do not use 127.0.0.7 as an example.

* Thu Apr 9 09:54:10 2015 +0200

    Update sig

* Thu Apr 9 09:53:48 2015 +0200

    Fix country for d0wn-ch-ns1

* Tue Apr 7 21:10:20 2015 +0200

    Online.net -> Scaleway.com

* Sun Apr 5 20:20:22 2015 +0200

    The AppArmor profile needs to access the resolvers list and ldns.
    Not sure that this profile ever worked.

* Thu Mar 19 23:32:55 2015 +0100

    Remove config.guess patch for Bitrig

* Sat Mar 14 22:56:43 2015 -0400

    Add systemd_notify wrapper on sd_notify.
    
    Move the logic for calling sd_notify into its own function and do better
    logging of errors returned.

Merge: 71a07c1 b5edbb4
* Sun Mar 8 23:43:17 2015 +0100

    Merge pull request #191 from dartraiden/master
    
    corrected Fusl server addresses

* Mon Mar 9 01:31:00 2015 +0300

    corrected Fusl server addresses

* Sun Mar 8 20:30:20 2015 +0100

    Resign dnscrypt-resolvers.csv

* Sun Mar 8 20:29:21 2015 +0100

    Add Fusl servers

* Sat Mar 7 16:18:46 2015 +0100

    2015

* Sat Feb 14 01:39:57 2015 +0100

    Use libsodium 1.0.2

* Fri Feb 13 20:49:51 2015 +0100

    Update signature

* Thu Feb 12 08:24:30 2015 +0100

    Update d0wn public key

* Sun Feb 8 17:08:12 2015 +0100

    Sync android build scripts with libsodium

* Sun Feb 8 17:00:10 2015 +0100

    Remove --disable-pie on Android

* Sun Feb 8 16:53:30 2015 +0100

    Bump default platform version to 18

Merge: 31b8e3f d1a5dc7
* Sat Feb 7 15:58:27 2015 +0100

    Merge pull request #183 from mosin/patch-1
    
    android ndk requires arch to be arm not armv7

* Sat Feb 7 09:48:17 2015 -0500

    android ndk requires arch to be arm not armv7
    
    In the android-build.sh script, the call the ${ANDROID_NDK_HOME}/build/tools/make-standalone-toolchain.sh passes TARGET_ARCH as armv7 where as around line 117 of make-standalone-toolchain.sh requires ARCH to be {arm,x86,mips,arm64,x86_64,mips64}

* Wed Jan 28 07:52:09 2015 +0100

    Use different short descriptions for ipredator and ipredator6

* Wed Jan 28 07:50:56 2015 +0100

    Order lexically

Merge: 7abdc99 9f9e555
* Wed Jan 28 07:48:08 2015 +0100

    Merge pull request #181 from d31m0/patch-1
    
    1 new resolver

* Wed Jan 28 05:56:29 2015 +0100

    1 new resolver
    
    IPV4 / IPV6 resolver by Ipredator.se VPN anonymizer service.

* Mon Jan 19 09:47:33 2015 +0100

    libtool and autotools are not enough; pkg-config is now also required

* Mon Jan 19 09:36:55 2015 +0100

    Don't strip binaries on Win32.

* Mon Jan 19 09:01:55 2015 +0100

    Copy libeay32.dll if required by ldns

* Fri Jan 16 09:29:18 2015 +0100

    Revert "Add a new OpenNIC server in Washington"

* Thu Jan 15 17:21:59 2015 +0100

    Add pre-generated man pages

* Thu Jan 15 16:58:39 2015 +0100

    Revert "Check if -Wl,-pie should be used instead of -pie in LDFLAGS"
    

* Thu Jan 15 09:49:18 2015 +0100

    No need to log when recvfrom() returns EAGAIN or EINTR
    On Linux, recvfrom() returns EAGAIN when the packet has an invalid checksum.

* Fri Jan 9 08:36:59 2015 +0100

    Remove OpenNIC JP servers

* Tue Jan 6 10:57:05 2015 +0100

    + DNSSEC signed public key for fr-dnscrypt.org

* Mon Jan 5 21:36:22 2015 +0100

    We use edns by default, so set udp_max_size to the default max payload size

* Mon Jan 5 18:07:55 2015 +0100

    Update ChangeLog

* Mon Jan 5 17:55:36 2015 +0100

    +dnscrypt.org-fr

* Mon Jan 5 17:16:31 2015 +0100

    NEWS update

* Mon Jan 5 17:10:50 2015 +0100

    Get ready for a new release

* Mon Jan 5 17:07:25 2015 +0100

    libevent 2.0.22

* Mon Jan 5 17:04:17 2015 +0100

    libevent: fix CVE-2014-6272

* Mon Jan 5 17:03:44 2015 +0100

    libevent: Fix evbuffer_peek() with len==-1 and start_at non-NULL.

* Wed Dec 31 19:09:00 2014 +0100

    2015

* Mon Dec 29 18:29:18 2014 +0100

    Check if -D_FORTIFY_SOURCE=2 works

* Mon Dec 29 18:22:22 2014 +0100

    Add IPv6 IP for ns1-wa-us

Merge: 14d2932 783edbf
* Mon Dec 29 18:19:23 2014 +0100

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Check if -Wl,-pie should be used instead of -pie in LDFLAGS
      Reflecting 'd0wn-fr-ns1' server IP address change.

* Mon Dec 29 18:19:05 2014 +0100

    Add a new OpenNIC server in Washington

* Mon Dec 29 01:29:11 2014 +0100

    Check if -Wl,-pie should be used instead of -pie in LDFLAGS

Merge: 8bb1599 579c596
* Fri Dec 26 14:10:13 2014 +0100

    Merge pull request #171 from DistantThunder/master
    
    Updating d0wn french servers.

* Fri Dec 26 02:32:29 2014 +0100

    Reflecting 'd0wn-fr-ns1' server IP address change.
    
    Changing 'd0wn-fr-ns2' listening port to a working one.

Merge: 3f7dbf5 32794a0
* Sun Dec 21 14:08:23 2014 +0100

    Merge pull request #169 from pataquets/patch-1
    
    Fix typos

* Sun Dec 21 12:05:07 2014 +0100

    Fix typo

* Sun Dec 21 12:03:01 2014 +0100

    Fix typo

Merge: 57d3072 562ddd4
* Thu Dec 4 17:40:14 2014 -0800

    Merge pull request #166 from xuzhen/master
    
    fixed issue #104

* Thu Dec 4 21:31:28 2014 +0800

    fixed issue #104

* Wed Dec 3 15:02:27 2014 -0800

    Update ChangeLog

* Wed Dec 3 15:01:09 2014 -0800

    Remove OpenNIC UK resolvers

* Tue Dec 2 23:23:29 2014 -0800

    Bump fpm package version up

* Tue Dec 2 23:22:49 2014 -0800

    Use resolver-name

* Tue Dec 2 23:07:55 2014 -0800

    dnscrypt-wrapper doesn't support socket activation (yet?)

* Tue Dec 2 23:07:03 2014 -0800

    Document how to run dnscrypt-proxy with systemd

* Tue Dec 2 19:15:44 2014 -0800

    Remove offline d0wn servers

* Tue Dec 2 19:00:11 2014 -0800

    open dns supports https now

* Tue Dec 2 18:57:21 2014 -0800

    Update d0wn IPs, add new d0wn servers, update open dns catchline

* Tue Dec 2 17:51:11 2014 -0800

    Bump version number

* Tue Dec 2 17:27:05 2014 -0800

    When using a systemd socket, retrieve its local address.

* Tue Dec 2 17:13:02 2014 -0800

    The systemd service needs NonBlocking=true

* Tue Dec 2 17:08:58 2014 -0800

    Socket inherited from systemd must be set to nonblocking.

* Tue Dec 2 16:46:27 2014 -0800

    When using systemd, the local address may not reflect the reality.

* Tue Dec 2 16:39:50 2014 -0800

    UDP sockets sent by systemd are not listening

* Tue Dec 2 15:52:58 2014 -0800

    Fix error message

* Tue Dec 2 15:40:42 2014 -0800

    Add a simple sample systemd service file.

* Tue Dec 2 15:15:06 2014 -0800

    Add SYSTEMD_DAEMON_ flags

* Tue Dec 2 14:54:05 2014 -0800

    The TCP socket is of type SOCK_STREAM.

* Tue Dec 2 14:53:47 2014 -0800

    Outline systemd descriptors initialization

* Tue Dec 2 14:51:35 2014 -0800

    Check for libsystemd-daemon in addition to libsystemd.
    Do not pick systemd unless --with-systemd is explicitly used.

* Tue Dec 2 14:18:15 2014 -0800

    A file descriptor doesn't have to be >= 0

* Tue Dec 2 14:16:52 2014 -0800

    Indent

* Tue Dec 2 16:42:19 2014 -0800

    logger() -> logger_noformat()

* Tue Dec 2 15:43:22 2014 -0800

    Use sodium 1.0.1

* Tue Dec 2 14:56:50 2014 -0800

    libevent2: Fix race caused by event_active
    There is a race between manual event_active and natural event activation.
    
    If both happen at the same time on the same FD, they would both be protected by the same event base lock except for 1 LoC where the fields of struct event are read without any kind of lock.
    
    
    In 2.0-stable, none of this is inside the lock; in HEAD, only the callback is read inside the lock. This gets the callback and all 3 arguments inside the lock before calling it outside the lock.

* Tue Dec 2 14:55:57 2014 -0800

    Sodium 0.5.0 is the bare minimum.

Merge: 6d3a902 7a8b8e8
* Tue Dec 2 14:12:37 2014 -0800

    Merge pull request #165 from zedinosaur/systemd
    
    Add socket activation to dnscrypt-proxy.

* Sat Nov 29 22:56:40 2014 -0500

    Add documentation about systemd integration.

* Sat Nov 29 22:27:23 2014 -0500

    Move READY notify to when listeners start.

* Sat Nov 29 14:47:26 2014 -0500

    Add socket activation to dnscrypt-proxy.
    
    Conditional systemd support for socket activation and startup and shutdown
    notification.

Merge: 3c605e7 24efbde
* Tue Nov 25 16:41:48 2014 -0800

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      iOS: add -miphoneos-version-min
      Add the cypherpunk.lu server
      Update dnscrypt-resolvers.csv.sig
      Sort resolvers list
      Added a DNSCrypt server in Luxembourg
      Indent
      High-level functions are enough
      Not Poly1305-AES.

* Tue Nov 25 16:41:29 2014 -0800

    Don't use -fwrapv if it's redundant.

* Thu Nov 20 14:01:46 2014 -0800

    iOS: add -miphoneos-version-min

* Fri Oct 31 13:02:14 2014 -0700

    Add the cypherpunk.lu server

* Fri Oct 31 09:01:55 2014 -0700

    Update dnscrypt-resolvers.csv.sig

* Fri Oct 31 09:01:35 2014 -0700

    Sort resolvers list

Merge: 4ab8308 1f3d58e
* Fri Oct 31 08:58:52 2014 -0700

    Merge pull request #157 from virii/master
    
    Added a DNSCrypt server in Luxembourg

* Fri Oct 31 16:51:27 2014 +0100

    Added a DNSCrypt server in Luxembourg

* Wed Oct 29 02:13:20 2014 -0700

    Indent

* Wed Oct 29 02:12:30 2014 -0700

    High-level functions are enough

* Wed Oct 29 02:09:37 2014 -0700

    Not Poly1305-AES.

Merge: 41c667e ca47395
* Mon Oct 13 10:17:52 2014 -0700

    Merge pull request #150 from rob/patch-1
    
    Update dnscrypt-resolvers.csv

* Mon Oct 13 09:33:50 2014 -0400

    Update dnscrypt-resolvers.csv
    
    According to the OpenNIC wiki [1], the correct IPv6 address for PhilipSoutham's server is ns18.ca.us, not ns17.ca.us. The provider key was also wrong.
    
    [1] http://wiki.opennicproject.org/Tier2

* Fri Oct 10 19:17:23 2014 -0700

    Libevent2 -     Fix a typo in a doxygen comment. Reported by äå.

* Tue Sep 30 16:05:35 2014 -0700

    d0wn servers support Namecoin - Prodded by @bugreport0

Merge: 9ec8509 5a9a96d
* Mon Sep 29 15:42:05 2014 -0700

    Merge remote-tracking branch 'teknocrat/master'
    
    * teknocrat/master:
      * New ebuild for 1.4.0 * New ebuild for 1.4.1 * Configuration change to support providers * Drop libsodium from overlay (is not in portage tree) * Dnscrypt-Proxy 1.4.x requires libsodium 1.0.0 or newer
    
    Conflicts:
            packages/gentoo/net-dns/dnscrypt-proxy/Manifest
            packages/gentoo/net-dns/dnscrypt-proxy/dnscrypt-proxy-1.4.0.ebuild
            packages/gentoo/net-dns/dnscrypt-proxy/dnscrypt-proxy-1.4.1.ebuild

* Wed Sep 24 11:17:38 2014 -0400

    * New ebuild for 1.4.0
    * New ebuild for 1.4.1
    * Configuration change to support providers
    * Drop libsodium from overlay (is not in portage tree)
    * Dnscrypt-Proxy 1.4.x requires libsodium 1.0.0 or newer

* Sun Sep 28 01:42:11 2014 -0700

    and -> and/or

Merge: 1578efb 4cd37f7
* Sat Sep 27 12:13:32 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      * New ebuild for 1.4.0 * New ebuild for 1.4.1 * Configuration change to support providers

* Sat Sep 27 12:13:10 2014 -0700

    Fix the tests, update Gemfile by the way

Merge: 4991aa3 c21c3c1
* Wed Sep 24 08:56:40 2014 -0700

    Merge pull request #145 from Teknocrat/master
    
    New Gentoo ebuilds for 1.4.0 and 1.4.1

* Wed Sep 24 11:17:38 2014 -0400

    * New ebuild for 1.4.0
    * New ebuild for 1.4.1
    * Configuration change to support providers

* Sat Sep 20 23:05:44 2014 -0700

    Mention that a minimal build of libsodium is fine.

* Fri Sep 19 00:02:26 2014 -0700

    Update ChangeLog

Merge: 3c960ad 1e2eb46
* Thu Sep 18 23:23:45 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Do not use the same description for 2 different configurations
      Update ChangeLog
      libevent - [Bugfix] fix bufferevent setwatermark suspend_read
      libevent - regress_buffer: fix 'memcmp' compare size

* Thu Sep 18 23:18:23 2014 -0700

    1.4.0 -> 1.4.1

* Thu Sep 18 22:55:23 2014 -0700

    timing -> timing out

* Thu Sep 18 18:56:25 2014 -0700

    Do not use the same description for 2 different configurations

* Thu Sep 18 17:25:37 2014 -0700

    Update ChangeLog

* Thu Sep 18 17:24:03 2014 -0700

    libevent - [Bugfix] fix bufferevent setwatermark suspend_read

* Thu Sep 18 17:23:22 2014 -0700

    libevent - regress_buffer: fix 'memcmp' compare size

Merge: 5d55fee 4a3a23c
* Thu Sep 11 20:22:14 2014 -0700

    Merge remote-tracking branch 'Shnatsel/master'
    
    * Shnatsel/master:
      Bump compat to 9, standards version to 3.9.5
      Drop AppArmor installation from Debian/Ubuntu package
      Since we could not resolve the AppArmor shutdown issue so far, at least add a warning about it

* Sun Sep 7 17:49:19 2014 -0700

    Target iOS 7.1 since iOS 8 hasn't been jailbroken yet

* Sat Sep 6 13:58:09 2014 -0700

    Use Sodium 0.7.0

* Thu Sep 4 15:05:58 2014 -0700

    ChangeLog update

* Thu Sep 4 15:00:35 2014 -0700

    Add a few comments to the .plist file

* Thu Sep 4 14:57:28 2014 -0700

    Mention that the path to the CSV file is also required

* Tue Sep 2 20:09:22 2014 -0700

    ChangeLog update

* Tue Sep 2 14:53:24 2014 -0700

    libevent: Consistently check for failure from evbuffer_pullup()

* Wed Aug 27 22:50:37 2014 -0700

    Ship libgcc_s_dw2-1.dll in the Windows package

* Tue Aug 26 19:14:37 2014 -0700

    Bump libsodium DLL version

* Tue Aug 26 11:45:14 2014 -0700

    Mention Docker images

* Sun Aug 24 19:03:35 2014 +0400

    Bump compat to 9, standards version to 3.9.5

* Sun Aug 24 18:48:36 2014 +0400

    Drop AppArmor installation from Debian/Ubuntu package

* Sun Aug 24 18:40:29 2014 +0400

    Since we could not resolve the AppArmor shutdown issue so far, at least add a warning about it

* Fri Aug 22 11:48:53 2014 -0700

    libevent2

* Fri Aug 22 11:48:19 2014 -0700

    DTrace -> dtrace

* Fri Aug 22 11:47:32 2014 -0700

    Update documentation

* Fri Aug 22 11:43:17 2014 -0700

    I am not running Mountain Lion any more.

* Fri Aug 22 11:43:02 2014 -0700

    Doc update

* Thu Aug 21 23:05:59 2014 -0700

    More permanent issues URL

* Thu Aug 21 22:58:04 2014 -0700

    -encrypted

* Thu Aug 21 22:55:33 2014 -0700

    Clarify what the Resolver Name is

* Thu Aug 21 22:54:05 2014 -0700

    Regen documentation

* Thu Aug 21 22:47:22 2014 -0700

    Make it clear that most people just need to run dnscrypt-proxy -R <provider name>

* Tue Aug 19 10:18:04 2014 -0700

    Add a few files created by "make verify" to .gitignore.

* Tue Aug 19 08:28:49 2014 -0700

    Note about dnscrypt.org being blocked

* Sat Aug 16 22:31:53 2014 -0700

    Revert "No more resolvers in Japan :("
    

* Thu Aug 14 12:13:23 2014 -0700

    Remove unused function.

* Tue Aug 12 22:43:43 2014 -0700

    Revert "Bring back clang on Travis"
    

Merge: ef06bdb 1eb7a00
* Tue Aug 12 22:43:32 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Bring back clang on Travis

* Tue Aug 12 22:41:55 2014 -0700

    No more resolvers in Japan :(

* Mon Aug 11 16:47:26 2014 -0700

    Bring back clang on Travis

* Thu Aug 7 20:14:01 2014 -0700

    clang seems to be broken on Travis

* Thu Aug 7 19:45:22 2014 -0700

    Document that some plugins need additional DLLs on Windows

* Mon Jul 28 13:02:56 2014 -0700

    Don't even try to parse an empty file.

* Sat Jul 26 12:12:17 2014 -0700

    Bump version to 1.4.1

* Sat Jul 26 12:07:19 2014 -0700

    mlock() the proxy context

* Sat Jul 26 11:59:43 2014 -0700

    Replace the custom fingerprint parse with sodium_hextobin()

Merge: 5ddc648 3f85a31
* Sat Jul 26 11:21:41 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Add alternative port to dnscrypt.eu servers

* Sat Jul 26 11:21:26 2014 -0700

    "sodium.h" -> <sodium.h>

Merge: aab1871 025ac7f
* Fri Jul 18 13:15:52 2014 -0700

    Merge pull request #125 from trrbl/master
    
    Add alternative port to dnscrypt.eu servers

* Fri Jul 18 23:38:25 2014 +0400

    Add alternative port to dnscrypt.eu servers
    
    Some ISP are filtering outgoing port 443.

Merge: 3592248 ad407a0
* Sat Jul 5 10:23:26 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Package new Android build scripts

* Sat Jul 5 10:22:42 2014 -0700

    Do not retry to send UDP packets, let the stub resolver do it.

* Wed Jul 2 16:47:15 2014 -0700

    Package new Android build scripts

Merge: b8e8055 8a5cd0f
* Mon Jun 30 10:40:06 2014 -0700

    Merge pull request #122 from Teknocrat/patch-1
    
    Update dnscrypt-proxy-1.3.3-r1.ebuild

* Mon Jun 30 10:33:08 2014 -0700

    Update dnscrypt-proxy-1.3.3-r1.ebuild
    
    You need this additional line or else Gentoo will not actually create the local user and group accounts..

* Sun Jun 29 10:54:52 2014 -0700

    Target iOS 8.0

* Mon Jun 16 21:19:32 2014 -0700

    Add OpenDNS on port 53 for some unusual setups

* Mon Jun 2 20:36:59 2014 -0700

    Tweak OSX compile flags

* Sun Jun 1 22:49:41 2014 -0700

    Travis: install libldns-dev

* Sun Jun 1 23:00:44 2014 -0700

    Use libsodium 0.5.0

* Mon Jun 2 20:29:04 2014 -0700

    On OSX, compile for Mountain Lion.

Merge: 5bd6577 1cbcb8f
* Fri May 23 09:09:36 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Default to OpenDNS resolvers explicitly in the old-style config file because DNSCrypt no longer defaults to them internally

* Fri May 23 09:09:22 2014 -0700

    Log the signal number in the signal handler

Merge: c4d8ffc 66a97df
* Fri May 16 09:03:58 2014 -0700

    Merge pull request #107 from Shnatsel/fix-config
    
    Default to OpenDNS resolvers explicitly in the old-style config file...

* Fri May 16 13:39:56 2014 +0400

    Default to OpenDNS resolvers explicitly in the old-style config file because DNSCrypt no longer defaults to them internally

* Tue May 13 11:05:41 2014 -0700

    Revert ""[debian revision] should be zero, because this package is not in Debian yet and thus has no Debian revisions""
    

* Tue May 13 06:28:28 2014 -0700

    "[debian revision] should be zero, because this package is not in Debian yet and thus has no Debian revisions"

Merge: 786180e 8782c8e
* Mon May 12 07:20:21 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Link http://dominustemporis.com/2014/05/dnscrypt-on-windows-update/

* Mon May 12 07:19:54 2014 -0700

    OpenDNS FamilyShield IP address is 208.67.220.123

* Mon May 12 07:19:26 2014 -0700

    <argument> is confusing to Windows users, so use quotes.

Merge: c0fb5fe 536abb6
* Sat May 10 22:33:53 2014 -0700

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Ship libwinpthread-1.dll on Windows
      Tell Windows users to open the 'bin' directory.
      Windows: copy the CSV file to $bindir
      Update signature
      Make sure that 'plugins' and 'bin' are directories.
      Add CPPFLAGS/LDFLAGS for libsodium
      Update Win32 build scripts
      Add two new d0wn servers. Via Martin A.
      Just discovered Windows + X ...

* Sat May 10 22:33:44 2014 -0700

    Link http://dominustemporis.com/2014/05/dnscrypt-on-windows-update/

* Mon May 5 17:00:20 2014 -0700

    Ship libwinpthread-1.dll on Windows

* Mon May 5 16:48:10 2014 -0700

    Tell Windows users to open the 'bin' directory.

* Mon May 5 16:47:03 2014 -0700

    Windows: copy the CSV file to $bindir

* Mon May 5 16:28:31 2014 -0700

    Update signature

* Mon May 5 16:26:45 2014 -0700

    Make sure that 'plugins' and 'bin' are directories.

* Mon May 5 16:13:11 2014 -0700

    Add CPPFLAGS/LDFLAGS for libsodium

* Mon May 5 16:08:37 2014 -0700

    Update Win32 build scripts

* Mon May 5 15:44:29 2014 -0700

    Add two new d0wn servers. Via Martin A.

* Sun May 4 22:59:09 2014 -0700

    Just discovered Windows + X ...

* Wed Apr 30 18:03:35 2014 -0700

    Sync the Android build scripts with libsodium's

* Mon Apr 28 10:01:17 2014 -0700

    Remove opennic-proxy.sh-dns2 until what is wrong with it gets sorted out

* Sat Apr 26 10:14:32 2014 -0700

    Update .csv sig

* Sat Apr 26 10:14:10 2014 -0700

    Nits

* Sat Apr 26 10:12:16 2014 -0700

    proxy.sh: use names closer to the convention used by other entries

* Sat Apr 26 10:06:32 2014 -0700

    Update .csv signature

Merge: 5bb89b5 6630fd1
* Sat Apr 26 10:05:22 2014 -0700

    Merge pull request #94 from boianmihailov/patch-1
    
    Add couple of servers to dnscrypt-resolvers.csv

* Sat Apr 26 16:39:40 2014 +0300

    Add couple of servers to dnscrypt-resolvers.csv
    
    Append two DNS server provided by proxy.sh

* Fri Apr 25 00:12:48 2014 -0700

    --daemonize is not the only option one may want to use

* Thu Apr 24 23:31:23 2014 -0700

    Regen dnscrypt-resolvers.csv.sig

* Thu Apr 24 23:20:35 2014 -0700

    Add final stop

* Thu Apr 24 23:19:56 2014 -0700

    Update documentation example

* Thu Apr 24 23:18:34 2014 -0700

    Link README-WINDOWS.markdown instead of out-of-date instructions.

* Thu Apr 24 23:15:49 2014 -0700

    Quote args, remove spaces

* Thu Apr 24 22:57:01 2014 -0700

    Version 1.1.0 is dead old, no need to mention it.

* Thu Apr 24 22:56:17 2014 -0700

    Update .plist

* Thu Apr 24 22:49:18 2014 -0700

    Update NEWS

* Thu Apr 24 22:26:30 2014 -0700

    Update ChangeLog

* Thu Apr 24 22:25:06 2014 -0700

    Do not document --reinstall

* Thu Apr 24 22:24:41 2014 -0700

    Document how to open an elevated command prompt

* Thu Apr 24 17:44:37 2014 -0700

    Make dnscrypt-proxy half-decent on Windows

* Thu Apr 24 23:23:49 2014 +0000

    Add windows_service_registry_write_string(()

* Wed Apr 23 23:10:14 2014 -0700

    Quote dnscrypt-proxy

* Wed Apr 23 21:38:21 2014 -0700

    No need to check for inet_pton after all

* Wed Apr 23 21:37:49 2014 -0700

    Fu fu fu Windows, fu fu fuuuuu

* Wed Apr 23 21:24:49 2014 -0700

    Define a replacement inet_pton() function for Windows

* Wed Apr 23 21:10:17 2014 -0700

    Use inet_pton() instead of inet_aton()

* Wed Apr 23 12:56:00 2014 -0700

    Revert cf5a85b255f86db8b2c5ec4fe45aa383903a69bb

* Wed Apr 23 08:20:26 2014 -0700

    Update d0wn entries, requested by d0wn

* Tue Apr 22 22:17:05 2014 -0700

    Update dnscrypt-resolvers.csv signature

* Tue Apr 22 22:12:54 2014 -0700

    Update ns4.ca.dns.opennic.glue signature, via Nova King

* Tue Apr 22 20:08:48 2014 -0700

    Sign .csv file

* Tue Apr 22 20:06:13 2014 -0700

    Add CloudNS Tor addresses

* Tue Apr 22 08:12:15 2014 -0700

    Mention DNSCrypt-OSXClient, a new universal client for OSX.

* Mon Apr 21 21:12:31 2014 -0700

    Do not skip the last row of the CSV file.

* Mon Apr 21 14:04:08 2014 -0700

    Mention extra plugins

* Mon Apr 21 14:00:26 2014 -0700

    Markdown fixups

* Mon Apr 21 13:58:36 2014 -0700

    Update documentation

* Mon Apr 21 13:58:17 2014 -0700

    Do not recommend logging to /tmp

* Mon Apr 21 13:01:01 2014 -0700

    opennic-ca-ns17 is actually in Fremont, CA, US.

* Mon Apr 21 12:53:23 2014 -0700

    Full country names

* Mon Apr 21 12:50:16 2014 -0700

    for d0wn and OpenNIC servers, place the country code first to improve sorting

* Mon Apr 21 12:46:06 2014 -0700

    OK Turtles is okTurtles

* Mon Apr 21 12:44:53 2014 -0700

    opendns-ipv6 description should be unique

* Mon Apr 21 12:44:03 2014 -0700

    Sort, and add OpenDNS IPv6 and OpenDNS Familyshield

* Mon Apr 21 12:35:00 2014 -0700

    Complete d0wn servers

* Mon Apr 21 12:33:18 2014 -0700

    CSV is hard

* Mon Apr 21 12:32:21 2014 -0700

    Add missing version #

* Mon Apr 21 12:31:13 2014 -0700

    Missing ,

* Mon Apr 21 12:30:18 2014 -0700

    Fix CSV

* Mon Apr 21 12:28:38 2014 -0700

    More d0wn servers

* Mon Apr 21 12:17:31 2014 -0700

    Phew, NovaKing has so many resolvers...

* Mon Apr 21 12:10:01 2014 -0700

    Slowly complete the list of resolvers...

* Mon Apr 21 11:48:13 2014 -0700

    Add dnscrypt.eu IPv6 addresses

* Mon Apr 21 11:24:47 2014 -0700

    Remove unneeded quotes from CSV file

* Mon Apr 21 11:23:24 2014 -0700

    Remove empty records from CSV file

* Mon Apr 21 11:23:01 2014 -0700

    Cleanup CSV file

* Fri Apr 18 04:56:18 2014 -0700

    Plugins shouldn't be considered experimental any more

Merge: cadf94b d005fa4
* Thu Apr 17 08:18:14 2014 -0700

    Merge pull request #91 from pysiak/master
    
    Update GEO coordinates and pubkey for Soltysiak

* Thu Apr 17 13:31:21 2014 +0200

    Update GEO coordinates and pubkey for Soltysiak

* Thu Apr 17 00:21:22 2014 -0700

    Better usage()

* Thu Apr 17 00:06:43 2014 -0700

    Add ResolverName and ResolversList to the Windows registry keys

* Wed Apr 16 23:58:19 2014 -0700

    Install dnscrypt-resolvers.csv

* Wed Apr 16 23:48:43 2014 -0700

    Move the list of resolvers to $pkgdatadir

* Wed Apr 16 23:22:11 2014 -0700

    New option -R <resolver name> to automatically pick resolver config from a name

* Wed Apr 16 23:21:41 2014 -0700

    Initialize the default resolver name to NULL

* Wed Apr 16 21:30:20 2014 -0700

    Open the CSV file in binary mode.

* Wed Apr 16 21:27:50 2014 -0700

    Portably computing the size of a file in C is not a solved problem.
    https://www.securecoding.cert.org/confluence/display/seccode/FIO19-C.+Do+not+use+fseek()+and+ftell()+to+compute+the+size+of+a+regular+file

* Wed Apr 16 20:45:09 2014 -0700

    Define the path to dnscrypt-resolvers.csv

* Wed Apr 16 20:12:59 2014 -0700

    Use sodium_mlock() if available.

* Wed Apr 16 19:51:22 2014 -0700

    Check for sodium_mlock existence

* Wed Apr 16 00:28:33 2014 -0700

    MiniCSV: move macros to minicsv.h

* Wed Apr 16 00:23:27 2014 -0700

    Import MiniCSV

* Wed Apr 16 06:08:11 2014 -0700

    Downgrade "Received a resolver reply from a different resolver" to LOG_DEBUG

* Wed Apr 16 06:02:07 2014 -0700

    Next release will be 1.4.0

* Wed Apr 16 06:02:07 2014 -0700

    Fix buggy retry code. Issue #71

* Sat Apr 12 13:33:20 2014 -0700

    Fragmentation is allowed only if the packet size > the outgoing interface MTU.

* Wed Apr 9 19:44:42 2014 -0700

    Require provider information.

* Wed Apr 9 12:15:28 2014 -0700

    libevent: disable regress by default, as it requires network communications.

* Tue Apr 8 14:43:27 2014 -0700

    + DNSCrypt Tools

Merge: 72a9e48 4fac7f8
* Tue Apr 8 11:01:21 2014 -0700

    Merge pull request #81 from aureq/master
    
    package compliance with debian distribution

Merge: 6e646ad 9ee793f
* Mon Apr 7 09:37:11 2014 -0700

    Merge pull request #87 from Teknocrat/master
    
    New initd File for Gentoo allows configuration of different DNS servers

* Mon Apr 7 12:29:21 2014 -0400

    New initd File for Gentoo allows configuration of different DNS
    resolvers vid conf.d config file variables

* Sat Mar 29 21:34:48 2014 -0700

    Fix a crash in evdns related to shutting down evdns
    (Improved version to deal correctly with probe requests)
    Patch from YASUOKA Masahiko; fix for libevent github issue #113.

* Tue Mar 25 15:23:56 2014 -0700

    Fix documentation: --resolver-address not --server-address

* Tue Mar 25 08:06:03 2014 -0700

    Fix a crash in evdns related to shutting down evdns
    Patch from YASUOKA Masahiko; fix for libevent github issue #113.

* Sun Mar 23 19:15:19 2014 +1100

    return a fail if stop is request and the process wasn't running

* Sun Mar 23 19:10:47 2014 +1100

    pass the configuration to the argument parser
    added --brackground to start-stop-daemon so the process is started correctly in the background
    only retrieve the most recent pid for the daemon
    cosmetic changes with "echo"
    if process can't be killed, then return a fail (log_end_msg 1)

* Sun Mar 23 18:34:24 2014 +1100

    exclude 'resolvconf' from the upstart script when processing options

* Sun Mar 23 18:03:45 2014 +1100

    fixed syntax error in init script

* Sun Mar 23 17:56:12 2014 +1100

    debian init script as debian doesn't use upstart

* Sun Mar 23 17:28:01 2014 +1100

    removed --user=dnscrypt as moved to dnscrypt-proxy.default instead

* Sun Mar 23 17:27:24 2014 +1100

    added 'user=' to the default configuration file

* Sun Mar 23 16:59:05 2014 +1100

    added 'resolvconf' package dependency (Suggests only) for the init script to update /etc/resolv.connf

* Sun Mar 23 16:52:09 2014 +1100

    added 'resolvconf' variablee for the init script

* Sun Mar 23 11:56:48 2014 +1100

    (lintian) description-synopsis-starts-with-article

* Sun Mar 23 11:54:49 2014 +1100

    (lintian) dnscrypt-proxy: debian-revision-should-not-be-zero

* Fri Mar 21 13:43:45 2014 -0700

    OKTurtles does not support DNSSEC

* Fri Mar 21 13:28:21 2014 -0700

    Add OkTurtles to the list of providers.

* Fri Mar 21 13:20:43 2014 -0700

    DNSCrypt Winclient does more than OpenDNS and CloudNS now.

* Fri Mar 21 13:16:34 2014 -0700

    Prepare for removal of default settings.

* Wed Mar 5 17:14:11 2014 -0800

    libevent sync
    * Wed Feb 19 06:49:31 2014 +0100
    
        Add -Qunused-arguments for clang on macos
    
        The clang compiler provided with macosx emits warnings like:
    
          CC       bufferevent.lo
        clang: warning: argument unused during compilation: '-I .'
        clang: warning: argument unused during compilation: '-I ./compat'
        clang: warning: argument unused during compilation: '-I ./include'
        clang: warning: argument unused during compilation: '-I ./include'
    
        for each file being compiled. This generates a lot of noise during
        compilation making it hard to see "real" errors. This patch mute
        those warnings.

* Sun Feb 9 12:10:05 2014 -0800

    Simplify hostip example

* Sun Feb 9 12:04:33 2014 -0800

    dnscrypt-proxy has been available in Homebrew for a while

* Sun Feb 9 12:04:04 2014 -0800

    Update repository.

* Sun Feb 9 11:58:32 2014 -0800

    Display something as LOG_NOTICE when the service starts

* Sun Feb 9 11:58:22 2014 -0800

    Regen hostip

* Sun Feb 9 11:45:14 2014 -0800

    213.154.224.3 now only accepts connections over TLS.

* Sun Feb 9 11:36:26 2014 -0800

    One line for the version is enough.

* Sun Feb 9 11:33:51 2014 -0800

    Use LOG_NOTICE level for startup/shutdown messages

* Sun Feb 9 11:26:08 2014 -0800

    bufferevent_pair: don't call downcast(NULL)

* Thu Jan 30 13:06:04 2014 -0800

    Add dnscrypt.eu IPv6 address for resolver #2

* Thu Jan 30 10:07:50 2014 -0800

    Refer to Noxwizard's repository again.

Merge: e47ef88 627e26a
* Fri Jan 24 08:33:56 2014 -0800

    Merge pull request #62 from Shnatsel/master
    
    Fix applying AppArmor profile on startupp

Merge: f4c73e9 e3085a8
* Fri Jan 24 08:33:16 2014 -0800

    Merge pull request #63 from Shnatsel/fix-etc-defaults
    
    Fix /etc/default in Ubuntu package

* Fri Jan 24 19:34:02 2014 +0400

    Link to resolver lists in /etc/default and note that specifying multiple resolvers is not yet supported

* Fri Jan 24 19:29:33 2014 +0400

    Revert "Add OpenNIC alternative root servers to /etc/default/dnscrypt-proxy."
    

* Fri Jan 24 14:44:33 2014 +0400

    don't fail if loading of AppArmor profile from Upstart script failed for whatever reason

* Fri Jan 24 14:21:15 2014 +0400

    Fix a common bug with DNSCrypt having the AppArmor profile defined but not being confined by it

* Wed Jan 22 16:17:03 2014 -0800

    libevent: Check if arch has the epoll_create and __NR_epoll_wait syscalls.
    Some architectures (like AArch64) do not have deprecated syscalls.

* Wed Jan 15 11:34:02 2014 -0800

    New OpenNIC servers in Fremont, CA

* Mon Jan 13 14:53:54 2014 -0800

    Typo

* Mon Jan 13 14:52:13 2014 -0800

    Link DNSCrypt Windows Service Manager

* Mon Jan 13 14:47:29 2014 -0800

    Update dnscrypt.eu resolvers

Merge: 99ca5c8 57520bc
* Mon Jan 13 14:08:55 2014 -0800

    Merge pull request #56 from Kami/fix_readme_typo
    
    Fix typo in the README

* Mon Jan 13 22:50:53 2014 +0100

    Fix a typo, argument is called pidfile and not pid-file.

* Wed Jan 1 17:09:12 2014 +0100

    Year++

* Tue Dec 31 16:36:16 2013 +0100

    Remove the need for droid-gcc to compile for android

* Fri Dec 27 20:00:58 2013 +0100

    libevent typo fixes

Merge: a4cd640 5cdf433
* Wed Dec 18 13:14:44 2013 -0800

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Add OpenNIC alternative root servers to /etc/default/dnscrypt-proxy.

* Wed Dec 18 13:13:15 2013 -0800

    Remove references to encryption.
    Make it clear that dnscrypt is about authentication, not privacy.

Merge: d243c7a 52d2c7c
* Fri Dec 13 09:20:46 2013 -0800

    Merge pull request #48 from pataquets/master
    
    Add OpenNIC alternative root servers to /etc/default/dnscrypt-proxy.

* Fri Dec 13 10:54:42 2013 +0100

    Add OpenNIC alternative root servers to /etc/default/dnscrypt-proxy.

Merge: c3942f2 e607279
* Thu Dec 12 20:58:13 2013 -0800

    Merge pull request #47 from pataquets/patch-2
    
    Add OpenNIC alternative DNS servers

* Fri Dec 13 03:12:40 2013 +0100

    Add OpenNIC alternative DNS servers

* Wed Dec 11 22:45:32 2013 -0800

    Fix hostip default -r arg

* Sat Dec 7 21:56:29 2013 -0800

    Update libevent ChangeLog

* Mon Nov 18 15:00:10 2013 -0800

    Target iOS 7.1

* Sun Nov 17 21:10:31 2013 -0800

    Remove unmaintained packages

Merge: 2b48929 f0a155d
* Tue Nov 5 23:24:36 2013 -0800

    Merge pull request #39 from Shnatsel/master
    
    Add Debian/Ubuntu packaging

Merge: 5535ff7 567c700
* Mon Nov 4 22:15:23 2013 -0800

    Merge branch 'master' of github.com:jedisct1/dnscrypt-proxy
    
    * 'master' of github.com:jedisct1/dnscrypt-proxy:
      Gentoo ebuild: Backport patch to fix always compiling plugins
      Bump libsodium Gentoo ebuild to version 0.4.5
      Update Gentoo ebuilds to use autotools-utils
      Add masters attribute to Gentoo overlay layout.conf

* Mon Nov 4 22:15:06 2013 -0800

    libevent: Avoid redundant invocations of init_extension_functions for IOCP

* Sun Nov 3 19:14:58 2013 +0400

    Added Debian/Ubuntu packaging

Merge: 34034ca c71e1e4
* Fri Nov 1 09:16:05 2013 -0700

    Merge pull request #38 from Strayer/gentoo-ebuild-fixes
    
    Gentoo ebuild fixes

* Thu Oct 31 21:31:04 2013 +0100

    Gentoo ebuild: Backport patch to fix always compiling plugins

* Wed Oct 30 21:26:01 2013 +0100

    Bump libsodium Gentoo ebuild to version 0.4.5

* Tue Oct 29 23:24:56 2013 +0100

    Update Gentoo ebuilds to use autotools-utils

* Tue Oct 29 23:20:59 2013 +0100

    Add masters attribute to Gentoo overlay layout.conf

Merge: 659f6cf 3bc5106
* Fri Nov 1 00:57:34 2013 -0700

    Merge pull request #37 from Strayer/fix-autotools-configure-arguments
    
    Handle --disable-plugins* correctly in configure.ac

* Thu Oct 31 21:06:11 2013 +0100

    Handle --disable-plugins* correctly in configure.ac

* Sun Oct 27 12:56:52 2013 -0700

    port 2053 for the new Polish server

* Sun Oct 27 12:50:16 2013 -0700

    Add the new DNSCrypt service in Poland

Merge: cfd5184 13e171f
* Fri Oct 25 19:35:00 2013 -0700

    Merge remote-tracking branch 'Shnatsel/master'
    
    * Shnatsel/master:
      bump AppArmor profile modification date
      Improve AppArmor profile:  - Use @{multiarch} tunable instead of *-linux-gnu* - they are the same on my system, but using the global tunable is more robust/portable  - Drop block_suspend capability because it requires Linux >= 3.5 and does not seem to be needed (as of my testing)  - Allow access to libpthread and librt, extensive testing indicates it is sometimes needed (libsodium multithreading?)  - Allow access to libsodium if it's installed in the system default path with multiarch support instead of just /usr/lib/ and /usr/local/lib

* Fri Oct 25 19:34:14 2013 +0400

    bump AppArmor profile modification date

* Fri Oct 25 19:30:18 2013 +0400

    Improve AppArmor profile:
     - Use @{multiarch} tunable instead of *-linux-gnu* - they are the same on my system, but using the global tunable is more robust/portable
     - Drop block_suspend capability because it requires Linux >= 3.5 and does not seem to be needed (as of my testing)
     - Allow access to libpthread and librt, extensive testing indicates it is sometimes needed (libsodium multithreading?)
     - Allow access to libsodium if it's installed in the system default path with multiarch support instead of just /usr/lib/ and /usr/local/lib

* Tue Oct 22 13:06:06 2013 -0700

    Update ChangeLog

* Tue Oct 22 13:05:32 2013 -0700

    Check for arc4random_addrandom() presence - Needed for OpenBSD-current.

* Tue Oct 22 13:05:11 2013 -0700

    Update man page date

* Mon Oct 14 15:29:13 2013 -0700

    Update hostip man page

* Mon Oct 14 15:22:25 2013 -0700

    Use 8.8.8.8 by default in hostip.

* Fri Oct 11 09:11:36 2013 -0700

    Ditch ldns-forward-after-nxdomain plugin.

* Fri Oct 11 09:22:21 2013 -0700

    Security: Never expose a private key in the process command-line args
    This was here as an alternative to using an environment variable only because
    the closed-source opendns user interface was (and probably still is) using
    that.

* Wed Oct 9 21:47:43 2013 -0700

    Disable dns test cases in regress_main

* Wed Oct 9 21:07:06 2013 -0700

    libevent: regress_dns needs a very specific DNS setup to pass. Disable it.

* Sun Oct 6 18:27:39 2013 -0700

    Fix provider name for OpenDNS

* Tue Sep 24 13:41:52 2013 -0700

    Check for inline vs __inline

* Mon Sep 23 15:50:00 2013 -0700

    Add DNSCrypt.eu

* Wed Sep 18 00:50:48 2013 -0700

    No logs

* Wed Sep 18 00:48:43 2013 -0700

    New public resolver in Japan, part of OpenNIC

* Tue Sep 17 20:02:34 2013 -0700

    Version bump

* Tue Sep 17 19:46:50 2013 -0700

    set-client-ip.c plugin: accept non-hex IP strings

* Tue Sep 17 18:35:56 2013 -0700

    Update winclient description

* Sun Sep 15 14:27:47 2013 -0700

    Update README-WINDOWS to mention .DLL files.

* Sun Sep 15 14:13:38 2013 -0700

    Don't compress executables by default, because of stupid antiviruses.

* Sun Sep 15 14:12:48 2013 -0700

    Change the package structure for Windows users

* Sun Sep 15 13:55:29 2013 -0700

    Put sbin and bin in the same basket on win32

* Sun Sep 15 13:46:13 2013 -0700

    msys: actually honor prefix

* Sun Sep 15 13:45:00 2013 -0700

    msys: remove --disable-ssp

* Sun Sep 15 13:43:51 2013 -0700

    msys.sh: install in $(pwd)/dnscrypt-proxy-win32

* Sun Sep 15 13:39:49 2013 -0700

    Update Win32 instructions. libsodium DLL is now shipped separately.

* Sun Sep 15 12:58:36 2013 -0700

    Move autoconf sync with libsodium

* Sun Sep 15 12:52:08 2013 -0700

    Move PROBES_SOURCE substitution

* Sun Sep 15 12:50:55 2013 -0700

    Sync some autoconf switches with libsodium's

* Sun Sep 15 12:44:18 2013 -0700

    Remove unused blocking-random autoconf switch

* Sun Sep 15 12:43:30 2013 -0700

    PIE is on by default, so document --disable-pie, not --enable-pie

* Sun Sep 15 12:17:20 2013 -0700

    Remove links to the OSX and Cydia packages.
    The OSX GUI ships with an old proxy, the Cydia package is dead old as well.

* Fri Sep 13 22:08:25 2013 -0700

    Ping timeout from Noxwizard, temporarily change dnscrypt-winclient URL

* Tue Sep 10 21:59:13 2013 -0700

    libevent: Avoid racy bufferevent activation
    
        The evhttp_send_reply method invokes evhttp_write_buffer with a
        callback that may release the underlying request object and
        bufferevent upon completion. This cleanup callback is invoked by the
        underlying bufferevent's write callback. Improperly enabling write
        events before referencing the bufferevent could lead to use after free
        and memory corruption.
    
    diff --git a/http.c b/http.c
    index 9b96ffb..377597e 100644
    --- a/http.c
    +++ b/http.c
    @@ -383,8 +383,6 @@ evhttp_write_buffer(struct evhttp_connection *evcon,
            evcon->cb = cb;
            evcon->cb_arg = arg;
    
    -       bufferevent_enable(evcon->bufev, EV_WRITE);
    -
            /* Disable the read callback: we don't actually care about data;
             * we only care about close detection.  (We don't disable reading,
             * since we *do* want to learn about any close events.) */
    @@ -393,6 +391,8 @@ evhttp_write_buffer(struct evhttp_connection *evcon,
                evhttp_write_cb,
                evhttp_error_cb,
                evcon);
    +
    +       bufferevent_enable(evcon->bufev, EV_WRITE);
     }
    
     static void

* Mon Sep 9 22:51:42 2013 -0700

    Disable PIE on MingW

* Wed Sep 4 00:17:30 2013 -0700

    Bump Android SDK version

* Mon Aug 26 23:37:36 2013 -0700

    Require at least autoconf 2.65

* Mon Aug 26 23:31:19 2013 -0700

    Explain that on CentOS/Fedora, ld.so.conf doesn't include /usr/local/lib

* Sun Aug 18 14:31:58 2013 -0600

    Update the version number in the file checking example

* Sun Aug 18 14:20:33 2013 -0600

    Update CloudNS resolvers

Merge: 48726db d071cfb
* Wed Aug 14 08:10:27 2013 -0700

    Merge pull request #17 from Strayer/gentoo-fix-ebuilds
    
    Fix Gentoo ebuilds

* Wed Aug 14 16:25:08 2013 +0200

    Added dnscrypt-proxy-1.3.3.ebuild
    
    - bumped dnscrypt-proxy to 1.3.3
    - fixed wrong digests in Manifest
    - removed old ebuilds which don't have official packages anymore

* Wed Aug 14 16:20:29 2013 +0200

    Fixed libsodium-0.4.2.ebuild
    
    - src_configure() missed econf
    - path of ChangeLog was wrong

* Tue Aug 13 20:39:50 2013 -0700

    Regen man pages

* Tue Aug 13 20:38:03 2013 -0700

    update ChangeLog

* Tue Aug 13 20:24:25 2013 -0700

    Get back to 512 bytes for DNS_MAX_PACKET_SIZE_UDP_NO_EDNS_SEND

* Tue Aug 13 20:22:42 2013 -0700

    Fix tests: apprently, www.opendns.com IPv6 address changed.

* Tue Aug 13 07:30:20 2013 -0700

    Update ChangeLog

* Mon Aug 12 22:38:54 2013 -0700

    Gradually increase the supported payload size.

* Mon Aug 12 20:55:07 2013 -0700

    Rename DNS_MAX_PACKET_SIZE_UDP_SEND to DNS_MAX_PACKET_SIZE_UDP_NO_EDNS_SEND

* Mon Aug 12 19:47:25 2013 -0700

    Update ChangeLog

* Mon Aug 12 19:44:06 2013 -0700

    Version bump

* Mon Aug 12 19:43:18 2013 -0700

    Explain that upgrading to 1.3.3 is highly recommended, and why.

* Mon Aug 12 19:29:47 2013 -0700

    Update NEWS

* Mon Aug 12 19:23:35 2013 -0700

    Force questions to be as big as the response can be.

* Wed Aug 7 00:31:21 2013 -0700

    Link to dnscrypt.
    Not to old GUIs.

Merge: 7aba22f 9a1e8ba
* Wed Aug 7 00:29:19 2013 -0700

    Merge pull request #15 from Teknocrat/master
    
    Add Gentoo Ebuilds for Libsodium dependency and new dnscrypt-proxy

* Mon Jul 29 23:14:47 2013 -0500

    1. Remove random blocking
    2. make default daemon use correct port number (53)

* Mon Jul 29 19:24:57 2013 -0500

    As per comments, removed ldflags autoconf should do this.. added use
    flag for plugins, left random.. need to check with @strayer on that
    one..

* Mon Jul 29 03:31:30 2013 -0500

    Oops, new files needed for dnscrypt-proxy ebuild and new libsodium
    ebuild

* Mon Jul 29 03:28:13 2013 -0500

    Added new ebuilds for dnscrypt-proxy 1.3.2 bump
    as well as libsodium dependency

* Sun Jul 21 11:55:36 2013 -0700

    Merge important fixes to levent
    
    * Sat Jul 20 14:02:49 2013 -0700
    
        libevent/win32_dealloc() : fix sizeof(pointer) vs sizeof(*pointer)
    
    * Mon Jun 10 10:38:12 2013 -0400
    
        Document that arc4random is not a great cryptographic PRNG.
    
    * Mon Jun 10 10:33:56 2013 -0400
    
        When we seed from /proc/sys/kernel/random/uuid, count it as success
    
        Found by Joseph Spadavecchia
    
    * Sat May 11 03:53:11 2013 +0400
    
        Fix SEGFAULT after evdns_base_resume if no nameservers installed.
    
        If there is no nameservers installed, using
        evdns_base_nameserver_ip_add(), than evdns_base_resume() will SEGFAULT,
        because of NULL dereference in evdns_requests_pump_waiting_queue()
    
        Conflicts:
            evdns.c
    
    * Wed May 29 13:30:56 2013 -0400
    
        Use windows vsnprintf fixup logic on all windows environments
    
        Previously I'd relied on mingw to provide a vsnprintf with a
        conformant return value.  But it appears that some mingw
        environments don't do that.
    
    * Mon May 6 18:15:03 2013 +0400
    
        Checking request nameserver for NULL, before using it.

* Sun Jul 21 09:56:37 2013 -0700

    + CloudNS

* Sat Jul 20 18:14:12 2013 -0700

    Enable subdir-objects

* Sat Jul 20 15:45:12 2013 -0700

    Update ChangeLog

* Sat Jul 20 13:58:58 2013 -0700

    ldns.h requires ws2tcpip.h on Windows

* Sat Jul 20 12:39:03 2013 -0700

    libevent/win32_dealloc() : fix sizeof(pointer) vs sizeof(*pointer)

* Fri Jul 19 12:58:11 2013 -0700

    Unfuck Windows build: MingW doesn't even seem to provide _gmtime_s()

* Fri Jul 19 12:56:00 2013 -0700

    Target iOS 7

* Fri Jul 19 12:17:58 2013 -0700

    Parallel compilation is unreliable on msys

* Fri Jul 19 09:59:41 2013 -0700

    Bump version

* Fri Jul 19 09:52:25 2013 -0700

    Update NEWS

* Fri Jul 19 09:41:15 2013 -0700

    Update ChangeLog

* Fri Jul 19 09:37:02 2013 -0700

    rules->profile

* Fri Jul 19 09:36:41 2013 -0700

    Ship the AppArmor profile

Merge: e70029a aa5411d
* Sat Jul 6 19:07:57 2013 -0700

    Merge pull request #11 from insanitybit/master
    
    xApparmor profile for DNSCrypt

* Sat Jul 6 20:08:10 2013 -0400

    Apparmor profile for DNSCrypt
    
    On systems that support apparmor this file can be dropped into /etc/apparmor.d/apparmor.profile.dnscrypt-proxy
    
    On reboot it should be active. aa-status to confirm,
    aa-enforce /etc/apparmor.d/apparmor.profile.dnscrypt-proxy
    if it doesn't enforce after reboot.

* Tue Jun 25 14:25:16 2013 -0700

    reword

* Tue Jun 25 14:24:30 2013 -0700

    Fix --test=

* Tue Jun 25 14:24:00 2013 -0700

    -t can now be used to specify a safety margin

* Mon Jun 24 16:29:00 2013 -0700

    Don't bind anything in test mode.

* Mon Jun 24 16:16:39 2013 -0700

    Add --test

* Mon Jun 24 14:54:27 2013 -0700

    Print the chosen cert validity period.

* Mon Jun 24 13:48:36 2013 -0700

    Update TECHNOTES

* Sun Jun 23 23:33:33 2013 -0700

    Explain how to check file integrity.

* Sat Jun 22 21:38:21 2013 -0700

    Fix typo

* Sat Jun 22 21:36:46 2013 -0700

    Sync Homebrew formula

* Sun Jun 9 22:42:09 2013 -0700

    Check that the list of supported protocol versions the client
    advertises is actually supported.
    The current proxy only supports version 2.

* Sun Jun 9 19:10:01 2013 -0700

    Use only portable implementations on iOS.

* Sun Jun 9 12:45:06 2013 -0700

    Update ChangeLog

* Sun Jun 9 12:27:56 2013 -0700

    Don't print "initializing for optimal performance" if we don't.

* Sun Jun 9 12:19:27 2013 -0700

    Add USE_ONLY_PORTABLE_IMPLEMENTATIONS

* Sun Jun 9 12:19:06 2013 -0700

    Disable PIE for Android builds.

* Sun Jun 9 10:50:54 2013 -0700

    Add mipsel-linux-static.sh to the distributed build scripts

* Sat Jun 8 22:55:51 2013 -0700

    Rename iPhone target to iOS, because it works fine on iPad and iPod, too.

* Sat Jun 8 22:54:33 2013 -0700

    Update iOS build script

* Fri Jun 7 23:25:16 2013 -0700

    Update Android build script to pick libsodium

Merge: 64c8ed6 96e8e19
* Thu Jun 6 23:07:21 2013 -0700

    Merge pull request #9 from Cofyc/master
    
    Clean libsodium submodule entry.

* Fri Jun 7 13:46:01 2013 +0800

    Remove .gitmodules (libsodium is not a submodule now).

* Wed Jun 5 20:56:13 2013 -0700

    Unfortunately, dtrace for Linux is still experimental to say the least.

* Wed Jun 5 16:45:49 2013 -0700

    Check for dtrace in /usr/local/sbin and /usr/sbin just in case these are
    not in $PATH, and enable dtrace on Linux, too.

* Mon Jun 3 12:41:53 2013 -0700

    `make -j2 check` in the `src/libsodium` is not required any more.
    Thanks to binaryparadox for spotting this.

* Fri May 31 09:41:01 2013 -0700

    Optimized implementations are available.

* Fri May 31 01:05:24 2013 -0700

    dist-build/osx.sh now produces an universal binary

* Fri May 31 00:04:47 2013 -0700

    Pass compilation environment variables to libevent's autoconf script
    through ac_configure_args in order to unfuck compilation on FreeBSD
    when CFLAGS have been set prior to compilation.

* Thu May 30 16:48:51 2013 -0700

    Statically linking libsodium with -static -Bdynamic is not portable. Screw it.

Merge: f654fc3 13c082d
* Thu May 30 14:01:03 2013 -0700

    Merge branch 'ext-sodium'
    
    * ext-sodium:
      Statically link libsodium for now
      Update .travis.yml to compile and install libsodium

* Thu May 30 14:00:42 2013 -0700

    Statically link libsodium for now

* Thu May 30 12:15:35 2013 -0700

    The Windows GUI by OpenDNS looks even more abandoned than other GUIs.

* Thu May 30 12:15:02 2013 -0700

    All the currently available GUIs only work with OpenDNS :(

* Thu May 30 09:38:39 2013 -0700

    Update .travis.yml to compile and install libsodium

* Sun May 26 00:17:52 2013 -0700

    Mention that libsodium is now required

* Sun May 26 00:15:33 2013 -0700

    Remove built-in libsodium

* Thu May 23 00:42:00 2013 -0700

    Sync libsodium

Merge: 41c52ff faa5cf7
* Thu May 16 14:03:07 2013 -0700

    Merge pull request #4 from Strayer/gentoo_ebuild_v1.3.0
    
    Gentoo ebuild v1.3.0

* Thu May 16 11:16:54 2013 -0700

    Check for ldns presence using ldns_wire2pkt(), not something that requires SSL.

* Thu May 16 19:19:26 2013 +0200

    Bumped Gentoo ebuild to 1.3.0

* Thu May 16 19:18:13 2013 +0200

    Fixed gentoo ebuild package links

* Sat May 11 21:32:11 2013 -0700

    Display an info message before calling crypto_init().

* Sat May 11 11:23:52 2013 -0700

    Export CC, LD, etc. for linux/mips/uclibc.

* Sat May 11 11:20:12 2013 -0700

    Add a compilation script to build a static Linux/Mips binary
    Which means no plugins, though. And this is sad.

* Sat May 11 11:04:41 2013 -0700

    Move sodium_init() call after reading the options.

* Sat May 11 09:59:43 2013 -0700

    No need to define CROSS_COMPILING any more. Twas for the libuv/nacl days.

* Sat May 4 13:48:39 2013 -0700

    Link external libsodium if installed.

* Thu May 2 00:17:41 2013 -0700

    Sodium doc update

* Sun Apr 28 09:57:55 2013 -0700

    Sync libsodium, for fenv.h checks

* Sat Apr 27 17:15:11 2013 -0700

    Sodium 0.4.1 final

* Sat Apr 27 13:16:55 2013 -0700

    Wipe OPENDNS_DEVICE_ID environment variable.

* Sat Apr 27 13:10:45 2013 -0700

    Do not recommend supplying the secret on the command-line ever.
    At least, use OPENDNS_DEVICE_ID for that.

* Sat Apr 27 11:47:16 2013 -0700

    Sodium up

* Sat Apr 27 11:15:45 2013 -0700

    Bump Android API to Gingerbread (because... seriously...)
    But downgrade the toolchain to 4.3.3 (or else it blows up, at least on OSX)

* Sat Apr 27 10:33:35 2013 -0700

    Sodium update

* Sat Apr 27 09:26:06 2013 -0700

    Don't ignore *.s

* Thu Apr 25 23:39:12 2013 -0700

    Move build status up

* Thu Apr 25 23:38:14 2013 -0700

    Add build status

* Thu Apr 25 23:32:59 2013 -0700

    Let Travis build dnscrypt with plugins support

* Thu Apr 25 23:26:25 2013 -0700

    -Wbounded is nice, but clang reports the same thing nowadays.

* Thu Apr 25 23:07:21 2013 -0700

    Add before_script for Travis

* Thu Apr 25 22:57:29 2013 -0700

    Bump Android NDK version

* Thu Apr 25 22:53:40 2013 -0700

    Sodium update

* Thu Apr 25 14:45:52 2013 -0700

    Switch to the read-only reference to libsodium

* Wed Apr 24 20:45:45 2013 -0700

    Sync

* Wed Apr 24 20:41:25 2013 -0700

    Import .travis.yml

* Wed Apr 24 13:52:57 2013 -0700

    Ship Sodium 0.4

* Wed Apr 24 08:49:20 2013 -0700

    Sodium update

* Tue Apr 23 20:51:27 2013 -0700

    Use sodium_memcmp() instead of a private version.

* Mon Apr 22 13:24:54 2013 -0700

    Sync libsodium

* Mon Apr 22 13:24:43 2013 -0700

    Disable ssp by default on MingW

* Mon Apr 22 13:01:58 2013 -0700

    Update NEWS & ChangeLog

* Mon Apr 22 11:25:15 2013 -0700

    Sync sodium

* Mon Apr 22 10:37:18 2013 -0700

    Sodium update

* Fri Apr 19 16:09:46 2013 +0200

    Sync libsodium. Now with curve25519_donna_c64

* Fri Apr 19 14:26:17 2013 +0200

    sodium_shutdown() is gone

* Fri Apr 19 11:24:21 2013 +0200

    Add missing #include <stdint.h> for SIZE_MAX

* Thu Apr 18 19:16:23 2013 +0200

    sodium_init() doesn't accept options any more.

* Thu Apr 18 15:39:02 2013 +0200

    Sync libsodium

* Thu Apr 18 14:32:03 2013 +0200

    Remove a useless function call

* Thu Apr 18 14:30:02 2013 +0200

    Call sodium_init() / sodium_shutdown()

* Thu Apr 18 13:58:31 2013 +0200

    Just use randombytes_salsa20_implementation

* Thu Apr 18 11:07:20 2013 +0200

    Pass the entire ac_config_args content to other autoconf scripts

* Wed Apr 17 21:46:12 2013 +0200

    Use Android toolchain 4.6

* Wed Apr 17 09:00:08 2013 +0200

    Save a line

* Wed Apr 17 08:57:51 2013 +0200

    Add a new --loglevel option to change the log verbosity.

* Wed Apr 17 08:44:16 2013 +0200

    Update libsodium

* Wed Apr 17 08:33:10 2013 +0200

    Redefine log levels for Win32

* Fri Apr 12 08:24:29 2013 +0200

    github.com -> github.io

* Tue Apr 2 20:20:09 2013 -0700

    Sync libsodium

* Tue Apr 2 20:19:11 2013 -0700

    Pass a few extra autoconf options form the main autoconf script to libsodium's

* Sun Mar 31 13:40:25 2013 -0700

    Typo

* Mon Mar 25 11:59:11 2013 -0700

    Update ChangeLog

* Mon Mar 25 11:58:36 2013 -0700

    Yay for better performance

* Mon Mar 25 11:51:07 2013 -0700

    Sync libsodium, with the ref10 implementation of ed25519

* Mon Mar 18 23:32:44 2013 -0700

    sync libsodium

* Mon Mar 18 21:52:08 2013 -0700

    Farewell, dnscrypt_memzero(). Sodium provides sodium_memzero() to do that.

* Sun Mar 17 16:08:33 2013 -0700

    Add libsodium as a submodule

* Sun Mar 17 16:08:01 2013 -0700

    Remove libsodium copy

* Sun Mar 17 16:00:40 2013 -0700

    Sync libsodium

* Sun Mar 17 15:55:27 2013 -0700

    Add test-script.sh

* Sun Mar 17 13:11:42 2013 -0700

    Resurrect example-ldns-opendns-set-client-ip, it's very useful for support

* Mon Mar 11 22:27:37 2013 -0700

    Remove -fcatch-undefined-c99-behavior, will be replaced by -fsanitize=integer

* Fri Mar 8 09:07:36 2013 -0800

    Define HAVE_* and CROSS_COMPILING to 1 instead of just defining them.

* Fri Mar 1 15:47:57 2013 -0800

    Fix include path to libsodium

* Fri Mar 1 14:11:39 2013 -0800

    Bump fpm package version

* Tue Feb 19 13:38:37 2013 -0800

    libevent update to b618204216235d5998080c659c8ad53185fdf206

* Fri Feb 8 01:26:47 2013 -0800

    Back to a stable Xcode version

* Fri Feb 8 01:24:15 2013 -0800

    Update Android NDK to r8d

* Fri Feb 8 01:12:38 2013 -0800

    Update NEWS

* Fri Feb 8 01:09:08 2013 -0800

    Update .gitignore

* Fri Feb 8 01:07:07 2013 -0800

    Update ChangeLog

* Fri Feb 8 01:06:07 2013 -0800

    Rename libevent to libevent-modified to avoid confusion.
    Our version of libevent ships with some changes required for dnscrypt-proxy to
    work. These will eventually be submitted upstream after libevent 2.1 gets
    released.

* Mon Feb 4 23:50:00 2013 -0800

    libsodium already provides crypto_box_MACBYTES

* Mon Feb 4 23:46:17 2013 -0800

    Next will be 1.3.0.

* Mon Feb 4 23:41:49 2013 -0800

    Switch to libsodium.

* Mon Feb 4 14:42:17 2013 -0800

    Paranoia

* Mon Jan 28 14:14:46 2013 -0800

    Update ChangeLog

* Mon Jan 28 14:10:26 2013 -0800

    autoconf 2.68 broke $(top_srcdir) for tests

* Mon Jan 28 14:03:46 2013 -0800

    AM_CONFIG_HEADER -> AC_CONFIG_HEADER

* Mon Jan 28 13:58:42 2013 -0800

    Update ChangeLog

* Mon Jan 28 13:57:35 2013 -0800

    Update iphone.sh

* Mon Jan 28 13:57:21 2013 -0800

    libevent c322c2077e2d16f64ed3a90f74ad714842600624

* Mon Jan 21 20:50:20 2013 -0800

    Add -Wsometimes-uninitialized

* Mon Jan 21 19:23:40 2013 -0800

    Check for HAVE_SECUREZEROMEMORY at compile-time.

* Mon Jan 21 11:54:19 2013 -0800

    Use SecureZeroMemory() on Windows

* Sun Jan 20 10:05:27 2013 -0800

    Update ChangeLog

* Sun Jan 20 09:51:46 2013 -0800

    Update URL. Github downloads are no more.

* Sat Jan 19 16:45:49 2013 -0800

    Remove cpp wrappers

* Sat Jan 19 16:41:39 2013 -0800

    Drop PROTOTYPES.cpp

* Sun Jan 6 21:49:09 2013 -0800

    Fix markdown link

* Sun Jan 6 21:47:35 2013 -0800

    Add a link to the home page

* Sun Jan 6 21:43:49 2013 -0800

    Mention dnscrypt-wrapper

* Sun Jan 6 21:40:52 2013 -0800

    Next version will be 1.2.1, I suppose.

* Sun Jan 6 21:38:39 2013 -0800

    Use size_t for TXT total size, remove extra parenthesis.

Merge: 0b31df8 3dc4690
* Sun Jan 6 21:29:40 2013 -0800

    Support merging txt strings into one.
    Some dns managers split long binary data into more than one strings
    (e.g. linode.com)
    Merge remote-tracking branch 'cofyc/merge_txts'
    By Yecheng Fu

* Sun Jan 6 20:47:51 2013 -0800

    Update OSX client link.

* Wed Jan 2 08:56:29 2013 -0800

    levent: configure.in files have been deprecated for a while. Rename.

* Wed Jan 2 08:50:03 2013 -0800

    A global COPYING file is enough

* Tue Jan 1 00:37:41 2013 -0800

    2013

* Sat Dec 22 17:14:04 2012 -0800

    levent: Avoid double-close on getsockname error in evutil_ersatz_socketpair
    Avoid leaking fds on evconnlistener with no callback set

* Fri Dec 7 08:31:02 2012 -0800

    levent - Fix compilation with WIN32_HAVE_CONDITION_VARIABLES enabled.

* Thu Nov 22 02:34:32 2012 +0800

    improve: support merging txt strings into one
    some dns manager split long binary data into more than one strings (e.g. linode.com)

* Mon Nov 19 09:10:24 2012 -0800

    Update libevent to 2.0.21-stable-dev.

* Thu Nov 15 22:15:32 2012 -0800

    Sync libevent2 - fix OpenSSL renegotiation test with old OpenSSL version.

Merge: c128bd9 ce9b890
* Tue Nov 13 14:17:21 2012 -0800

    Merge remote-tracking branch 'origin/master'
    
    * origin/master:
      Added profile/repo_name so the packages/gentoo folder can be used as a portage overlay
      Updated Gentoo ebuild for v1.2.0

Merge: 20e9dd1 57e0296
* Tue Nov 13 14:12:12 2012 -0800

    Merge pull request #38 from Strayer/gentoo_ebuild_v1.2.0
    
    Bumped Gentoo ebuild to v1.2.0

* Tue Nov 13 22:31:20 2012 +0100

    Added profile/repo_name so the packages/gentoo folder can be used as a portage overlay

* Tue Nov 13 21:33:10 2012 +0100

    Updated Gentoo ebuild for v1.2.0
    
    - updated conf and init script according to parameter changes in v1.1.0

* Sat Nov 3 12:46:52 2012 -0700

    Add a build script for 32-bit versions of OSX binaries.

* Sat Nov 3 10:34:07 2012 -0700

    levent updates, so that 64-bit versions for Windows can be built.

Merge: 23eaeeb 9f7c132
* Sun Oct 28 10:11:45 2012 -0700

    Merge remote-tracking branch 'marguerite/master'
    
    * marguerite/master:
      fix a hang-on-boot bug in systemd. update opensuse license

* Sun Oct 28 09:56:20 2012 -0700

    libevent2 updates.

* Wed Oct 24 01:01:15 2012 +0800

    fix a hang-on-boot bug in systemd. update opensuse license

* Sun Oct 21 22:21:21 2012 -0700

    Add Marguerite Su to the THANKS file.

* Sun Oct 21 22:17:20 2012 -0700

    Take the systemd service definition off the root directory.

* Sun Oct 21 22:16:56 2012 -0700

    Minor tweaks to the OpenSuSE description.

Merge: f0b3120 857f0cc
* Sun Oct 21 22:05:41 2012 -0700

    Merge pull request #36 from marguerite/master
    
    add opensuse package, and systemd service for dnscrypt

* Mon Oct 22 12:59:47 2012 +0800

    add opensuse pacages, systemd servce

* Fri Oct 19 16:35:07 2012 -0700

    The OSX GUI is mainly a collection of shell scripts, nowadays.

* Wed Oct 17 22:54:28 2012 -0700

    Insame => insane

* Sat Oct 13 22:13:25 2012 -0700

    Remove OpenBSD port, since it is now in the official ports tree.

* Fri Oct 12 08:29:42 2012 -0700

    Change the blurb to something closer to the awesome summary by sthen@

* Thu Oct 11 18:39:41 2012 -0700

    Update the Homebrew formula to 1.2.0

* Thu Oct 11 18:31:12 2012 -0700

    Update the OpenBSD package to 1.2.0

* Thu Oct 11 10:12:04 2012 -0700

    Mention that DCP_SYNC_FILTER_RESULT_DIRECT is only for a pre-filter.

* Thu Oct 11 08:23:37 2012 -0700

    Update ChangeLog

* Wed Oct 10 22:33:49 2012 -0700

    Set the RA flag in direct responses.

* Wed Oct 10 21:53:00 2012 -0700

    Set the QR bit when sending an empty AAAA reply.

* Wed Oct 10 21:49:25 2012 -0700

    Log short UDP replies

* Wed Oct 10 13:28:26 2012 -0700

    Group Windows changes together.

* Wed Oct 10 13:27:37 2012 -0700

    Whitespace.

* Wed Oct 10 13:26:55 2012 -0700

    Update link

* Wed Oct 10 13:25:55 2012 -0700

    1.2.0

* Wed Oct 10 13:22:28 2012 -0700

    Document that gcc 3.4.6 with a Mips target produces broken code with -Os

* Wed Oct 10 13:14:03 2012 -0700

    Add missing return statement in the ldns-blocking example.

* Wed Oct 10 12:19:19 2012 -0700

    Update NEWS/ChangeLog

* Wed Oct 10 12:15:13 2012 -0700

    The plugin API has changed, 1.1.1 sounds weird, so let's go 1.2.0.

* Wed Oct 10 11:51:24 2012 -0700

    Add a new plugin to return an empty response to AAAA queries.

* Tue Oct 9 23:12:41 2012 -0700

    Update ChangeLog

* Tue Oct 9 23:12:06 2012 -0700

    Document the new DIRECT return code for pre-filters.

* Tue Oct 9 23:06:08 2012 -0700

    Well, not all plugins have been removed.

* Tue Oct 9 22:58:09 2012 -0700

    Document the direct mode.

* Tue Oct 9 22:55:11 2012 -0700

    Implement direct mode for TCP.

* Tue Oct 9 22:42:07 2012 -0700

    Start sending direct replies.

* Tue Oct 9 17:54:35 2012 -0700

    Prepare proxy code for DCP_SYNC_FILTER_RESULT_DIRECT

* Tue Oct 9 17:37:25 2012 -0700

    Bump API version minor.

* Tue Oct 9 17:36:39 2012 -0700

    Prepare for DCP_SYNC_FILTER_RESULT_DIRECT.

* Tue Oct 9 17:11:26 2012 -0700

    Indent

* Tue Oct 9 16:51:56 2012 -0700

    Include Windows quirks in NaCl test, too.

* Tue Oct 9 13:47:59 2012 -0700

    Spaces, blah.

Merge: de7bb89 854e2c9
* Tue Oct 9 13:45:48 2012 -0700

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      Detect things like C:/x/y and C:\x\y as absolute paths to Windows plugins.

* Tue Oct 9 10:28:18 2012 -0700

    Resurect the deviceid plugin, as OpenDNS folks really need it.

* Tue Oct 9 10:28:18 2012 -0700

    Detect things like C:/x/y and C:\x\y as absolute paths to Windows plugins.

* Tue Oct 9 07:54:48 2012 -0700

    Revert "ldns requires socklen_t but Win32 doesn't have it."
    This has been fixed in ldns 1.6.14.

* Mon Oct 8 23:53:19 2012 -0700

    Update URL

* Mon Oct 8 23:51:40 2012 -0700

    Missing "the".

* Mon Oct 8 23:43:28 2012 -0700

    Check ldns_resolver_new_frm_file() return code.

* Mon Oct 8 23:42:54 2012 -0700

    If a new release ever sees the light, it will be 1.1.1.

* Mon Oct 8 23:29:45 2012 -0700

    Update ChangeLog

* Mon Oct 8 23:29:28 2012 -0700

    Update NEWS

* Mon Oct 8 23:28:56 2012 -0700

    Update URL.

* Mon Oct 8 23:18:47 2012 -0700

    Off-topic, but document how to compile ldns on Windows.

* Mon Oct 8 21:41:49 2012 -0700

    ldns requires socklen_t but Win32 doesn't have it.
    So, define it on Win32.

* Sat Oct 6 09:54:22 2012 -0700

    Remove OpenDNS-related plugins.

* Sat Oct 6 09:36:02 2012 -0700

    Remove some sample plugins.

* Fri Oct 5 10:34:35 2012 -0700

    Remove UDP_REQUEST_NO_RETRIES. Always support retries.

* Wed Oct 3 21:27:23 2012 -0700

    Enforce a 2 second timeout.

* Wed Oct 3 16:50:20 2012 -0700

    forward-after-nxdomain: allow 1 extra byte for the response if needed.

* Wed Oct 3 16:05:45 2012 -0700

    Initial forward-after-nxdomain plugin implementation.

* Tue Oct 2 20:24:38 2012 -0700

    Update ChangeLog

* Sat Sep 29 22:38:06 2012 +0200

    Thanks, RotBlitz

* Sat Sep 29 22:25:01 2012 +0200

    People are still running dnscrypt on old CPUs. Compile for Pentium 2 on Windows.

* Sat Sep 29 17:05:05 2012 +0200

    Trim down optimization flags for Windows

* Wed Sep 26 11:26:07 2012 +0200

    ChangeLog updates

* Tue Sep 25 21:00:12 2012 +0200

    Stick to PACKAGE_STRING for the version, it's easier to parse.

* Tue Sep 25 19:44:44 2012 +0200

    Remove the FreeBSD package.

* Tue Sep 25 19:35:06 2012 +0200

    Unfuck pkgsrc packages on Dragonfly BSD.

* Tue Sep 25 19:19:44 2012 +0200

    Update the NetBSD / Dragonfly BSD port. Plugin-less for now.

* Tue Sep 25 19:01:15 2012 +0200

    Factorize dependencies

* Tue Sep 25 17:51:25 2012 +0200

    PERMIT_PACKAGES => Yes

* Tue Sep 25 17:48:19 2012 +0200

    Major update to the OpenBSD package. Build plugins as a subpackage.

* Tue Sep 25 16:03:23 2012 +0200

    Improve the Homebrew formula after adamv@ review

* Tue Sep 25 15:35:27 2012 +0200

    Enable plugins in the Linux packages

* Tue Sep 25 15:31:26 2012 +0200

    Update fpm port

* Tue Sep 25 15:17:24 2012 +0200

    Switch from tar-pax to tar-ustar because OpenBSD's tar(1) is confused with
    POSIX archives.

* Tue Sep 25 15:07:55 2012 +0200

    Update the OpenBSD port to 1.1.0

* Tue Sep 25 13:55:34 2012 +0200

    Lion -> Mountain Lion

* Mon Sep 24 23:48:57 2012 +0200

    Allow reading an OpenDNS device id from an environment variable named
    OPENDNS_DEVICE_ID as an alternative to giving it as an argument to the
    opendns_deviceid plugin. This information shouldn't be visible in the
    process name.

* Mon Sep 24 23:03:18 2012 +0200

    Update the Homebrew package.

* Mon Sep 24 22:48:52 2012 +0200

    Use tar-pax because some plugins files names are > 99 chars long.

* Mon Sep 24 19:55:01 2012 +0200

    Don't use brackets in doxygen doc except for headers.

* Mon Sep 24 17:25:18 2012 +0200

    ChangeLog

* Mon Sep 24 17:24:40 2012 +0200

    Enable support for plugins in Windows builds.

* Mon Sep 24 17:20:08 2012 +0200

    Require plugins to mention DCPLUGIN_MAIN(__FILE__);

* Mon Sep 24 15:58:58 2012 +0200

    Update the ChangeLog, again.

* Mon Sep 24 15:56:18 2012 +0200

    Android and iPhone build scripts have been moved.

* Mon Sep 24 15:53:57 2012 +0200

    Update ChangeLog

* Mon Sep 24 15:53:38 2012 +0200

    Mention the example plugins.

* Mon Sep 24 15:28:25 2012 +0200

    Can you seriously expect Windows to implement putc_unlocked()? LOL.

* Mon Sep 24 15:04:32 2012 +0200

    Ensure that assertions are always turned on.

* Mon Sep 24 14:06:55 2012 +0200

    Add missing return statement.

* Mon Sep 24 13:55:07 2012 +0200

    Update the ChangeLog

* Mon Sep 24 13:54:24 2012 +0200

    Spaces vs tabs. Fu fu fu fu fuuuuuuuu

* Mon Sep 24 13:52:31 2012 +0200

    libevent: arc4random_buf() doesn't return a value. Fix ev_arc4random_buf().

* Sun Sep 23 21:49:27 2012 +0200

    logging plugin: display a dot for a query for dot (duh!).

* Sun Sep 23 21:45:48 2012 +0200

    Zap the final dot in a name before doing pattern matching on it.

* Sun Sep 23 21:31:56 2012 +0200

    Don't use ldns wildcard matching, match * everywhere instead.
    People want to filter things like *xxx*, so let them do that.

* Sun Sep 23 18:23:50 2012 +0200

    Init the locale.

* Sat Sep 22 23:14:05 2012 +0200

    example-logging: bump the minimal required length up.

* Sat Sep 22 23:11:46 2012 +0200

    Update the ChangeLog

* Sat Sep 22 23:05:53 2012 +0200

    Add a new plugin that logs queries.

* Sat Sep 22 21:56:09 2012 +0200

    Add WARNING for plugins.

* Sat Sep 22 21:46:56 2012 +0200

    Don't include the full path to a plugin in examples.

* Sat Sep 22 21:43:18 2012 +0200

    Use strcasecmp() in order to caselessly compare IPv6 addresses.

* Sat Sep 22 21:39:09 2012 +0200

    Rewrite the ldns-blocking plugin, so that it can block any name and IP address.
    This plugin can be very useful in order to block ads and buggy replies.

* Wed Sep 19 17:35:51 2012 +0200

    Move build scripts to a dist-build directory, add one for osx.

* Wed Sep 19 15:40:57 2012 +0200

    Update ChangeLog

* Wed Sep 19 15:38:55 2012 +0200

    Plugins can now be loaded from a default directory ($pkglibdir).
    In addition, a new configure flag, --enable-plugins-root, disallows loading
    plugins outside this directory.

* Tue Sep 18 04:05:18 2012 +0200

    README-WINDOWS: ...\dnscrypt-proxy\Parameters is confusing, as "parameters"
    can be understood as a variable. So, add an example.
    Explain how plugins should be specified by the way.

* Tue Sep 18 04:04:58 2012 +0200

    Indentatino :)

* Sun Sep 16 21:16:08 2012 +0200

    A new configure flag, --disable-pie, can disable position-independent executables.
    A bad idea, but required by some OS.

* Thu Sep 13 16:10:41 2012 -0700

    Merge 1.1.0 changelog, since there will probably be no more RC.

* Thu Sep 13 15:53:05 2012 -0700

    Import example-ldns-blocking.c

* Thu Sep 13 13:41:33 2012 -0700

    Update ChangeLog

* Thu Sep 13 13:30:16 2012 -0700

    -fdata-sections -ffunction-sections doesn't seem very useful on Windows

* Thu Sep 13 13:16:22 2012 -0700

    Having new lines in flags is a bad idea.

* Thu Sep 13 13:13:16 2012 -0700

    Import a script to build the proxy on Win32

* Thu Sep 13 12:42:32 2012 -0700

    Silent MingW.

* Thu Sep 13 11:59:51 2012 -0700

    Update ChangeLog

* Thu Sep 13 11:59:28 2012 -0700

    Introduce --enable-relaxed-plugins-permissions

* Thu Sep 13 11:42:07 2012 -0700

    If the proxy is run as root, refuse to load a plugin not owned by root.
    Yes, it's still totally racy, and not super useful, but better than nothing.

* Thu Sep 13 11:31:55 2012 -0700

    Xcode 4.5-GM is just called Xcode

* Thu Sep 13 11:25:34 2012 -0700

    Update ChangeLog

* Thu Sep 13 11:09:11 2012 -0700

    Use Xcode 4.5

* Thu Sep 13 10:52:20 2012 -0700

    Pick up the new name for the blocking plugin

* Thu Sep 13 10:51:33 2012 -0700

    Rename example-ldns example-ldns-blocking

* Thu Sep 13 08:59:19 2012 -0700

    1.1.0-RC1 also fixed lookups of multiple TXT records, and thus
    handling of multiple certificates.

* Thu Sep 13 08:55:41 2012 -0700

    Finally, the plugin API has been kinda documented.

* Thu Sep 13 08:40:25 2012 -0700

    Add a link to the API documentation.

* Thu Sep 13 08:34:46 2012 -0700

    Quote

* Thu Sep 13 08:28:09 2012 -0700

    More doc on plugins

* Thu Sep 13 01:05:31 2012 -0700

    Return REFUSED instead of NXDOMAIN when we get a blacklisted IP in a record of a
    response. It makes more sense, and OpenDNS can return the same IP for different
    reasons, not only NXDOMAIN.

* Wed Sep 12 22:54:35 2012 -0700

    Start documenting plugins

* Wed Sep 12 22:54:20 2012 -0700

    Untab README-WINDOWS

* Wed Sep 12 22:17:42 2012 -0700

    Update NEWS

* Wed Sep 12 21:12:58 2012 -0700

    Update ChangeLog

Merge: f568bce beac641
* Wed Sep 12 20:39:23 2012 -0700

    Merge branch 'master' of https://github.com/jedisct1/dnscrypt-proxy
    
    * 'master' of https://github.com/jedisct1/dnscrypt-proxy:
      In sendto_with_retry(), free()ing the timer beforehand is a good idea but turning that in a different use-after-free is not.
      Initialize dcps at the right place. I'm just totally unable to write a single line of code when I am at the office.
      The sendto_retry timer should be free()d before the callback, or else we end up with a big bad use after free and an even bigger and badder double free.
      Initialize dcps before using it, duh. It used to make virtually any plugin crash before it even had a chance to load on Linux, and on platforms it used to work on, it worked by accident. Reported by @transitorykris, confirmed by Valgrind.

* Wed Sep 12 20:32:07 2012 -0700

    Update ChangeLog

* Wed Sep 12 20:31:35 2012 -0700

    Sync libevent, fix two memory leaks in evdns.

* Wed Sep 12 22:19:42 2012 +0200

    In sendto_with_retry(), free()ing the timer beforehand is a good idea
    but turning that in a different use-after-free is not.

* Wed Sep 12 21:00:32 2012 +0200

    Initialize dcps at the right place. I'm just totally unable to write a
    single line of code when I am at the office.

* Wed Sep 12 20:55:05 2012 +0200

    The sendto_retry timer should be free()d before the callback, or else we
    end up with a big bad use after free and an even bigger and badder
    double free.

* Wed Sep 12 20:29:40 2012 +0200

    Initialize dcps before using it, duh.
    It used to make virtually any plugin crash before it even had a chance
    to load on Linux, and on platforms it used to work on, it worked by
    accident.
    Reported by @transitorykris, confirmed by Valgrind.

* Tue Sep 11 21:36:26 2012 -0700

    The set-client-ip plugin also allows applying network settings when using IPv6

* Tue Sep 11 21:06:51 2012 -0700

    set-client-ip: randomize the fodder

* Tue Sep 11 20:50:58 2012 -0700

    More data set-client-ip needs.

* Tue Sep 11 19:13:34 2012 -0700

    The set-client-ip plugin needs more data in order to properly apply the
    network settings.

* Mon Sep 10 13:12:47 2012 -0700

    Improve documentation for the set-client-ip plugin.

* Mon Sep 10 12:57:29 2012 -0700

    Update ChangeLog.

* Mon Sep 10 12:51:46 2012 -0700

    More descriptions

* Mon Sep 10 12:47:46 2012 -0700

    More descriptions

* Mon Sep 10 12:33:10 2012 -0700

    Document example-ldns-opendns-deviceid

* Mon Sep 10 10:51:45 2012 -0700

    Add a simple example plugin to change the client IP when talking to OpenDNS resolvers.

* Sun Sep 9 22:40:07 2012 -0700

    Thank you, Black Roland!

* Sun Sep 9 11:06:55 2012 -0700

    Move the GUIs section up

* Sun Sep 9 09:58:05 2012 -0700

    Reorder the Android build script so that TARGET_TOOLCHAIN_VERSION is defined
    before it is used :)

* Sun Sep 9 09:49:20 2012 -0700

    Add Android

* Sun Sep 9 09:42:23 2012 -0700

    That was --resolver-port

* Sun Sep 9 09:41:35 2012 -0700

    Mention that --local-port and --remote-port are gone for good.

* Sun Sep 9 00:12:12 2012 -0700

    Don't lie about why TCP is slow.

* Thu Sep 6 17:42:15 2012 -0700

    Dash

* Thu Sep 6 17:41:57 2012 -0700

    Update ChangeLog. It's 1.1.0-rc1 for now.

* Thu Sep 6 17:35:35 2012 -0700

    Bump revision to 1.1.0rc1

* Thu Sep 6 13:20:04 2012 -0700

    Don't cast uint32_t values to print them. That's retarded.

* Thu Sep 6 13:16:40 2012 -0700

    Grammar

* Thu Sep 6 10:55:18 2012 -0700

    Update ChangeLog/NEWS.

* Thu Sep 6 10:47:52 2012 -0700

    Rename the .plist file.

* Thu Sep 6 10:35:03 2012 -0700

    Use plugin_long_description() in the null plugin, too.

* Thu Sep 6 10:30:18 2012 -0700

    Add dcplugin_long_description()

* Thu Sep 6 10:16:01 2012 -0700

    Add basic probes for filters.

* Thu Sep 6 00:35:35 2012 -0700

    Retabify, try to match the initial code style.

* Thu Sep 6 00:17:32 2012 -0700

    Update ChangeLog

* Thu Sep 6 00:16:19 2012 -0700

    Check the RR length before any parsing, even if it's redundant.

* Wed Sep 5 23:59:08 2012 -0700

    evdns: store more than 1 TXT record.

* Wed Sep 5 23:58:46 2012 -0700

    Don't assume that only one TXT record will be received.

* Tue Sep 4 00:30:14 2012 -0700

    Add libltdl to SUBDIRS, if plugins are enabled.

* Mon Sep 3 23:35:24 2012 -0700

    80 cols

* Mon Sep 3 23:13:02 2012 -0700

    Windows nits

* Mon Sep 3 22:42:13 2012 -0700

    Add Plugins to the list of Windows registry keys, before I forget.

* Mon Sep 3 22:36:24 2012 -0700

    Parse the "Plugins" key if there is one in the Windows registry.

* Mon Sep 3 22:09:15 2012 -0700

    Windows: implement windows_service_registry_read_multi_sz()

* Mon Sep 3 19:14:15 2012 -0700

    Return NXDOMAIN for an IP that actually needs it.

* Mon Sep 3 17:21:24 2012 -0700

    Display the actual error when a plugin can't be loaded.

* Mon Sep 3 17:12:14 2012 -0700

    Remove example-ldns-opendns-bypass

* Mon Sep 3 17:08:37 2012 -0700

    Display the plugin description if we have one.

* Mon Sep 3 16:49:46 2012 -0700

    Check that a plugin either belongs to root, or would be writeable by whoever
    runs the current process (or at least, by whoever can write to the fs).
    It's not very useful, it's racy, but it's better than nothing.

* Mon Sep 3 13:04:17 2012 -0700

    Wipe the client nonce after uncurving a reply.
    Useful for debugging.

* Mon Sep 3 12:58:23 2012 -0700

    Add tcp post-filters.

* Sun Sep 2 22:13:27 2012 -0700

    No more dns_packet_len, stay consistent between udp_ & tcp_request.c

* Sun Sep 2 22:13:01 2012 -0700

    Regen man pages.

* Sun Sep 2 21:15:18 2012 -0700

    Add prefilters for TCP.

* Sun Sep 2 15:32:55 2012 -0700

    Don't use max_packet_size. When using TCP, the packet size is not the data
    size, so, use the 'packet' terminology to actually mean a packet size, and
    something different to mean a DNS packet.
    No change to the compiled code, but it will help to make things more
    consistent between udp_request.c and tcp_request.c.

* Sun Sep 2 15:23:06 2012 -0700

    Don't use dns_packet*, use dns_(query|reply)* in udp_request.c just like in
    tcp_request.c

* Sun Sep 2 14:21:52 2012 -0700

    The default resolver is 208.67.220.220, not .222.222

* Sun Sep 2 14:18:56 2012 -0700

    The OSX GUI probably works on 32-bit systems now, and the OpenDNS GUI for
    Windows is apparently labeled "OpenDNSCrypt".

* Sun Sep 2 14:18:45 2012 -0700

    Upcase

* Wed Aug 29 21:36:54 2012 -0700

    Add an optional function for describing a plugin.

* Wed Aug 29 21:36:43 2012 -0700

    Rename sample plugins

* Mon Aug 27 15:42:17 2012 -0700

    Rename example-ldns-2 to example-ldns-opendns-deviceid and add the ability
    to provide a device id on the command line.

* Mon Aug 27 11:04:07 2012 -0700

    Add two new OpenDNS-specific example plugins

* Sun Aug 26 09:55:42 2012 -0700

    Regen dnscrypt-proxy man page.

* Sun Aug 26 09:55:30 2012 -0700

    Update ChangeLog

* Fri Aug 24 19:55:48 2012 -0700

    Shrink the default max payload size to 1252 bytes.

* Fri Aug 24 08:47:52 2012 -0700

    Update libevent to 2.0.20

* Mon Aug 20 20:31:54 2012 -0700

    Include the port number in default IPs.
    Restore support for specifying IP addresses without ports.

* Tue Aug 21 10:48:36 2012 -0700

    Update email.

* Fri Aug 17 22:52:24 2012 -0700

    Don't use backtrace on Bitrig

* Thu Aug 16 15:37:58 2012 -0700

    -P and -t are gone for good.

* Tue Aug 7 09:06:03 2012 -0700

    Typo

* Mon Aug 6 10:57:49 2012 -0700

    DP4

Merge: 1128c06 357d1be
* Fri Aug 3 15:10:00 2012 -0700

    Merge branch '1.0.x'
    
    * 1.0.x:
      livevent: Add explicit AC_PROG_SED to configure.in so all autoconfs will expose $(SED) + avoid unused variable declaration.
      When running the proxy as a Windows service, options have to be specified using the registry.
      Bump dnscrypt-proxy homebrew formula

* Fri Aug 3 15:07:56 2012 -0700

    livevent: Add explicit AC_PROG_SED to configure.in so all autoconfs will expose $(SED)
    + avoid unused variable declaration.

* Wed Aug 1 23:21:01 2012 -0700

    When running the proxy as a Windows service, options have to be specified
    using the registry.

* Tue Jul 31 12:41:21 2012 -0700

    Actually install LTDL

* Tue Jul 31 12:08:44 2012 -0700

    Bump dnscrypt-proxy homebrew formula

Merge: 0016faf 18e9180
* Tue Jul 31 11:46:28 2012 -0700

    Merge branch '1.0.x'
    
    * 1.0.x:
      Export droid-gcc variables
      fpm -> 1.0.1
      Update ChangeLog
      If an evdns_getaddrinfo timeout happens while pending_cb is set, and a callback is about to run, but we get a call to evdns_getaddrinfo_gotresolve before it finishes. libevent dc3207767d4f06b31

* Tue Jul 31 11:30:42 2012 -0700

    Export droid-gcc variables

* Tue Jul 31 11:07:24 2012 -0700

    fpm -> 1.0.1

* Tue Jul 31 11:05:11 2012 -0700

    Update ChangeLog

* Tue Jul 31 10:55:50 2012 -0700

    If an evdns_getaddrinfo timeout happens while pending_cb is set, and a
    callback is about to run, but we get a call to evdns_getaddrinfo_gotresolve
    before it finishes.
    libevent dc3207767d4f06b31

* Tue Jul 31 10:55:50 2012 -0700

    If an evdns_getaddrinfo timeout happens while pending_cb is set, and a
    callback is about to run, but we get a call to evdns_getaddrinfo_gotresolve
    before it finishes.
    libevent dc3207767d4f06b31

* Mon Jul 30 19:14:56 2012 -0700

    Always install ltdl

* Mon Jul 30 19:04:18 2012 -0700

    Merge 1.1 to master.

Merge: 0d07695 24e697c
* Mon Jul 30 19:02:01 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Cut the crap. DNS using TCP can actually be faster than UDP. Provided that the resolver supports pipelining.
      Bump NDK to r8b

* Sun Jul 29 13:26:32 2012 -0700

    Cut the crap. DNS using TCP can actually be faster than UDP.
    Provided that the resolver supports pipelining.

* Sun Jul 29 13:16:35 2012 -0700

    Bump NDK to r8b

Merge: c260e87 b12196d
* Sun Jul 29 13:12:24 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Regen man pages
      Mention that in hostip, --resolver-address can include a port number.
      sort
      The --resolver-ip command-line switch is gone. Pointed out by awfulhak@

* Sun Jul 29 13:12:08 2012 -0700

    Regen man pages

* Sun Jul 29 13:01:00 2012 -0700

    Mention that in hostip, --resolver-address can include a port number.

* Sun Jul 29 12:40:45 2012 -0700

    sort

* Sun Jul 29 12:23:43 2012 -0700

    The --resolver-ip command-line switch is gone. Pointed out by awfulhak@

Merge: 51a5d57 2ac78d9
* Thu Jul 26 21:36:31 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Bring libevent patches up to a0912e32068621eb776d678224e4108511d281e3

* Thu Jul 26 21:29:10 2012 -0700

    Bring libevent patches up to a0912e32068621eb776d678224e4108511d281e3
    
        Check more setsockopt return values when binding sockets. Found by coverity
    
        memset sockaddr_in before using it. Found by coverity.
    
        Move assignment outside tt_assert in ssl unit tests. Appeases coverity.
    
        Add checks to various return values in unit tests. Found by coverity
    
        Avoid possible needless call to writev. Found by coverity.
    
        Remove unused variable; spotted by coverity
    
        Avoid more crashes/bad calls in unit tests; found by coverity
    
        Add some missing null checks to unit tests; found by coverity
    
        Fix resource leaks in the unit tests; found by coverity
    
        Fix various check-after-dereference issues in unit tests: found by coverity
    
        Set umask before calling mkstemp in unit tests. Found by coverity
    
        Fix possible uninitialized read in dns regression tests. Found by coverity.
    
        Remove deadcode in http regression tests. Found by coverity.

Merge: 5e7e8a5 82cd026
* Thu Jul 26 14:30:08 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Update ChangeLog
      Gentoo ebuild for dnscrypt-proxy 1.0.
      Grammar
      use --enable-nonblocking-random as suggested by Frank DENIS.
      dnscrypt-proxy 0.9.4.

* Thu Jul 26 13:27:04 2012 -0700

    Update ChangeLog

* Thu Jul 26 16:08:59 2012 -0400

    Gentoo ebuild for dnscrypt-proxy 1.0.

Merge: f3f8357 86d764e
* Thu Jul 26 16:02:19 2012 -0400

    Merge remote-tracking branch 'upstream/master' into lebel

* Thu Jul 26 12:28:58 2012 -0700

    Grammar

Merge: 682ea2d fe1cc6a
* Thu Jul 26 12:27:29 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      More links and docs.
      / => \
      Add a README file for Windows.
      Actually start the service.
      Don't parse the command-line if the service is run as a... service.
      Remove Logfile from the registry.
      Support settings pretty much everything through the registry
      Reorder variables
      xor what we get from the system PRG with a HMAC of it. If the system PRG is truly random, it's a no-op. If a way to recover a state given a few CryptGenRandom() stream samples is found, leaked dnscrypt keys will still require breaking SHA2 in order take advantage of this.
      Start reading the configuration from the registry
      Don't bother registering the command-line, since we will use the registry.
      Auto-start the service, and add what it takes to read the registry.
      Read 952 bits (a full SHA256 block + a final one) from the system RNG
      Add code for having a dynamic argv, so that we can use the registry to update it
      Keep the command line switches
      CreateService() dependencies should be an actual NULL string.
      Document the new command-line switches for running the proxy as a service.
      WINDOWS_SERVICE_NAME
      Add --install, --reinstall and --uninstall switches to install as a service.

* Thu Jul 26 12:22:32 2012 -0700

    More links and docs.

* Thu Jul 26 12:17:02 2012 -0700

    / => \

* Thu Jul 26 12:15:22 2012 -0700

    Add a README file for Windows.

* Thu Jul 26 11:59:50 2012 -0700

    Actually start the service.

* Thu Jul 26 11:53:26 2012 -0700

    Don't parse the command-line if the service is run as a... service.

* Thu Jul 26 11:52:58 2012 -0700

    Remove Logfile from the registry.

* Thu Jul 26 11:33:45 2012 -0700

    Support settings pretty much everything through the registry

* Thu Jul 26 00:44:04 2012 -0700

    Reorder variables

* Wed Jul 25 23:32:14 2012 -0700

    xor what we get from the system PRG with a HMAC of it.
    If the system PRG is truly random, it's a no-op.
    If a way to recover a state given a few CryptGenRandom() stream samples is
    found, leaked dnscrypt keys will still require breaking SHA2 in order take
    advantage of this.

* Wed Jul 25 18:23:38 2012 -0700

    Start reading the configuration from the registry

* Wed Jul 25 18:09:09 2012 -0700

    Don't bother registering the command-line, since we will use the registry.

* Wed Jul 25 18:06:49 2012 -0700

    Auto-start the service, and add what it takes to read the registry.

* Wed Jul 25 20:57:42 2012 -0700

    Read 952 bits (a full SHA256 block + a final one) from the system RNG

* Wed Jul 25 08:54:25 2012 -0700

    Allow empty options.

* Wed Jul 25 08:52:20 2012 -0700

    Add code for having a dynamic argv, so that we can use the registry to update it

* Wed Jul 25 00:09:13 2012 -0700

    Keep the command line switches

* Tue Jul 24 22:42:24 2012 -0700

    CreateService() dependencies should be an actual NULL string.

* Tue Jul 24 22:29:39 2012 -0700

    Document the new command-line switches for running the proxy as a service.

* Tue Jul 24 22:19:19 2012 -0700

    WINDOWS_SERVICE_NAME

* Tue Jul 24 22:17:37 2012 -0700

    Add --install, --reinstall and --uninstall switches to install as a service.

Merge: 1966e98 f3dd2c4
* Mon Jul 23 16:54:36 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Head towards 1.0.1
      gitignore libltdl
      Update ChangeLog
      Update NEWS
      WINAPI
      Make the service name overridable
      Make dnscrypt-proxy work as a Windows service.
      Add dnscrypt_proxy_loop_break()

* Mon Jul 23 16:53:37 2012 -0700

    Head towards 1.0.1

* Mon Jul 23 16:51:34 2012 -0700

    gitignore libltdl

* Mon Jul 23 16:51:06 2012 -0700

    Update ChangeLog

* Mon Jul 23 16:49:38 2012 -0700

    Update NEWS

* Mon Jul 23 16:36:59 2012 -0700

    WINAPI

* Mon Jul 23 16:27:02 2012 -0700

    Make the service name overridable

* Mon Jul 23 15:58:51 2012 -0700

    Make dnscrypt-proxy work as a Windows service.

* Mon Jul 23 15:32:29 2012 -0700

    Add dnscrypt_proxy_loop_break()

Merge: b675340 4d62957
* Sun Jul 22 12:56:10 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Add Solaris support.
      Don't define _XPG4_2

* Sun Jul 22 12:37:05 2012 -0700

    Add Solaris support.

* Sun Jul 22 12:31:25 2012 -0700

    Don't define _XPG4_2

Merge: ffa0fa2 d443b5d
* Sat Jul 21 18:14:48 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Update NEWS / ChangeLog
      Target Gingerbread.
      Threads? We don't need threads any more.
      Add a compilation script for Android
      Bump to -j3 :)
      Don't use dtrace when cross-compiling.
      nacl: always include <stdlib.h> when rand*() is needed.
      ensure that libnacl/do is always executable
      Don't use a hardcoded "ranlib" command. It doesn't play well with cross-compilation.
      arpa/inet.h is required for htonl() in cert.c

* Sat Jul 21 18:14:19 2012 -0700

    Update NEWS / ChangeLog

* Sat Jul 21 18:09:57 2012 -0700

    Target Gingerbread.

* Sat Jul 21 18:06:10 2012 -0700

    Threads? We don't need threads any more.

* Sat Jul 21 17:57:48 2012 -0700

    Add a compilation script for Android

* Sat Jul 21 17:56:09 2012 -0700

    Bump to -j3 :)

* Sat Jul 21 17:47:33 2012 -0700

    Don't use dtrace when cross-compiling.

* Sat Jul 21 17:45:01 2012 -0700

    nacl: always include <stdlib.h> when rand*() is needed.

* Sat Jul 21 17:44:50 2012 -0700

    ensure that libnacl/do is always executable

* Sat Jul 21 17:43:20 2012 -0700

    Don't use a hardcoded "ranlib" command. It doesn't play well with cross-compilation.

* Sat Jul 21 17:26:06 2012 -0700

    arpa/inet.h is required for htonl() in cert.c

Merge: f1fa600 be57332
* Fri Jul 20 14:21:42 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Update FreeBSD port
      Update Dragonfly BSD / NetBSD pkg
      Update Homebrew formula
      Update OpenBSD package
      Bump fpm package to 1.0
      Version 1.0

* Fri Jul 20 14:21:10 2012 -0700

    Update FreeBSD port

* Fri Jul 20 14:19:56 2012 -0700

    Update Dragonfly BSD / NetBSD pkg

* Fri Jul 20 14:15:22 2012 -0700

    Update Homebrew formula

* Fri Jul 20 14:12:37 2012 -0700

    Update OpenBSD package

* Fri Jul 20 13:47:35 2012 -0700

    Bump fpm package to 1.0

* Fri Jul 20 13:01:23 2012 -0700

    Version 1.0

* Fri Jul 20 12:12:15 2012 -0700

    Add a second sample plugin

Merge: 0a6a1d6 4747092
* Fri Jul 20 10:58:53 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Update .gitignore to reflect the dnscrypt-proxy->proxy changes

* Fri Jul 20 10:58:43 2012 -0700

    Ignore Doxyfile for now

* Fri Jul 20 10:57:42 2012 -0700

    Update .gitignore to reflect the dnscrypt-proxy->proxy changes

* Fri Jul 20 10:57:12 2012 -0700

    Move plugin code in proxy/ as well.

Merge: 124c97b 4a87920
* Fri Jul 20 10:49:18 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Update autoconf again :)

* Fri Jul 20 10:48:35 2012 -0700

    Update autoconf again :)

Merge: 486243a 165facb
* Fri Jul 20 10:45:54 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Update autoconf

* Fri Jul 20 10:42:45 2012 -0700

    Update autoconf

* Fri Jul 20 10:42:25 2012 -0700

    Prepare another plugin

Merge: b9d22cd 5761595
* Fri Jul 20 09:17:25 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      The "dnscrypt-proxy" dir just becomes "proxy" to reduce diff w/ dns-proxy.

* Fri Jul 20 09:16:47 2012 -0700

    The "dnscrypt-proxy" dir just becomes "proxy" to reduce diff w/ dns-proxy.

Merge: d7be569 649fa34
* Fri Jul 20 08:43:14 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Remove uv_alloc_buffer_size leftover from the libuv days.

* Fri Jul 20 08:42:46 2012 -0700

    Remove uv_alloc_buffer_size leftover from the libuv days.

* Fri Jul 20 00:43:52 2012 -0700

    Grammar

* Fri Jul 20 00:02:37 2012 -0700

    Add an example that uses ldns.

* Thu Jul 19 23:54:38 2012 -0700

    Make headers C++-friendly and add a macro for copying a raw packet.

* Thu Jul 19 21:58:13 2012 -0700

    KNF

* Thu Jul 19 21:49:41 2012 -0700

    Ignore unused arguments, in order to keep the example as small as possible.

* Thu Jul 19 15:28:59 2012 -0700

    Use dns_packet_len in TCP code, to reduce the diff with the UDP code.

* Thu Jul 19 15:20:44 2012 -0700

    Typoz

* Thu Jul 19 15:10:30 2012 -0700

    Doxygen the plugin API

* Thu Jul 19 14:35:21 2012 -0700

    UDP post filter

* Thu Jul 19 13:42:41 2012 -0700

    Export version.

* Thu Jul 19 12:48:15 2012 -0700

    Keep libtool up until the plugin context is released.

* Thu Jul 19 12:34:11 2012 -0700

    Add headers to get size_t defined.

* Thu Jul 19 12:32:31 2012 -0700

    Call the first pre-filter.

* Thu Jul 19 12:19:25 2012 -0700

    Looks like duplicate code, but if --tcp-only has been enabled, we don't
    want to call pre-filters.

* Thu Jul 19 12:11:36 2012 -0700

    Prepare pre- and post- filters.

Merge: 7337e74 cb06b13
* Wed Jul 18 23:35:46 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Use CPPFLAGS, not AM_CFLAGS.

* Wed Jul 18 12:36:53 2012 -0700

    Use CPPFLAGS, not AM_CFLAGS.

* Wed Jul 18 22:47:44 2012 -0700

    dcps->argc should always be > 0 now.

* Wed Jul 18 22:45:06 2012 -0700

    Set argv[0] to the plugin path

* Wed Jul 18 22:40:39 2012 -0700

    Don't link ldns, that will only be for some specific plugins.

* Wed Jul 18 22:28:20 2012 -0700

    Disable static libraries for plugins

* Wed Jul 18 22:21:07 2012 -0700

    Log when parsing a --plugin switch fails.

* Wed Jul 18 22:02:07 2012 -0700

    Remove module version.

* Wed Jul 18 21:02:41 2012 -0700

    Fix plugin args

* Wed Jul 18 21:00:42 2012 -0700

    Fix dcplugin_init() prototype.

* Wed Jul 18 20:24:38 2012 -0700

    No need to check for LibLoaderApi.h and WinBase.h any more.

* Wed Jul 18 20:23:53 2012 -0700

    Check if libldns is available.

* Wed Jul 18 19:54:32 2012 -0700

    Add dcplugin_destroy()

* Wed Jul 18 18:20:56 2012 -0700

    Start actually calling plugins.

* Wed Jul 18 18:04:55 2012 -0700

    Start resolving symbols

* Wed Jul 18 17:52:50 2012 -0700

    Load dynamic libraries.

* Wed Jul 18 16:56:33 2012 -0700

    Link plugins with -module

* Wed Jul 18 16:51:16 2012 -0700

    Prepare for loading plugins.

* Wed Jul 18 16:17:41 2012 -0700

    plugin_name -> plugin_file

* Wed Jul 18 16:15:30 2012 -0700

    Store plugin-specific options.

* Wed Jul 18 15:48:49 2012 -0700

    Create and insert plugins.

* Wed Jul 18 14:53:20 2012 -0700

    Use DCPluginSupportContext to handle multiple DCPluginSupport objects.

* Wed Jul 18 14:37:03 2012 -0700

    More infrastructure for plugins.

* Wed Jul 18 13:06:20 2012 -0700

    Document PLUGIN_REVISION

* Wed Jul 18 12:36:53 2012 -0700

    Use CPPFLAGS, not AM_CFLAGS.

* Wed Jul 18 12:06:37 2012 -0700

    <dnscrypt/plugin.h> is what developers should include for writing plugins.

* Wed Jul 18 11:52:36 2012 -0700

    Install dnscrypt headers for plugin developers.

Merge: b3e9707 9c1197d
* Tue Jul 17 21:59:33 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      tab

* Tue Jul 17 21:59:14 2012 -0700

    tab

Merge: fb2a7f0 2799372
* Tue Jul 17 21:58:17 2012 -0700

    Merge branch 'master' into 1.1
    
    * master:
      Add explicit dependencies.
      Update autoconf script.

* Tue Jul 17 21:53:08 2012 -0700

    Prepare a simple plugin.

* Tue Jul 17 21:18:53 2012 -0700

    Only build and link ltdl if plugins are enabled.

* Tue Jul 17 21:02:38 2012 -0700

    Add explicit dependencies.

* Tue Jul 17 21:01:20 2012 -0700

    Add some explicit dependencies

* Tue Jul 17 20:55:19 2012 -0700

    Replace dl.[ch] with libltdl

* Tue Jul 17 20:36:13 2012 -0700

    Update autoconf script.

* Tue Jul 17 20:32:30 2012 -0700

    Add libltdl

* Tue Jul 17 20:09:50 2012 -0700

    Add a basic dynamic library loader.

* Tue Jul 17 17:39:25 2012 -0700

    Remove TRIM_PADDING_FROM_REPLIES. We always do.

* Tue Jul 17 17:38:36 2012 -0700

    Move to version 1.0

* Tue Jul 17 17:33:03 2012 -0700

    libevent: Fix a memory leak on error in evhttp_uriencode.
    Not used in dnscrypt-proxy, but we should keep that up to date.

* Tue Jul 17 17:18:45 2012 -0700

    Update ChangeLog

* Tue Jul 17 17:16:59 2012 -0700

    Reenable --enable-debug

* Tue Jul 17 16:58:19 2012 -0700

    Don't double quote CFLAGS.

* Tue Jul 17 16:22:32 2012 -0700

    Change the way we pass the autoconf args to the libevent autoconf script.

* Tue Jul 17 13:05:16 2012 -0700

    fpm -> 0.12

* Tue Jul 17 12:33:08 2012 -0700

    Update ChangeLog for 0.12

* Tue Jul 17 12:01:17 2012 -0700

    Bind UDP listeners first.

* Tue Jul 17 11:56:50 2012 -0700

    Update ChangeLog

* Tue Jul 17 11:48:02 2012 -0700

    Reset ac_configure_args before configuring libevent.
    This fixes the issue with the OpenBSD port, that was reseting both CC and
    CFLAGS.

* Tue Jul 17 11:21:02 2012 -0700

    Use both -fPIE (cc) and -pie (linker) or none.

* Tue Jul 17 11:11:29 2012 -0700

    Restore -pie.
    It breaks the OpenBSD-current port, but unbreaks Linux, aaahhhhhh.

* Tue Jul 17 10:30:58 2012 -0700

    No more rlimit for now.

* Tue Jul 17 09:08:09 2012 -0700

    Don't strip symbols on Debian packages. Screw you, stupid Debian policies.

* Tue Jul 17 08:40:41 2012 -0700

    Start UDP listeners first. They provide an error message when they fail.

* Tue Jul 17 08:37:00 2012 -0700

    Linux doesn't like RLIMIT_NPROC = 0.

* Mon Jul 16 22:47:26 2012 -0700

    Use nonexistent.local instead of nonexistent.example.com
    or else OpenDNS servers can return the "guide" IP instead of NXDOMAIN.

* Mon Jul 16 21:40:01 2012 -0700

    Invert the ifdef logic for retries.

* Mon Jul 16 21:32:45 2012 -0700

    Enable retries.

* Mon Jul 16 21:26:01 2012 -0700

    DNSCrypt 0.12

* Mon Jul 16 21:22:38 2012 -0700

    Fix UDP retries: ditch the retry timer after a successful sendto().

* Mon Jul 16 18:16:39 2012 -0700

    Update FreeBSD port.

* Mon Jul 16 18:14:16 2012 -0700

    Update NetBSD / Dragonfly BSD packages again.

* Mon Jul 16 18:11:02 2012 -0700

    Update OpenBSD package.

* Mon Jul 16 18:01:31 2012 -0700

    Update Homebrew formula.

* Mon Jul 16 17:51:31 2012 -0700

    Bring back _FORTIFY_SOURCE.

* Mon Jul 16 17:49:36 2012 -0700

    Prepare OpenBSD package update.

* Mon Jul 16 17:42:56 2012 -0700

    Add -fwrapv

* Mon Jul 16 17:34:44 2012 -0700

    Update ChangeLog

* Mon Jul 16 17:33:48 2012 -0700

    Nuke -pie for now. It breaks the OpenBSD-current port.

* Mon Jul 16 16:15:02 2012 -0700

    Update NetBSD / Dragonfly BSD package

* Mon Jul 16 16:00:25 2012 -0700

    Bump Homebrew package

* Mon Jul 16 15:07:56 2012 -0700

    Cleanup dist-files

* Mon Jul 16 15:00:38 2012 -0700

    Bump fpm packages to 0.11

* Mon Jul 16 14:53:24 2012 -0700

    Screw you, gcc

* Mon Jul 16 14:49:47 2012 -0700

    gcc nits

* Mon Jul 16 14:40:01 2012 -0700

    Disable UDP sendto() retries for now.

* Mon Jul 16 14:21:26 2012 -0700

    0.11

* Mon Jul 16 14:05:59 2012 -0700

    Check for -W combos, not for individual switches.

* Mon Jul 16 14:05:46 2012 -0700

    Add config.guess patch for bitrig to the tree.

* Mon Jul 16 13:50:15 2012 -0700

    Try harder to trigger the gcc warning bug.

* Mon Jul 16 13:44:38 2012 -0700

    Move clang detection

* Mon Jul 16 13:39:33 2012 -0700

    Update Changelog

* Mon Jul 16 13:38:48 2012 -0700

    Improve ax_check_compile_flag by adding an unused variable in order to
    always trigger a non-fatal compiler warning.

* Mon Jul 16 13:31:01 2012 -0700

    Ignore unknown warnings only if we are using clang.

* Mon Jul 16 13:23:00 2012 -0700

    Remove -Wno-unknown-warning-option because of this stupid gcc.

* Mon Jul 16 12:57:59 2012 -0700

    libevent Win32: avoid crash when waiting forever on zero fds.

* Mon Jul 16 12:57:21 2012 -0700

    Explicitly mention libtool in the autoconf script.

* Mon Jul 16 12:41:46 2012 -0700

    Run sandbox_init() only if it's not a stub.

* Mon Jul 16 11:55:57 2012 -0700

    Update Changelog

* Mon Jul 16 11:55:40 2012 -0700

    Xcode 4.5DP3

* Mon Jul 16 11:53:58 2012 -0700

    Test --tcp-only

* Mon Jul 16 11:36:48 2012 -0700

    Update dist-files

* Mon Jul 16 11:35:42 2012 -0700

    opendnscache-proxy was the name of dnscrypt 1 year ago.
    Rename it to dnscrypt-proxy.

* Mon Jul 16 11:32:24 2012 -0700

    Mention PowerDNS.

* Mon Jul 16 11:29:54 2012 -0700

    And Gemfile and more tests.

* Mon Jul 16 11:01:52 2012 -0700

    Exit with 1 when an invalid option is given in hostip, too.

* Mon Jul 16 10:43:52 2012 -0700

    Exit with 1 when an unknown option is given.

* Mon Jul 16 00:34:06 2012 -0700

    Revert to always using -fstack-protector-all on Windows.
    If it fails outside the MingW environment, either do some magic to
    statically link it, or use --disable-ssp if you're desperate.

* Sun Jul 15 23:58:37 2012 -0700

    Statically link libssp on Windows.

* Sun Jul 15 23:12:15 2012 -0700

    Windoz nitz

* Sun Jul 15 22:58:29 2012 -0700

    Add --disable-ssp option for platforms lacking libssp. (sad)

* Sun Jul 15 21:50:18 2012 -0700

    Ignore deprecated declarations warnings for sandbox*()

* Sun Jul 15 21:50:08 2012 -0700

    Reorder

* Sun Jul 15 21:42:14 2012 -0700

    Try to better detect Windows targets.

* Sun Jul 15 21:00:24 2012 -0700

    Copy with Winsock2 prototypes.

* Sun Jul 15 21:00:10 2012 -0700

    Use ev_socklen_t everywhere.

* Sun Jul 15 20:50:42 2012 -0700

    Update noops for systems without dtrace.

* Sun Jul 15 17:23:58 2012 -0700

    Update NEWS / ChangeLog

* Sun Jul 15 17:17:52 2012 -0700

    Deprecate --local-port and --resolver-port

* Sun Jul 15 17:08:11 2012 -0700

    Use some crazy heuristics to support ip:port addresses as well as the old
    format --x-address and --x-port.

* Sun Jul 15 17:02:50 2012 -0700

    Export evutil_format_sockaddr_port()

* Sun Jul 15 16:04:47 2012 -0700

    Update NEWS/ChangeLog

* Sun Jul 15 15:58:19 2012 -0700

    Remove pwnam comments.

* Sun Jul 15 15:39:29 2012 -0700

    Rename SendtoWithRetryCbCtx to SendtoWithRetryCtx

* Sun Jul 15 15:24:12 2012 -0700

    Retries is zero, already, thanks to calloc().

* Sun Jul 15 15:23:29 2012 -0700

    Support retries on Windows.

* Sun Jul 15 14:46:41 2012 -0700

    Retry every second. On relevant errors only. At least on !_WIN32.
    Windows roots are the DOS, anyway.

* Sun Jul 15 14:20:55 2012 -0700

    Retry on UDP sendto() error.
    We should only do that on non-fatal errors only.
    Which means testing for different error codes on Windows. Bleh.

* Sun Jul 15 12:50:51 2012 -0700

    Factorize sendto() calls and pave the way for retrying on non-fatal errors.

* Fri Jul 13 10:26:58 2012 -0700

    Port 443 is already the default.

* Thu Jul 12 15:04:18 2012 -0700

    Don't assert(! TAILQ_EMPTY()) unless the request has actually been inserted in
    the list of queued requests.
    Should fix issue #19.

* Thu Jul 12 14:24:45 2012 -0700

    hostip: add things Windows needs in order to get the in6_addr structure defined

* Wed Jul 11 14:26:54 2012 -0700

    Check for setrlimit() existence.

* Wed Jul 11 14:25:42 2012 -0700

    Restrict a bit more what processes can do.

* Mon Jul 9 18:14:08 2012 -0700

    Build hostip last.

* Fri Jul 6 21:37:12 2012 -0700

    Indentation nits...

* Fri Jul 6 21:31:55 2012 -0700

    Update ChangeLog, bump version to 0.11

* Fri Jul 6 21:28:30 2012 -0700

    Introduce hostip(8), a tool for resolving a name before dnscrypt-proxy starts.
    It should help fighting the chicken-and-egg issue seen on routers, where
    dnscrypt-proxy requires a working NTP server, but the NTP server requires
    a working resolver.

* Fri Jul 6 19:38:26 2012 -0700

    Useless indentation nits.

* Mon Jul 2 23:35:17 2012 -0700

    Use ioctl() instead of fnctl(fnctl()) as much as possible. Saves 1 syscall.

* Mon Jul 2 16:10:30 2012 -0700

    Define getpwnam() and struct passwd if getpwnam(3) exists but the headers don't.

* Tue Jun 26 13:59:34 2012 -0700

    Xcode 4.5 DP2

* Sun Jun 24 23:55:10 2012 -0700

    Bump Linux packages to 10.0.1

* Sun Jun 24 23:47:40 2012 -0700

    Update ChangeLog

* Sun Jun 24 15:45:48 2012 -0700

    Current dev version is 0.10.1

* Sun Jun 24 15:12:42 2012 -0700

    chroot() as soon as we can again. Drop libevent2's evdns arc4random() to use
    our chroot()-proof salsa20_random() function instead.

* Sun Jun 24 15:08:11 2012 -0700

    libevent: resurrect evdns_set_random_bytes_fn() and add evdns_set_random_init_fn().
    Using the provided RC4 generator is nice, but we maybe want to use something
    else, in particular if we need something that is guaranteed to work in a
    chroot jail, without a /dev/*random device.

* Sun Jun 24 14:19:35 2012 -0700

    libevent: don't use memset(<something on the stack>) to securely wipe a buffer,
    because it's prone to compiler optimization.

* Sun Jun 24 14:15:13 2012 -0700

    libevent: do not close /dev/*random and /proc/**/uuid descriptors, in order to
    keep them accessible after chroot(), when reseeding is needed.

* Sun Jun 24 13:59:07 2012 -0700

    Revoke privileges after cert_updater_start() for systems without arc4random().
    Pointed out by Ben Kibbey.

* Sun Jun 24 11:46:27 2012 -0700

    Change arc4random_uniform() to calculate ``2**32 % upper_bound'' as
    ``-upper_bound % upper_bound''.
    From OpenBSD.

* Thu Jun 21 10:47:36 2012 -0700

    Update pkgsrc packages.

* Thu Jun 21 10:46:24 2012 -0700

    Update FreeBSD package.

Merge: f04c9ed 7a99603
* Thu Jun 21 13:45:33 2012 -0400

    Merge remote branch 'upstream/master' into lebel

* Thu Jun 21 10:45:06 2012 -0700

    Update Homebrew formula.

* Thu Jun 21 10:44:23 2012 -0700

    Update OpenBSD port.

* Thu Jun 21 02:18:36 2012 -0700

    Update ChangeLog

* Thu Jun 21 02:18:13 2012 -0700

    Don't install libevent.

* Thu Jun 21 00:36:44 2012 -0700

    Compile with -fPIC if possible.

* Thu Jun 21 00:26:28 2012 -0700

    Make some type conversions explicit.

* Thu Jun 21 00:13:33 2012 -0700

    Typo

* Wed Jun 20 21:41:59 2012 -0700

    Fix IOC diagnostic with a left shift.

* Wed Jun 20 08:45:58 2012 -0700

    mingw defines cygwin32 as a host OS.

* Tue Jun 19 14:12:30 2012 -0700

    Update NetBSD / Dragonfly BSD package.

* Tue Jun 19 14:10:17 2012 -0700

    Update Homebrew formula

* Tue Jun 19 14:09:40 2012 -0700

    Update OpenBSD package

* Tue Jun 19 14:07:52 2012 -0700

    Update the FreeBSD port

* Tue Jun 19 13:43:20 2012 -0700

    We officially support Bitrig.

* Tue Jun 19 12:00:14 2012 -0700

    Update ChangeLog

* Tue Jun 19 11:59:16 2012 -0700

    More dtrace probes.

* Tue Jun 19 11:46:02 2012 -0700

    Update TCP dtrace probes

* Tue Jun 19 11:16:19 2012 -0700

    Bump Linux packages to 0.10

* Tue Jun 19 11:07:18 2012 -0700

    Update libevent to be7a95c62995a679ee24146b0d641b7392cbab51

* Tue Jun 19 10:57:09 2012 -0700

    Cast txtlen to size_t

* Tue Jun 19 10:37:56 2012 -0700

    Fix txt size check

* Tue Jun 19 10:29:16 2012 -0700

    Update date & changelog.

* Tue Jun 19 08:48:23 2012 -0700

    IPPROTO_TCP is defined in netinet/in.h on Dragonfly BSD

* Tue Jun 19 00:56:23 2012 -0700

    More gwurglz zindoz needz

* Tue Jun 19 00:32:04 2012 -0700

    Shit Windows needs.

* Tue Jun 19 00:02:39 2012 -0700

    Some fixes for Windows...

* Mon Jun 18 21:38:47 2012 -0700

    Allow 64K packets on TCP, use a different definition for UDP.

* Mon Jun 18 21:30:05 2012 -0700

    Spacing, blank lines, etc.

* Mon Jun 18 21:25:48 2012 -0700

    Test for big endianness in configure.ac
    Change the first part of the client nonce to little endian on a big endian
    system. Add 10 extra bits of randomness by the way.

* Mon Jun 18 17:55:48 2012 -0700

    Update ChangeLog

* Mon Jun 18 17:55:08 2012 -0700

    Disable the Nagle algorithm when sending a query to a resolver.

* Mon Jun 18 17:39:46 2012 -0700

    If we need a free slot and there's none for the current protocol, steal one from the other protocol.
    Having distinct knobs for UDP and TCP makes sense now, but it will not make
    sense once OpenDNS will properly support TCP persistent connections.

* Mon Jun 18 17:21:41 2012 -0700

    Factorize.

* Mon Jun 18 12:54:22 2012 -0700

    Update ChangeLog

* Mon Jun 18 12:04:41 2012 -0700

    Only resolve local_sockaddr once.

* Mon Jun 18 10:41:29 2012 -0700

    Unfuck libevent on Win32 when threading support has been disabled.

* Mon Jun 18 08:23:26 2012 -0700

    Run libevent's autogen.sh along with the top-level one.

* Mon Jun 18 01:26:51 2012 -0700

    Unfuck compilation on Linux.

* Mon Jun 18 01:04:52 2012 -0700

    Update ChangeLog

* Mon Jun 18 01:03:14 2012 -0700

    Remove free() leftover.

* Mon Jun 18 00:48:26 2012 -0700

    Use -Oz for the iOS build.

* Thu Jun 14 16:50:34 2012 -0700

    Rewrite using libevent instead of libuv.

* Wed Jun 13 17:10:05 2012 -0700

    libuv update

* Wed Jun 13 17:06:37 2012 -0700

    Update Xcode

* Sun May 20 21:27:15 2012 -0700

    Unbreak libuv compilation with mingw32.

* Sun May 20 19:15:17 2012 -0700

    This libuv code is scary and we don't use it, but check at least the strdup() output.

* Wed May 16 07:13:49 2012 -0700

    Change #if FIONBIO to #ifdef FIONBIO. Fixes compilation on Debian/ppc 6.0.4.
    Reported by Sebastian Sjoholm.

* Thu Feb 9 14:57:31 2012 -0800

    Don't malloc(0). If we don't have any interfaces, return OK / null.

* Thu Feb 9 14:53:18 2012 -0800

    Rewrite uv_hrtime() for Darwin in a portable way.

* Thu Feb 9 14:33:05 2012 -0800

    rename() requires <stdio.h> on OSX. Don't ask why.

* Wed Jun 13 16:59:43 2012 -0700

    Resync libuv

* Wed Jun 13 16:31:44 2012 -0700

    Remove overzealous assertion.

* Wed Jun 13 11:34:44 2012 -0700

    Typo

* Wed Jun 13 11:23:35 2012 -0700

    OpenDNS finally sends zero-padded replies. Define TRIM_PADDING_FROM_REPLIES.

* Tue Jun 5 16:58:17 2012 -0700

    Update Homebrew formula.

* Tue Jun 5 16:55:01 2012 -0700

    Update the OpenBSD package to 0.9.5

* Tue Jun 5 16:30:34 2012 -0700

    Update ChangeLog

* Tue Jun 5 16:30:10 2012 -0700

    Implement dnscrypt_memzero() instead of using a volatile cast.

* Tue Jun 5 16:12:26 2012 -0700

    Update ChangeLog

* Tue Jun 5 16:11:18 2012 -0700

    Send the initial query through ares to whatever port has been specified
    using --resolver-port even using UDP.

* Tue Jun 5 16:00:43 2012 -0700

    More libuv cherrypicks

* Mon Jun 4 22:09:50 2012 -0700

    libuv cherrypicks

* Mon Jun 4 21:57:22 2012 -0700

    Update ChangeLog

* Mon Jun 4 21:50:46 2012 -0700

    Revert libuv to 3f0833eec07b5fbea2057c47e1c9014d3b347d35
    Something looks broken on Linux between this revision and 75565907073055dd717fb6a6074518cafdd9355d.

* Mon Jun 4 15:52:28 2012 -0700

    libuv update to 7d2ea316183ba29a8ab5883593d1f6ee6f8f8ae3
    unix: fix event loop stall

* Mon Jun 4 12:28:03 2012 -0700

    ChangeLog update.

* Mon Jun 4 12:02:10 2012 -0700

    Update libuv to 0dff0e7d47453fafb72a287c0acdddd6e3f2d9de
    A big and scary update.

* Tue May 29 22:39:36 2012 -0700

    Avoid compiler optimizations.

* Mon May 28 23:11:34 2012 -0700

    Update the plist file to use port 443 by default.

* Mon May 28 22:39:56 2012 -0700

    libuv update to 75565907073055dd717fb6a6074518cafdd9355d

* Mon May 28 22:25:18 2012 -0700

    Make sure that the event loop is always NULL before parsing options.

* Mon May 28 22:17:24 2012 -0700

    Don't call anything from libuv before fork()ing.
    Since libuv will never be fork()-safe.

* Mon May 28 22:01:48 2012 -0700

    Initialize options one by one. Fixes dnscrypt on iOS.

* Mon May 28 21:49:59 2012 -0700

    Log when uv_loop_new() fails.

* Sun May 27 10:56:45 2012 -0700

    Remove libc6 dependency for RPMs because Fedora apparently doesn't like it.

* Sun May 27 01:16:08 2012 -0700

    We need to somehow call WSAStartup before trying to perform any lookups on Win32.

* Sun May 27 00:57:48 2012 -0700

    Unfuck Win32 build

* Sat May 26 19:32:53 2012 -0700

    Fix Cygwin test

* Sat May 26 14:13:48 2012 -0700

    Update NEWS

* Sat May 26 14:11:17 2012 -0700

    Bump version to 0.9.5, but don't tag yet.

* Sat May 26 14:04:08 2012 -0700

    Introduce ares_set_servers_any()

* Sat May 26 12:23:38 2012 -0700

    Remove useless prototype.

* Sat May 26 12:21:41 2012 -0700

    Remove STORAGE_PORT4 and STORAGE_PORT6. All we want is STORAGE_PORT_ANY.

* Sat May 26 12:13:05 2012 -0700

    Complete IPv6 support.

* Sat May 26 11:30:03 2012 -0700

    Support IPv6 for retrieving a certificate.

* Sat May 26 00:49:24 2012 -0700

    Wrap some libuv functions to work both with IPv4 and IPv6.

* Fri May 25 21:11:26 2012 -0700

    Don't use proxy_context->(ud|tc)p_listener_handle in a function where a handle
    is explicitly given.

* Fri May 25 20:49:13 2012 -0700

    Trim padding from replies.
    Not supported by OpenDNS yet, so #ifdef'd.

* Fri May 25 20:37:11 2012 -0700

    libuv update to 3f0833eec07b5fbea2057c47e1c9014d3b347d35

* Fri May 25 14:28:33 2012 -0700

    Ignore log_fd on Windows.

* Wed May 23 12:47:45 2012 -0400

    Gentoo ebuiild for dnscrypt-proxy 0.9.4.

* Wed May 23 13:18:48 2012 -0400

    use --enable-nonblocking-random as suggested by Frank DENIS.

* Wed May 23 12:47:45 2012 -0400

    dnscrypt-proxy 0.9.4.

* Tue May 22 08:04:24 2012 -0700

    libuv update to d1665792ca22d30b60319199662a0399be9f1352

* Tue May 22 07:48:30 2012 -0700

    Revert USE_NONBLOCKING_RANDOM since gathering enough entropy can be way too slow on Linux.
    Turn this switch on if your OS doesn't correctly seed /dev/urandom at boot and
    at install time, or use a better operating system.

* Sun May 20 23:04:48 2012 -0700

    Update the Linux fpm package

* Sun May 20 23:04:23 2012 -0700

    Update the FreeBSD package

* Sun May 20 23:02:30 2012 -0700

    Update the NetBSD/Dragonfly BSD package.

* Sun May 20 23:00:10 2012 -0700

    Update Homebrew formula.

* Sun May 20 22:58:59 2012 -0700

    Update OpenBSD port.

* Sun May 20 22:41:42 2012 -0700

    Unfuck libuv on Dragonfly... Again...

* Sun May 20 21:27:15 2012 -0700

    Unbreak libuv compilation with mingw32.

* Sun May 20 21:06:06 2012 -0700

    Update the OpenBSD port

* Sun May 20 19:30:44 2012 -0700

    Update dist-files, dist-dirs

* Sun May 20 19:22:36 2012 -0700

    Update ChangeLog

* Sun May 20 19:22:12 2012 -0700

    Mention the new Gentoo packages and credit David Lebel.

* Sun May 20 19:17:20 2012 -0700

    Doc update

* Sun May 20 19:15:17 2012 -0700

    This libuv code is scary and we don't use it, but check at least the strdup() output.

* Sun May 20 18:55:36 2012 -0700

    Use --enable-debug instead of --with-debug

* Sun May 20 18:53:58 2012 -0700

    Provide --use-nonblocking-random if you really need to use /dev/urandom
    but use /dev/random by default.
    /dev/arandom has been removed from OpenBSD a long time ago, but I'm attached to it.

* Sun May 20 18:30:47 2012 -0700

    Don't recommend DNS caches that are unable to perform DNSSec validation.

* Sun May 20 18:22:54 2012 -0700

    Rename section title.

* Sun May 20 18:19:34 2012 -0700

    Drop the --tcp-port= switch, and introduce --resolver-port= and --tcp-only switches instead.

* Sun May 20 15:43:15 2012 -0700

    Update libuv to e82d46452e3db141d3875286cf90be0de6d724e0

* Thu May 17 22:26:29 2012 -0700

    Use Xcode4.4-DP5

* Wed May 16 07:35:45 2012 -0700

    Provide a link to github for bug reports.

* Wed May 16 07:16:15 2012 -0700

    Credit Sebastian Sjoholm.

* Wed May 16 07:13:49 2012 -0700

    Change #if FIONBIO to #ifdef FIONBIO. Fixes compilation on Debian/ppc 6.0.4.
    Reported by Sebastian Sjoholm.

* Wed May 16 07:12:41 2012 -0700

    libuv - test: prevent accidental division by zero

* Wed May 9 12:51:06 2012 -0700

    Mention the official GUI for Windows, now that it's officially out.

* Sun May 6 15:16:48 2012 -0700

    Update Xcode Path to 4.4DP4, and mention that iOS binaries have to be signed.

* Sat May 5 21:43:04 2012 -0700

    Sync ChangeLog

* Sat May 5 19:07:29 2012 -0700

    Move all checks for linker flags to the same place, and always use -Wl.

* Sat May 5 18:56:25 2012 -0700

    Add pass -z,noexecstack to the linker if it accepts it.

Merge: 00af2e8 7c77d94
* Sat May 5 18:51:16 2012 -0700

    Merge remote-tracking branch 'lebel/lebel'
    
    * lebel/lebel:
      Add gentoo's portage files.

* Sat May 5 12:25:14 2012 -0700

    Sync libuv to 985b961d4eab778857101b17b62f9e521d43a157

* Tue May 1 13:54:54 2012 -0700

    Switch the iOS SDK to 5.1

* Tue May 1 13:26:19 2012 -0700

    Update libuv to 6367da25b38274c31b42097056b2995c2696caef.
    Pretty sure it breaks non-Linux & OSX platforms as usual.

* Tue May 1 12:17:31 2012 -0700

    Pad with 0x80...0

* Fri Apr 20 09:59:05 2012 -0400

    Add gentoo's portage files.

* Wed Mar 21 22:07:54 2012 -0700

    Sync libuv up to c9c9d805dae321a7bdf0077547c2da2dbe70f2a2

* Mon Mar 19 16:43:59 2012 -0700

    Sync libuv up to 49d4e1884ba5ea135f68c8b17fdf2c5d5bf0f91e

* Tue Mar 13 15:30:47 2012 -0700

    Give fpm a list of directories to package.

* Mon Mar 12 13:41:14 2012 -0700

    libuv does support Openwall Linux by default, now.
    The libuv guys are very reactive when it comes to merging patches.

* Mon Mar 12 12:09:36 2012 -0700

    Sync libuv up to db413f3806356a632774b8a589546fc6788debd6

* Wed Mar 7 17:02:30 2012 -0800

    Update ChangeLog

* Wed Mar 7 17:01:06 2012 -0800

    --daemonize has been fixed.

* Wed Mar 7 16:38:01 2012 -0800

    Update packages

* Wed Mar 7 16:24:10 2012 -0800

    Update ChangeLog

* Wed Mar 7 16:21:33 2012 -0800

    Initialize the event loop after having parse the options
    so that the event loop works fine after a possible fork() when the proxy
    is started with the --daemonize switch.

* Wed Mar 7 15:10:57 2012 -0800

    sync libuv to d07f2466d0a10ab02db588374dd97c2edd54c7fc

* Tue Mar 6 16:54:16 2012 -0800

    Update Dragonfly BSD & NetBSD package.

* Tue Mar 6 16:52:47 2012 -0800

    Fix FreeBSD distinfo.

* Tue Mar 6 16:51:43 2012 -0800

    Update FreeBSD package.

* Tue Mar 6 16:49:47 2012 -0800

    Update OpenBSD package to 0.9.3

* Tue Mar 6 16:47:50 2012 -0800

    Update Homebrew formula.

* Tue Mar 6 16:47:07 2012 -0800

    Bump Linux package version to 0.9.3

* Tue Mar 6 14:11:02 2012 -0800

    cygwin: we need to include uv-common.h for uv__set_sys_error()

* Tue Mar 6 12:22:52 2012 -0800

    Add windows quirks to the distribution.

* Tue Mar 6 12:20:11 2012 -0800

    Don't include sys/sysctl.h without sys/param.h first.

* Tue Mar 6 12:10:22 2012 -0800

    Update ChangeLog

* Tue Mar 6 11:57:46 2012 -0800

    Remove command-line switches that are unsupported on Win32.

* Mon Mar 5 15:26:53 2012 -0800

    Add missing break so that comments in fingerprints work.

* Mon Mar 5 13:18:17 2012 -0800

    Check for an actual library symbol in order to link Win32-specific libs.

* Mon Mar 5 12:46:00 2012 -0800

    Update libuv to 5505f2e9063aaf9b52d47315ae4324efbb5834be

* Sat Mar 3 23:26:11 2012 -0800

    Mention Noxwizard's dnscrypt-winclient

* Sat Mar 3 23:25:28 2012 -0800

    <stdlib.h> is required for NULL to be defined in safe_rw.c

* Fri Mar 2 16:40:12 2012 -0800

    Now, that's a super ugly way of linking ws2_32, psapi and iphlpapi.

* Fri Mar 2 15:41:50 2012 -0800

    Mark some unused variables on Win32.

* Fri Mar 2 15:36:30 2012 -0800

    Compile out more pid_file.c code on Win32.

* Fri Mar 2 15:33:39 2012 -0800

    Use _WIN32 instead of __MINGW32__ just in case we want to support Visual Studio.

* Fri Mar 2 15:24:58 2012 -0800

    Unfuck daemonization on Cygwin builds.

* Fri Mar 2 13:52:14 2012 -0800

    Bump version to 0.9.3, featuring native support for Windows.
    Now, back to serious work.

* Fri Mar 2 13:37:11 2012 -0800

    Native Windows builds are now supported.
    Sigh.

* Fri Mar 2 13:32:16 2012 -0800

    Provide some logging on Windows, and disable unsupported options.

* Fri Mar 2 13:03:07 2012 -0800

    Pass CRYPT_VERIFYCONTEXT to CryptAcquireContext().

* Fri Mar 2 12:20:21 2012 -0800

    Use the CryptoAPI on Win32.

* Thu Mar 1 20:41:31 2012 -0800

    Fascinating whitespace changes.

* Thu Mar 1 20:06:11 2012 -0800

    Sync libuv.
    test: make pipe_connect_to_file succeed with ECONNREFUSED
    windows: return UV_ENOTSOCK when doing uv_pipe_connect to a file

* Thu Mar 1 18:19:33 2012 -0800

    Windows: we need to zero the loop structure when we initialize it
    or else the ares list of handles is uninitialized and bad things can happen
    when we try to perform async lookups.

* Thu Mar 1 17:14:15 2012 -0800

    Oh course, there will be no /dev/*random on zindoz.

* Thu Mar 1 17:13:59 2012 -0800

    Force line buffering for stdout, for zindoz

* Thu Mar 1 16:36:37 2012 -0800

    Yes, it now natively compiles on Win32.
    Fortunately, it crashes.

* Thu Mar 1 16:33:38 2012 -0800

    Shit Win32 needs.

* Thu Mar 1 16:30:42 2012 -0800

    Link with Winsock2 on Windows.

* Thu Mar 1 16:26:20 2012 -0800

    Unfuck MingW detection.

* Wed Feb 29 21:46:22 2012 -0800

    libuv - unix: fix fs_event refcount bug on darwin

* Wed Feb 29 21:45:30 2012 -0800

    libuv - unix: don't rely on libev to track timer state

* Tue Feb 28 23:54:17 2012 -0800

    Bump year & remove empty line.
    (wow, awesome and useful commit)

* Fri Feb 24 16:26:20 2012 -0800

    The beginning of the end.

* Fri Feb 24 16:19:27 2012 -0800

    *sigh*

* Thu Feb 23 18:14:09 2012 -0800

    There are so many random() calls that having just one hack for Win32 will never fit the bill.

* Thu Feb 23 18:12:13 2012 -0800

    More disgusting changes Windows requires. Not having random()/srandom() is going to be a PITA.

* Thu Feb 23 18:03:17 2012 -0800

    setrlimit() on Win32? LOL.

* Thu Feb 23 17:03:51 2012 -0800

    <windows.h> is needed, even for Sleep().

* Thu Feb 23 16:53:31 2012 -0800

    Jeez, Win32 doesn't even provide sleep().

* Thu Feb 23 14:52:53 2012 -0800

    Fix memory leak in uv_exepath() on OSX.

* Thu Feb 23 14:07:08 2012 -0800

    Sync libuv
    Share inotify fd across event loop.

* Thu Feb 23 13:24:46 2012 -0800

    chmod +x do

* Thu Feb 23 12:59:41 2012 -0800

    Update ChangeLog for version 0.9.2

* Thu Feb 23 12:54:51 2012 -0800

    Mention iOS support, bump version to 0.9.2

* Thu Feb 23 12:46:15 2012 -0800

    Some distributions don't provide a "hostname" command.
    Always use the same name for a compilation directory.

* Thu Feb 23 12:41:30 2012 -0800

    Improve detection of -fPIE support.

* Thu Feb 23 12:22:42 2012 -0800

    Unbreak libuv on iPhone.

* Thu Feb 23 12:15:54 2012 -0800

    Don't benchmark functions at compile-time.
    That should be done at run-time.

* Thu Feb 23 10:05:50 2012 -0800

    Test /dev/urandom with -r, not -f

* Thu Feb 23 10:00:43 2012 -0800

    Run less executables at compile-time in order to make cross-compilation for iPhone & Android possible.

* Thu Feb 23 09:48:07 2012 -0800

    Don't run test-c - It breaks cross-compilation.

* Wed Feb 22 16:04:48 2012 -0800

    Add some extra info to the Debian packages so that lintian stops whining.

* Tue Feb 21 19:28:08 2012 -0800

    libuv - linux: fix signedness issue in uv_exepath()

* Fri Feb 17 22:05:19 2012 -0800

    Yup

* Fri Feb 17 15:59:27 2012 -0800

    Add URL / maintainer / category to the Linux packages.

* Fri Feb 17 14:41:13 2012 -0800

    Update NetBSD and Dragonfly BSD packages.

* Fri Feb 17 14:39:56 2012 -0800

    Update FreeBSD & Homebrew packages

* Fri Feb 17 14:19:11 2012 -0800

    Update the dnscrypt package for OpenBSD to 0.9.1
    It should now work on non-Intel architectures.

* Fri Feb 17 13:51:43 2012 -0800

    Bump version to 0.9.1

* Fri Feb 17 13:51:25 2012 -0800

    untab

* Fri Feb 17 13:46:20 2012 -0800

    Both the compiler and the linker have to accept -fstack-protector

* Fri Feb 17 13:27:57 2012 -0800

    Try to compile something that performs some stack allocation in order to
    make the AX_CHECK_COMPILE_FLAG work with -fstack-protector

* Fri Feb 17 12:16:02 2012 -0800

    We actually need uclibc 0.9.32 to use ifaddrs.h

* Thu Feb 16 23:53:50 2012 -0800

    Thanks, Lance Fredrickson.

* Thu Feb 16 23:36:00 2012 -0800

    uClibc < 0.9.30 didn't have ifaddrs.h

* Thu Feb 16 17:14:12 2012 -0800

    Regen OpenBSD distinfo.

* Thu Feb 16 17:08:05 2012 -0800

    Update NEWS

* Thu Feb 16 16:58:32 2012 -0800

    Replace cpucycles with a no-op.
    We're favoring portability for now, and we're not benchmarking functions.
    And cpucycles seems to be causing a lot of trouble on some architectures.

* Thu Feb 16 13:51:14 2012 -0800

    Update Dragonfly BSD / NetBSD package.

* Thu Feb 16 13:49:00 2012 -0800

    Update Homebrew formula.

* Thu Feb 16 13:48:11 2012 -0800

    execinfo is *not* required on OpenBSD.

* Thu Feb 16 13:46:58 2012 -0800

    Update OpenBSD packages

* Thu Feb 16 13:28:34 2012 -0800

    Bump FreeBSD package to 0.9

* Thu Feb 16 13:18:25 2012 -0800

    Update the documentation to mention where the tarballs can be downloaded from.

* Thu Feb 16 12:46:56 2012 -0800

    Update Linux packages to 0.9

* Thu Feb 16 12:39:48 2012 -0800

    Regen ChangeLog

* Thu Feb 16 12:37:58 2012 -0800

    Set version to 0.9
    Trying to keep the version number in sync with the Mac GUI doesn't make any
    sense, especially with a Windows GUI on the way.

* Thu Feb 16 12:13:41 2012 -0800

    2012 & regen man page

* Thu Feb 16 12:10:27 2012 -0800

    Remove test-ipc-threads.c and regen uv/dist-files.

* Thu Feb 16 12:07:18 2012 -0800

    Resync libuv

* Thu Feb 9 14:59:55 2012 -0800

    Explicitly NULLify app_context.proxy_context

* Thu Feb 9 14:57:50 2012 -0800

    libuv: plug memleak on error path

* Thu Feb 9 14:57:31 2012 -0800

    Don't malloc(0). If we don't have any interfaces, return OK / null.

* Thu Feb 9 14:53:18 2012 -0800

    Rewrite uv_hrtime() for Darwin in a portable way.

* Thu Feb 9 14:33:05 2012 -0800

    rename() requires <stdio.h> on OSX. Don't ask why.

* Thu Feb 9 14:32:33 2012 -0800

    Resync libuv

* Wed Jan 25 16:36:24 2012 -0800

    Next version will be 0.11.
    (yeah, people are having a hard time figuring out that the OSX GUI is a
    different product, so let's try to keep version numbers more or less in sync)

* Wed Jan 25 16:27:57 2012 -0800

    libuv cherrypick: unix: set SO_REUSEADDR before binding

* Wed Jan 25 16:27:12 2012 -0800

    libuv cherrypick: unix: don't close kqueue fd in kqueue_fork()

* Wed Jan 25 16:26:42 2012 -0800

    libuv cherrypick: unix: clean up udp read/write watchers

* Wed Jan 25 16:26:14 2012 -0800

    libuv cherrypick: unix: clean up udp shutdown sequence

* Wed Jan 25 16:25:32 2012 -0800

    libuv cherrypick: unix: don't retry close() on EINTR

* Wed Jan 25 16:24:50 2012 -0800

    libuv cherrypick: unix: fix segfault in uv_guess_handle()

* Wed Jan 25 16:24:14 2012 -0800

    libuv cherrypick: unix: fix udp recv_start refcount

* Wed Jan 25 16:23:35 2012 -0800

    libuv cherrypick: remove unused #define

* Wed Jan 25 16:22:05 2012 -0800

    libuv cherrypick: docs: add c-ares license note

* Sat Dec 31 22:29:59 2011 -0800

    2012

* Wed Dec 21 23:21:29 2011 -0800

    Cherry-pick 6a9cb902ae25efa6f853dc10b20cd657b8a1f809

* Wed Dec 21 23:20:42 2011 -0800

    Cherrypick libuv 3cbe7c3f7952aa249450438b21cf4f346bb88e22

* Wed Dec 21 23:10:26 2011 -0800

    Revert "Update libuv" - libuv is still b0rk3d on OpenBSD, DragonflyBSD and NetBSD.
    

* Wed Dec 21 23:10:24 2011 -0800

    Revert "Unbreak libuv on Dragonfly BSD."
    

* Wed Dec 21 18:36:43 2011 -0800

    Unbreak libuv on Dragonfly BSD.

* Wed Dec 21 17:27:10 2011 -0800

    Update libuv

* Thu Dec 15 09:06:20 2011 -0800

    Set TZ even if strftime() fails.

* Wed Dec 14 21:52:33 2011 -0800

    Update libuv - Except the obviously untested patch provided by Microsoft that totally breaks libuv on BSD.

* Wed Dec 14 21:37:42 2011 -0800

    Revert - libuv is now totally b0rk3d on FreeBSD/DragonflyBSD.

* Wed Dec 14 21:14:18 2011 -0800

    Big and scary update to libuv

* Wed Dec 14 09:30:48 2011 -0800

    Add --disable-dependency-tracking to the Homebrew formula.

* Tue Dec 13 22:44:06 2011 -0800

    Update Dragonfly BSD / NetBSD package.

* Tue Dec 13 22:41:28 2011 -0800

    Update Homebrew package

* Tue Dec 13 22:40:07 2011 -0800

    Update FreeBSD package.

* Tue Dec 13 22:36:40 2011 -0800

    Update OpenBSD package.

* Tue Dec 13 17:50:32 2011 -0800

    Update ChangeLog.

* Tue Dec 13 17:48:14 2011 -0800

    We can detect accept4() while SOCK_CLOEXEC and SOCK_NONBLOCK are unavailable.
    Fixes compilation on Openwall-current.

* Tue Dec 13 17:37:48 2011 -0800

    Redirect compile-time tests to an errors file.

* Tue Dec 13 17:16:39 2011 -0800

    Update for Dragonfly BSD.

* Tue Dec 13 17:13:37 2011 -0800

    -fstack-protector-all is causing trouble with Dragonfly BSD and NaCl.
    Use -fstack-protector only on Dragonfly BSD for now.

* Tue Dec 13 15:55:53 2011 -0800

    Update packages to 0.8 - distinfo files have to be regenerated though.

* Tue Dec 13 15:51:52 2011 -0800

    Update NEWS / ChangeLog

* Mon Dec 12 22:20:06 2011 -0800

    Rename C_ASSERT, because Windows defines a macro with the same name.

* Mon Dec 12 17:21:57 2011 -0800

    Don't use substitution in a $(shell) statement.

* Mon Dec 12 17:18:18 2011 -0800

    Unfortunately, ULONG_LONG_MAX isn't always defined.

* Mon Dec 12 17:00:32 2011 -0800

    Sync dist files

* Mon Dec 12 16:03:33 2011 -0800

    Fix autoconf test.

* Mon Dec 12 16:03:19 2011 -0800

    Don't include crypto_int32.h

* Mon Dec 12 15:47:20 2011 -0800

    Missing quote

* Mon Dec 12 15:40:08 2011 -0800

    Sync libuv

* Sun Dec 11 23:06:09 2011 -0800

    assert() -> C_ASSERT()

* Sun Dec 11 23:01:22 2011 -0800

    Ignore .DS_Store

* Sun Dec 11 22:53:12 2011 -0800

    Typo

* Sun Dec 11 20:18:38 2011 -0800

    Make getword() a bit faster by using all the output bytes.

* Sun Dec 11 19:30:19 2011 -0800

    Rephrase.

* Sun Dec 11 19:28:20 2011 -0800

    Introduce a C_ASSERT() macro instead of repeating (void) sizeof(char[X?1:-1])

* Sun Dec 11 19:17:28 2011 -0800

    Switch to salsa20/20 as a stream cipher.

* Sun Dec 11 17:02:48 2011 -0800

    curvecp is fantastic but we don't use it for now. So don't ship a copy of it.

* Sat Dec 10 21:30:20 2011 -0800

    Move Linux packages to /usr

* Sat Dec 10 16:12:06 2011 -0800

    Provide better detection for Mingw when used on Windows.

* Sat Dec 10 15:35:08 2011 -0800

    Disable -fstack-protector-all on Windows but enable specific flags for ASLR & DEP.

* Sat Dec 10 15:21:39 2011 -0800

    Enable ASLR and DEP on Win32.

* Sat Dec 10 14:42:33 2011 -0800

    Works out of the box on Windows using Cygwin (for now, native port is coming).

* Sat Dec 10 11:33:06 2011 -0800

    Mention do-not-query-localhost: no for Unbound.

* Fri Dec 9 14:05:38 2011 -0800

    We do support Openwall Linux now.

* Fri Dec 9 13:58:13 2011 -0800

    Don't try compiling inotify-related functions on Linux distros without inotify.

* Fri Dec 9 13:57:34 2011 -0800

    Provide compatibility with glibc versions that don't provide pipe2()/O_CLOEXEC

* Fri Dec 9 13:24:20 2011 -0800

    resync dist-files.

* Fri Dec 9 13:19:40 2011 -0800

    Moving on.

* Fri Dec 9 12:17:41 2011 -0800

    Add the default public key for ed25519-signed certs.

* Thu Dec 8 17:41:15 2011 -0800

    Switch to 2.dnscrypt-cert.opendns.com

* Thu Dec 8 17:38:24 2011 -0800

    Switch to ed25519

* Thu Dec 8 12:47:55 2011 -0800

    Sync libuv

* Thu Dec 8 12:35:30 2011 -0800

    Import ed25519 - thanks to djb for his feedback.

* Wed Dec 7 21:25:08 2011 -0800

    Add a sample .plist file.

* Wed Dec 7 20:43:33 2011 -0800

    Add a formula for Homebrew

* Wed Dec 7 12:41:28 2011 -0800

    Nits

* Wed Dec 7 12:29:12 2011 -0800

    Nits

* Wed Dec 7 12:25:23 2011 -0800

    Nits

* Wed Dec 7 12:21:26 2011 -0800

    Downcase + remove some redundant stuff.

* Wed Dec 7 12:13:59 2011 -0800

    Spacing

* Wed Dec 7 12:08:21 2011 -0800

    Per popular request, add a description of the protocol + implementation details.

* Wed Dec 7 08:44:02 2011 -0800

    Add links & credits for NaCl and libuv.

* Wed Dec 7 08:36:55 2011 -0800

    Add THANKS file, credit sthen@ for his help on the OpenBSD port.

* Wed Dec 7 08:35:01 2011 -0800

    dnscrypt has been written by humans.

* Wed Dec 7 00:51:45 2011 -0800

    Test presence of 6Jack, that will be required for new tests.

Merge: 2a196e1 cfbb34c
* Tue Dec 6 15:32:15 2011 -0800

    Merge pull request #1 from sthen/master
    
    OpenBSD port tweaks

* Tue Dec 6 23:19:11 2011 +0000

    add ONLY_FOR_ARCH, NaCl needs more work on !i386/amd64

* Tue Dec 6 23:17:10 2011 +0000

    picks up libexecinfo if installed; add dep

* Tue Dec 6 23:16:40 2011 +0000

    add OpenBSD cvs id

* Tue Dec 6 23:14:00 2011 +0000

    needs a homedir to chroot to; use /var/empty

* Tue Dec 6 23:13:24 2011 +0000

    daemonize in rc script, add cvs id for OpenBSD

* Tue Dec 6 12:25:52 2011 -0800

    Fix MASTER_SITE and HOMEPAGE

* Tue Dec 6 11:57:21 2011 -0800

    Switch back to using the .tar.gz file since the github CDN finally has it.

* Tue Dec 6 11:55:18 2011 -0800

    Update the OpenBSD package.

* Tue Dec 6 11:45:28 2011 -0800

    OpenBSD uid 685/686 were taken by other ports already. Switch to uid 688, reserved by sthen@

* Tue Oct 18 21:33:26 2011 -0700

    Initial public release.
